commit 5641644f485b402cd906d3db73a22a00eb00489b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jul 25 00:14:30 2016 +0200

    Poppler 0.46

 CMakeLists.txt         |  4 ++--
 NEWS                   | 33 +++++++++++++++++++++++++++++++++
 configure.ac           |  2 +-
 cpp/CMakeLists.txt     |  2 +-
 cpp/Doxyfile           |  2 +-
 cpp/Makefile.am        |  2 +-
 glib/CMakeLists.txt    |  2 +-
 glib/Makefile.am       |  2 +-
 poppler/Makefile.am    |  2 +-
 qt4/src/CMakeLists.txt |  2 +-
 qt4/src/Doxyfile       |  2 +-
 qt4/src/Makefile.am    |  2 +-
 qt5/src/CMakeLists.txt |  2 +-
 qt5/src/Doxyfile       |  2 +-
 qt5/src/Makefile.am    |  2 +-
 15 files changed, 48 insertions(+), 15 deletions(-)

commit 97375143f458a9f12009d798ec43364d548051b9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jul 24 23:59:09 2016 +0200

    update Copyrights

 poppler/CairoOutputDev.cc | 2 +-
 poppler/CairoOutputDev.h  | 2 +-
 poppler/Link.cc           | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit bc1e3df84adff679194c33ce2dc52caa70b24df8
Author: Richard Palo <richard@netbsd.org>
Date:   Sun Jul 24 23:52:52 2016 +0200

    Work with non gnu greps

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit df6904366d587133760adf0d43a128aa4d35a712
Author: Jakub Kucharski <jakubkucharski97@gmail.com>
Date:   Sun Jul 24 13:14:39 2016 +0200

    qt5: fix memory leaks in Document::modificationDate() and
    Document::creationDate()

 qt5/src/poppler-document.cc | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit d89ea6ae0ddd70916700a402649a9e0423ae9fbb
Author: Jakub Kucharski <jakubkucharski97@gmail.com>
Date:   Sun Jul 24 13:14:19 2016 +0200

    qt4: fix memory leaks in Document::modificationDate() and
    Document::creationDate()

 qt4/src/poppler-document.cc | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 844ede567f188997bb49ab1fc435797b4f31f5e9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jul 24 12:47:21 2016 +0200

    qt5: Fix memory leak in new implementation of ::date

 qt5/src/poppler-document.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit d34ac7cedf4213020f5a4c05e09aa8d781bc6e43
Author: Jakub Kucharski <jakubkucharski97@gmail.com>
Date:   Sun Jul 24 12:43:41 2016 +0200

    qt5: Added document property setters & getters

    Part of Bug #36653

 qt5/src/poppler-document.cc | 234
 ++++++++++++++++++++++++++++++++++++--------
 qt5/src/poppler-private.cc  |   9 ++
 qt5/src/poppler-private.h   |   3 +
 qt5/src/poppler-qt5.h       | 118 ++++++++++++++++++++++
 4 files changed, 321 insertions(+), 43 deletions(-)

commit 720718739c8002304e8da33d9ca87bc0c1511425
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jul 24 12:40:04 2016 +0200

    qt4: Fix memory leak in new implementation of ::date

 qt4/src/poppler-document.cc | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit e7cbc36467dfac9415d7d1cac70b77e04566e75d
Author: Jakub Kucharski <jakubkucharski97@gmail.com>
Date:   Sun Jul 24 12:39:34 2016 +0200

    qt4: Added document property setters & getters

    Part of Bug #36653

 qt4/src/poppler-document.cc | 234
 ++++++++++++++++++++++++++++++++++++--------
 qt4/src/poppler-private.cc  |   9 ++
 qt4/src/poppler-private.h   |   3 +
 qt4/src/poppler-qt4.h       | 118 ++++++++++++++++++++++
 4 files changed, 321 insertions(+), 43 deletions(-)

commit 977669048b93e0561fc86e15b42ac69884e36fab
Author: Jakub Kucharski <jakubkucharski97@gmail.com>
Date:   Sun Jul 24 12:20:58 2016 +0200

    cpp: Added document property setters & getters

    Part of Bug #36653

 cpp/poppler-document.cpp | 445
 ++++++++++++++++++++++++++++++++++++++++++++---
 cpp/poppler-document.h   |  24 +++
 2 files changed, 447 insertions(+), 22 deletions(-)

commit 7f4a201226bc1112a121c749eb73f2a78e5149e3
Author: Jakub Kucharski <jakubkucharski97@gmail.com>
Date:   Sun Jul 24 12:19:52 2016 +0200

    cpp: Added functions to save a document

    Part of Bug #36653

 cpp/poppler-document.cpp | 30 ++++++++++++++++++++++++++++++
 cpp/poppler-document.h   |  4 ++++
 2 files changed, 34 insertions(+)

commit 8d5778feeb3c6cd932ecd7abeba7d1e670d2af66
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Tue Jul 19 22:58:39 2016 +0930

    cairo: try finding glyphs in substitute fonts by unicode value

    if the glyph name can not be found in the substitute font, try
    converting the name to unicode value in see of the font cmap has a
    mapping for the character.

    Bug 96994

 poppler/CairoFontEngine.cc | 5 +++++
 1 file changed, 5 insertions(+)

commit 954ee650047c185523f3e20e92f8fc4c67308196
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sun Jul 17 21:38:54 2016 +0930

    pdftocairo: Use fprintf for printing errors

 utils/pdftocairo.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 92f283ba931b605935646e2c55007b75c7e82288
Author: Jakub Kucharski <jakubkucharski97@gmail.com>
Date:   Sun Jul 17 01:42:19 2016 +0200

    glib: make document metatag gobject properties writeable

 glib/poppler-document.cc | 56
 +++++++++++++++++++++++++++++++++++++++++-------
 1 file changed, 48 insertions(+), 8 deletions(-)

commit 13f0333a46e2a498700ee6bff9845ae0eceafe80
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Tue Jul 5 06:54:54 2016 +0930

    pdfinfo: update man page for listenc, meta, js, and struct* options

 utils/pdfinfo.1 | 2 ++
 1 file changed, 2 insertions(+)

commit c91483aceb1b640771f572cb3df9ad707e5cad0d
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Mon Jul 4 21:55:53 2016 +0930

    pdfinfo: Don't print pdf info when printing metadata, javascript,
    or structure

    Bug 96801

 utils/pdfinfo.cc | 579
 +++++++++++++++++++++++++++----------------------------
 1 file changed, 289 insertions(+), 290 deletions(-)

commit 95d30fe3dd0cf265ccefd80d7deac00c7f430b14
Author: Jakub Kucharski <jakubkucharski97@gmail.com>
Date:   Tue Jul 12 23:02:35 2016 +0200

    cpp: pass len to GooString constructor in
    detail::ustring_to_unicode_GooString()

    Bug #96426

 cpp/poppler-private.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8a0b8b2ea57e3b9ac60e17e82aa22994f26d6213
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jul 5 23:35:57 2016 +0200

    Be less strict when parsing FitH Link destinations

    Would need the same for other kind of destinations too but since
    don't have a file that needs it i'll refrain from changing it

    Bug #96661

 poppler/Link.cc | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit 7f893f546dd9753967b986d3a7a56becf9b8d02f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jul 5 23:30:29 2016 +0200

    Remove checks that are already at the beginning of the function

 poppler/Link.cc | 8 --------
 1 file changed, 8 deletions(-)

commit 82476b0d6967ce5e61dce4666fe556edd63c16e6
Author: Jakub Kucharski <jakubkucharski97@gmail.com>
Date:   Mon Jun 6 22:17:57 2016 +0200

    glib: Added document property setters & simplified getters

    https://bugs.freedesktop.org/show_bug.cgi?id=36653

 glib/poppler-document.cc            | 347
 +++++++++++++++++++++++++++---------
 glib/poppler-document.h             |  18 ++
 glib/reference/poppler-docs.sgml    |   4 +
 glib/reference/poppler-sections.txt |   8 +
 4 files changed, 288 insertions(+), 89 deletions(-)

commit 4f7c67b59b9c55b9b896378d3adbecbb73f6eb63
Author: Jakub Kucharski <jakubkucharski97@gmail.com>
Date:   Tue Feb 23 16:46:43 2016 +0100

    Added DocInfo setters & getters

    https://bugs.freedesktop.org/show_bug.cgi?id=36653

 poppler/Object.h  |  7 +++++-
 poppler/PDFDoc.cc | 67
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 poppler/PDFDoc.h  | 41 ++++++++++++++++++++++++++++++++++
 poppler/XRef.cc   | 34 ++++++++++++++++++++++++++++
 poppler/XRef.h    |  7 ++++++
 5 files changed, 155 insertions(+), 1 deletion(-)

commit e2851dd8166fa5a1df0518959ad71c9d81bd9152
Author: Jakub Kucharski <jakubkucharski97@gmail.com>
Date:   Tue Feb 23 15:36:43 2016 +0100

    Added XRef modification flag

    https://bugs.freedesktop.org/show_bug.cgi?id=36653

 poppler/PDFDoc.cc | 12 +-----------
 poppler/XRef.cc   |  5 +++++
 poppler/XRef.h    |  7 +++++++
 3 files changed, 13 insertions(+), 11 deletions(-)

commit 9faa9b05171e46815924b48d31a7c45a1285c403
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sun Jun 5 22:44:56 2016 +0930

    Fix tiling patterns with BBox with non-zero x,y

 poppler/CairoOutputDev.cc | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 500fb06a23c95109547fded267a21647c8629502
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Tue Jun 21 20:05:44 2016 +0930

    Don't use -fPIC on cygwin

    it emits a warning for every file stating that -fPIC is ignored

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5f939d683a8978cdfdb65a3471296bf9e5940055
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sun Jun 19 11:07:09 2016 +0930

    pdftocairo: revert the use of groups for blending into white page

    This was added in 853e949 but has since been found to cause
    regressions eg the test case in bug 63587.

 utils/pdftocairo.cc | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

commit 5165c1a59332a0bc9da60a1a8d53dace039aae32
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sun Jun 19 11:19:24 2016 +0930

    cairo: fix bug in setAntialias()

    Was setting the member cairo instead of cr parameter. Also rename the
    function to avoid confusion with the public setAntialias() and make it
    static to prevent this type of bug in future.

 poppler/CairoOutputDev.cc | 16 ++++++++--------
 poppler/CairoOutputDev.h  |  2 +-
 2 files changed, 9 insertions(+), 9 deletions(-)

commit dfbb98327cbbc173a63f5db36b6606a93e5166aa
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jun 17 00:04:25 2016 +0200

    Poppler 0.45

 CMakeLists.txt      |  4 ++--
 NEWS                | 19 +++++++++++++++++++
 configure.ac        |  2 +-
 cpp/Doxyfile        |  2 +-
 poppler/Makefile.am |  2 +-
 qt4/src/Doxyfile    |  2 +-
 qt5/src/Doxyfile    |  2 +-
 7 files changed, 26 insertions(+), 7 deletions(-)

commit 3829958339b332d7ddf005d5ab98dd0ad3c8b3c6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jun 16 23:58:07 2016 +0200

    Add (C)

 poppler/DateInfo.cc | 1 +
 poppler/DateInfo.h  | 1 +
 poppler/Form.cc     | 2 +-
 utils/pdfinfo.cc    | 2 +-
 4 files changed, 4 insertions(+), 2 deletions(-)

commit 4c7e057b0315ed37bd47e304ca191191244b2963
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jun 17 00:11:50 2016 +0200

    dist glibc.h

    we don't install it, but we need it for building

 goo/Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit 5ee67050c400daa7bc0b0a4f5dddf21be18be124
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Tue Jun 14 07:32:35 2016 +0930

    Fix windows compile

 utils/pdfinfo.cc | 1 +
 1 file changed, 1 insertion(+)

commit df0779031d6ae0180024f92602bc2a680cf73dd5
Author: Jakub Kucharski <jakubkucharski97@gmail.com>
Date:   Thu May 19 16:11:04 2016 +0200

    cpp: switched from detail::convert_date() to core's dateStringToTime()

 cpp/poppler-document.cpp      |  4 +++-
 cpp/poppler-embedded-file.cpp |  6 ++++--
 cpp/poppler-global.cpp        |  6 +++++-
 cpp/poppler-private.cpp       | 25 +------------------------
 cpp/poppler-private.h         |  3 +--
 5 files changed, 14 insertions(+), 30 deletions(-)

commit ff24d677c6078c3dfb54c35541369d908314bcdb
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Wed Feb 24 20:57:37 2016 +1030

    pdfinfo: add -isodates for printing dates in ISO-8601 format

 utils/pdfinfo.1  |  3 +++
 utils/pdfinfo.cc | 36 +++++++++++++++++++++++++++++++++++-
 2 files changed, 38 insertions(+), 1 deletion(-)

commit dd08f24f5e52c56546dfda70be483dc29e03c2e6
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Wed Feb 24 21:10:08 2016 +1030

    pdfinfo: convert dates to local time zone

 utils/pdfinfo.cc | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit e4690ee1be027dd7028e86ea6732a3f4f2680ef7
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Tue Feb 23 21:01:49 2016 +1030

    glib: return date in UTC instead of local time

    Bug 94173

 ConfigureChecks.cmake |  1 +
 config.h.cmake        |  3 +++
 configure.ac          |  1 +
 glib/poppler-date.cc  | 33 +++++++-------------------------
 goo/glibc.cc          | 24 ++++++++++++++++++++++++
 goo/glibc.h           |  4 ++++
 poppler/DateInfo.cc   | 52
 +++++++++++++++++++++++++++++----------------------
 poppler/DateInfo.h    |  6 +++++-
 poppler/Form.cc       |  2 +-
 9 files changed, 76 insertions(+), 50 deletions(-)

commit 7936af2eeb8f84993acabd1b306da50d49256b31
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Tue Feb 23 20:52:30 2016 +1030

    Emulate some non portable glibc functions when not available

 CMakeLists.txt             |  1 +
 cpp/tests/poppler-dump.cpp |  5 +----
 glib/demo/utils.c          |  6 ------
 goo/Makefile.am            |  3 ++-
 goo/glibc.cc               | 34 ++++++++++++++++++++++++++++++++++
 goo/glibc.h                | 33 +++++++++++++++++++++++++++++++++
 poppler/DateInfo.cc        |  7 ++-----
 7 files changed, 73 insertions(+), 16 deletions(-)

commit 4d799cdf9b9039b003de7d3baf05d858bc507a5a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jun 2 00:22:05 2016 +0200

    pdfinfo: Fix another leak

    Again not crucial in pdfinfo itself but nice to be clean so that if it
    the leak check fails is because the core is doing something bad

 utils/JSInfo.cc | 13 ++++++++-----
 utils/JSInfo.h  |  3 ++-
 2 files changed, 10 insertions(+), 6 deletions(-)

commit 4daee8a8ce40aeb658964a5902ae104549f7af75
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jun 1 18:37:57 2016 +0200

    Fix memory leak when failing to parse thumbs or actions

 poppler/Page.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit bc6eb28776feaa302ad93e315798cad02c1e2a54
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jun 1 18:36:17 2016 +0200

    pdfinto: Fix memory leak

    It's not very critial that pdfinfo does not leak, but it's nice
    to have no leaks so one can run ASAN over a file and see if something
    is wrong or not

 utils/pdfinfo.cc | 1 +
 1 file changed, 1 insertion(+)

commit 66617b256acfcd98f727bf11b7d7e92bcbd16de0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jun 1 18:35:50 2016 +0200

    Point ucs4 to null when len is 0

    Makes it easier for the caller than can always just free the passed
    pointer

 poppler/UTF.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 0d70a57c7ad8a53e2462560a47b6ea5eba73d6c5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jun 1 18:34:32 2016 +0200

    Add docu to the get*Action methods

    Since unfortunately their behaviour is different in what you have
    to do with the pointer given

 poppler/Annot.h | 12 ++++++------
 poppler/Form.h  |  6 +++---
 2 files changed, 9 insertions(+), 9 deletions(-)

commit 3db727f9546779a8896fc30a6669751d726ab86c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jun 1 18:32:45 2016 +0200

    Fix memory leak in RichMedia parsing

 poppler/Annot.cc | 1 +
 1 file changed, 1 insertion(+)

commit 8ace48fb07b81cab6ae68dc23d173e7441ad6d2e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun May 29 11:45:55 2016 +0200

    SplashOutputDev: Fix iccTransform + splashModeXBGR8

 poppler/SplashOutputDev.cc | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 46039c2ef5b666d5ee85e7f6fc6a74a5a9e69526
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri May 27 11:06:01 2016 +0200

    Add braces to make it more clear to which if the else applies

 poppler/UnicodeTypeTable.cc | 21 ++++++++++++---------
 1 file changed, 12 insertions(+), 9 deletions(-)

commit 2d72a8bfc87c9bdcea6b617ebd4b3a3684e174e8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu May 26 17:59:21 2016 +0200

    Initialize nConfigurations and nAssets

 poppler/Annot.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 4e49b3af7d6f731b9da20a9d6e5aa54578f08d3f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu May 26 17:34:56 2016 +0200

    Fix memory leak on error on JBIG2Stream::readHalftoneRegionSeg

 poppler/JBIG2Stream.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 5f51939eea5b98dcef115d18baec3179701d0292
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue May 24 23:34:48 2016 +0200

    Fix stack overflow

    Bug #96027

 poppler/Stream.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c820826377d79438ecaf90e9b2106a8451585add
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue May 24 00:00:57 2016 +0200

    Fix (C) year

 utils/HtmlOutputDev.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9ce8dd7fbd132b5f423dc3bf10fa87b973390d0b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon May 23 23:59:40 2016 +0200

    Fix stack overflow on broken file

    Bug #95567

 poppler/Stream.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 37fb37e368c659832fc1a1dfd499c42340b62f38
Author: Vincent Le Garrec <legarrec.vincent@gmail.com>
Date:   Mon May 23 23:18:40 2016 +0200

    pdftohtml: Fix crash on broken file

    Bug #95563

 utils/HtmlOutputDev.cc | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 1d0251c8ab48e2e1a4873d84b4bc573b3ae2a98d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat May 21 20:02:26 2016 +0200

    Fix memory leak in Splash::gouraudTriangleShadedFill

 splash/Splash.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit eb20f8cc2c0dea281ae44336a8fac8cc86a99895
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat May 21 19:19:43 2016 +0200

    0.44

 CMakeLists.txt      |  4 ++--
 NEWS                | 16 ++++++++++++++++
 configure.ac        |  2 +-
 cpp/Doxyfile        |  2 +-
 poppler/Makefile.am |  2 +-
 qt4/src/Doxyfile    |  2 +-
 qt5/src/Doxyfile    |  2 +-
 7 files changed, 23 insertions(+), 7 deletions(-)

commit 58f56a7af99b477f39e57aed74443b6851afe15f
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:   Sat May 21 18:25:22 2016 +0200

    Fix Compile in 32bit linux

    Bug #95492

 poppler/Decrypt.cc | 65
 +++++++++++++++++++++++++++---------------------------
 1 file changed, 33 insertions(+), 32 deletions(-)

commit 853e94995255591b35d9bdbeb0174476838097c0
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sun Apr 17 16:02:57 2016 +0930

    pdftocairo: add -antialias option

    Bug 94977

 poppler/CairoOutputDev.cc | 24 +++++++++++++++++
 poppler/CairoOutputDev.h  |  4 ++-
 utils/pdftocairo.1        | 26 +++++++++++++++++++
 utils/pdftocairo.cc       | 66
 ++++++++++++++++++++++++++++++++++++++++++-----
 4 files changed, 112 insertions(+), 8 deletions(-)

commit 8453966178de8535cdabac090e78ec17857f8975
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:   Tue May 17 01:00:37 2016 +0200

    Improve rendering of some dotted lines

    Bug #84693

 splash/Splash.cc | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 182abe4ed5c0773073c6751a26a7c4e40e99e02e
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:   Fri May 13 00:07:24 2016 +0200

    Splash: type 3 chars. restore the current position also in output
    device

    Bug #95344

 poppler/Gfx.cc | 1 +
 1 file changed, 1 insertion(+)

commit 9c35dc79ec777d9495796124ac7a42bf2b4cf83f
Author: Jakub Kucharski <jakubkucharski97@gmail.com>
Date:   Wed May 11 23:34:53 2016 +0200

    goo: refactor GooString::Set()

    it is used only once to concatenate strings and it is in a GooString
    constructor used specifically for that
    so I think concatenation should take place in the constructor and
    GooString::Set
    should do exactly what it says which is setting the string.

    Bug #94201

 goo/GooString.cc | 40 ++++++++++++++--------------------------
 goo/GooString.h  | 10 +++++-----
 2 files changed, 19 insertions(+), 31 deletions(-)

commit 0ecec576faf7e1ef644f5973f17e0b8244560912
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed May 4 23:23:04 2016 +0200

    Fix typo in GfxPatchMeshShading::parse

 poppler/GfxState.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 890178f9c946931ec34b8b227493ec9f1c6109aa
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed May 4 01:32:47 2016 +0200

    Fix potential crash in SplashOutputDev::doUpdateFont

    If we delete fontLoc we need to set it to NULL since it's not set
    to any value in all of the
    branches of this code

 poppler/SplashOutputDev.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 86572d7d2835fdd77e82eeb428e3a56c2d0f271d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed May 4 01:27:54 2016 +0200

    Fix memory leak in SignatureHandler::getDefaultFirefoxCertDB_Linux

 poppler/SignatureHandler.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 3707f9d17c5f8a883ddb9614b11676ad49ade5b2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed May 4 00:59:01 2016 +0200

    Fix potential crash in TextPage::coalesce

    When flows is not null flow was still pointing to an now deleted
    flow that
    may had made it crash in the for loop below

 poppler/TextOutputDev.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6d26d02c39de6546f57b20c46922f8c56aad78a0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed May 4 00:58:12 2016 +0200

    Remove call that does nothing

    We don't use dict after this call and streamGetDict is a pure getter,
    i.e. it doesn't change the stream at all

 poppler/GfxState.cc | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 56c71fcaae71c2b3cc91bb981715541518e05684
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed May 4 00:55:06 2016 +0200

    Fix memory leak in PSOutputDev::filterPSLabel

 poppler/PSOutputDev.cc | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit a0c3fd3f18232c126815a129158e0c4cd3a819a9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Apr 29 00:14:24 2016 +0200

    New version and soversion

 CMakeLists.txt      | 4 ++--
 configure.ac        | 2 +-
 cpp/Doxyfile        | 2 +-
 gtk-doc.make        | 2 +-
 poppler/Makefile.am | 2 +-
 qt4/src/Doxyfile    | 2 +-
 qt5/src/Doxyfile    | 2 +-
 7 files changed, 8 insertions(+), 8 deletions(-)

commit da91593e834d4e617213466331226347f1688a53
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Apr 29 00:12:59 2016 +0200

    News

 NEWS | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit bdd25a2583552fe8e72dcf4bc17d9f488b7c1268
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Apr 29 00:07:24 2016 +0200

    Update Cs

 poppler/CairoFontEngine.cc | 2 +-
 poppler/CairoOutputDev.cc  | 2 +-
 poppler/CairoOutputDev.h   | 1 +
 poppler/GfxFont.cc         | 2 +-
 utils/pdftocairo.cc        | 1 +
 5 files changed, 5 insertions(+), 3 deletions(-)

commit dbbe1590d49e620ef0743cb1b99b0b5b9a1f36ec
Author: Arseniy Lartsev <arseniy@alumni.chalmers.se>
Date:   Thu Apr 28 23:59:05 2016 +0200

    qt: Fix crash on certain PDF form item activation actions

    Bug #94873

 qt4/src/poppler-page.cc | 3 ++-
 qt5/src/poppler-page.cc | 3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 1cc93886eee3204e2ccd8bcc8b90306e809255e0
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:   Thu Apr 28 23:53:06 2016 +0200

    Allow newlines in '<num> <gen> obj' sequence

    Bug #94756

 poppler/XRef.cc | 15 +++++++++++++--
 1 file changed, 13 insertions(+), 2 deletions(-)

commit a8e3399487258e53df0fd4a79c570c8d71188bed
Author: Takahiro Hashimoto <kenya888.en@gmail.com>
Date:   Wed Apr 27 00:16:52 2016 +0200

    Compile with C++11 compilers that don't define isinfinite

    Bug #94761

 poppler/SplashOutputDev.cc | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 6eafb6570765605108cf3525f78b10223439ee1d
Author: Pino Toscano <pino@kde.org>
Date:   Thu Apr 21 08:30:25 2016 +0200

    configure: remove unused check for gethostbyname

 configure.ac | 5 -----
 1 file changed, 5 deletions(-)

commit d9408c186f9b5c992a4e1492a58dda506d8453ac
Author: Pino Toscano <pino@kde.org>
Date:   Sun Apr 10 10:29:05 2016 +0200

    typo fixes

    - "indentical" -> "identical"
    - "numberals" -> "numerals"
    - "paremeters" -> "parameters"

 poppler/PageLabelInfo_p.h | 2 +-
 qt4/src/poppler-media.cc  | 8 ++++----
 qt5/src/poppler-media.cc  | 8 ++++----
 utils/pdfimages.1         | 2 +-
 4 files changed, 10 insertions(+), 10 deletions(-)

commit 5ac54db9150e949ed0e41eec1f19a7f5ec880646
Author: Pino Toscano <pino@kde.org>
Date:   Sun Apr 10 10:16:36 2016 +0200

    utils: ship pdfsig.1 if pdfsig is built

 utils/Makefile.am | 4 ++++
 1 file changed, 4 insertions(+)

commit 92c6799a40b0755ff2d43f33241d442cc5d4e323
Author: Pino Toscano <pino@kde.org>
Date:   Sun Apr 10 09:43:29 2016 +0200

    remove +x modes

 poppler/SecurityHandler.cc | 0
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 9c39db64ba2eb20ca769a103d83a830f406486f0
Author: Jason Crain <jason@aquaticape.us>
Date:   Mon Jan 18 20:56:18 2016 -0600

    Add SymbolMT as an alias for the Symbol font

    A document using the SymbolMT font will have the wrong glyphs drawn.
    Add it as
    an alias for the Symbol font so the correct font and encoding
    are used.

    Bug #93168

 poppler/GfxFont.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit af332349d7a5e3737ea53608cda2f1cad6159108
Author: Jason Crain <jason@aquaticape.us>
Date:   Mon Mar 28 21:36:52 2016 -0500

    pdftocairo: Calculate rotation before scaling

    Scaling calculation (-scale-to-x and -scale-to-y) is wrong if a
    page is
    rotated.  Fix by moving scale calculation to after rotation
    calculation.

    bug #94655

 utils/pdftocairo.cc | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit db87dc7fa28537f7532328c278c05d8b60f90d6f
Author: Jason Crain <jason@aquaticape.us>
Date:   Sun Feb 21 22:54:15 2016 -0600

    cairo: save mask state and don't extend image mask

    Don't extend an image mask pattern.  Save and restore the mask in
    tilingPatternFill.

    bug #94234

 poppler/CairoOutputDev.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit b68a4ee1dcd1da5b48b2c1f0bb2b6a789ca18ea5
Author: Jason Crain <jason@aquaticape.us>
Date:   Thu Feb 18 01:59:42 2016 -0600

    cairo: Check if PDF knows the width of 'm' in case of substituted font

    Bug #94054

 poppler/CairoFontEngine.cc | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 7d8dfb09d2b9d69d4e80838ce58fdbd091bce7ec
Author: Jason Crain <jason@aquaticape.us>
Date:   Sun Feb 28 16:18:05 2016 -0600

    cairo: fix fillToStrokePathClip crash and rendering

    The cairo backend can crash if the dash pattern changes between
    calling
    clipToStrokePathClip and fillToStrokePathClip because
    fillToStrokePathClip
    calls cairo_set_dash with the saved dash pattern but the current
    dash count.

    Fixes the crash by removing the call to cairo_get_dash_count in
    fillToStrokePathClip.  Makes strokePathClip reference counted
    because when
    drawing tiling patterns it may need to be kept around for more than
    one drawing
    operation.  Uses fillToStrokePathClip in a few more places to fix
    rendering.

    bug #62905

 poppler/CairoOutputDev.cc | 38 ++++++++++++++++++++++++++++++--------
 poppler/CairoOutputDev.h  |  1 +
 2 files changed, 31 insertions(+), 8 deletions(-)

commit 67bc280c4068ae9501053c06ee05341b95a5e6db
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:   Sun Mar 20 12:39:24 2016 +0100

    Implement sanity check for linearization usage

    Bug #92482

 poppler/PDFDoc.cc | 42 +++++++++++++++++++++++++++++++++++++++++-
 poppler/PDFDoc.h  |  7 ++++++-
 2 files changed, 47 insertions(+), 2 deletions(-)

commit a24ac96e9f5c914c1c979319ca1043dabd334763
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Mar 17 00:08:37 2016 +0100

    meh typo

 NEWS | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f8ff943650e7e2a4cb836be43bf04907a5e156fc
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Mar 16 23:40:00 2016 +0100

    0.42

 CMakeLists.txt      |  4 ++--
 Makefile.am         |  1 +
 NEWS                | 28 ++++++++++++++++++++++++++++
 configure.ac        |  2 +-
 cpp/Doxyfile        |  2 +-
 poppler/Makefile.am |  4 ++--
 qt4/src/Doxyfile    |  2 +-
 qt5/src/Doxyfile    |  2 +-
 8 files changed, 37 insertions(+), 8 deletions(-)

commit ef21f651a4af801502d6b4b4f7258d54f14e7aea
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Mar 16 20:23:39 2016 +0100

    Some (C) updating

 poppler/FlateStream.cc      | 1 +
 poppler/Gfx.cc              | 2 +-
 poppler/PSOutputDev.cc      | 2 +-
 poppler/SignatureHandler.cc | 2 +-
 poppler/SplashOutputDev.cc  | 2 +-
 poppler/SplashOutputDev.h   | 2 +-
 poppler/Stream.cc           | 2 +-
 poppler/Stream.h            | 2 +-
 poppler/TextOutputDev.cc    | 2 +-
 poppler/TextOutputDev.h     | 2 +-
 10 files changed, 10 insertions(+), 9 deletions(-)

commit 57b7a52cc6b3675bfbff29ef20a509eadce091ac
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:   Wed Mar 16 10:36:22 2016 +0100

    Fix rendering of some broken PDF files

    Call constructXRef if necessary xref can't be fetched and the PDF
    don't use xref streams

    Bug #92508

 poppler/XRef.cc | 8 +++++++-
 poppler/XRef.h  | 3 ++-
 2 files changed, 9 insertions(+), 2 deletions(-)

commit 04f3448d73ff7a3a2f1bf885aea64e96cc29a69d
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:   Wed Mar 16 00:58:35 2016 +0100

    Initialize gamut mapping multipliers in ::copy() functions

    Bug #90697

 poppler/GfxState.cc | 6 ++++++
 1 file changed, 6 insertions(+)

commit 69ffeb71a79b686d5c79d20832c4666c498098e8
Author: Alok Anand <alok4nand@gmail.com>
Date:   Mon Mar 14 20:18:32 2016 +0100

    Add the support for version 5 + revision 6 documents.

    Bug #85368

 poppler/Decrypt.cc         | 357
 ++++++++++++++++++++++++++++++++++++++++++++-
 poppler/SecurityHandler.cc |   9 +-
 2 files changed, 358 insertions(+), 8 deletions(-)

commit 2dcfefb43c0d4ca86a4f4b2d019882e134201b27
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:   Sat Mar 12 03:52:01 2016 +0100

    handle SMaskInData = 0 for JPX encoded images

    Bug #93468

 poppler/JPEG2000Stream.cc | 77
 +++++++++++++++++++++++++++++++++++++----------
 1 file changed, 61 insertions(+), 16 deletions(-)

commit e58d310c1802b77a6356ec0d3d0180a2a1605b41
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:   Thu Mar 10 12:05:28 2016 +0100

    Implement function shading in splash

    Bug #94441

 poppler/SplashOutputDev.cc | 117
 +++++++++++++++++++++++++++++++++++++++++++++
 poppler/SplashOutputDev.h  |  31 +++++++++++-
 2 files changed, 147 insertions(+), 1 deletion(-)

commit 09e2ae234179c42ccf06b040a0f6c89d65d69713
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:   Tue Mar 8 23:08:53 2016 +0100

    assure line width > 0 in case of text stroke

    Bug #94038

 poppler/SplashOutputDev.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit 37c7469955d465e006d74eecebb766eb8513bbf3
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:   Mon Mar 7 20:23:11 2016 +0100

    JPXStream: Don't scale image comps to 8 bits in case of an indexed
    colorspace

    Followup of bug #94371

 poppler/JPEG2000Stream.cc | 58
 +++++++++++++++++++++++++++++++----------------
 1 file changed, 38 insertions(+), 20 deletions(-)

commit d4e24e5754f5a0bf335ddf83747d0dc85b7c409f
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:   Sun Mar 6 22:46:23 2016 +0100

    implement jpx streams with depth < 8

    Bug #94371

 poppler/JPEG2000Stream.cc | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 5f79b6485b107fb0939563837046fea6b4b89fdc
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Mar 3 00:45:34 2016 +0100

    (C) here too

 qt5/src/poppler-link.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a80a036269eb18daf0ec69c23a8bc71fb4852acb
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Mar 3 00:44:27 2016 +0100

    Qt: Only check the link page for local links

 qt4/src/poppler-link.cc | 32 +++++++++++++++++---------------
 qt5/src/poppler-link.cc | 28 +++++++++++++++-------------
 2 files changed, 32 insertions(+), 28 deletions(-)

commit a3c7f6184d1be3f2737086cf650f4012075515f8
Author: Adrián Pérez de Castro <aperez@igalia.com>
Date:   Wed Mar 2 11:58:24 2016 +0200

    Tagged-PDF: Document new pdfinfo flags in its manual page

    https://bugs.freedesktop.org/show_bug.cgi?id=64816

 utils/pdfinfo.1 | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 7cf52e56677e11b15d610017bccd0cc3f74badaf
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Mar 2 04:38:52 2016 +0000

    Use correct includes for NSPR/NSS headers

    The header files provided by NSS3 are inside versioned directories,
    `$includedir/nss3` and `$includedir/nspr4`, which are provided by the
    nss3 pkg-config file as include directives for the compiler.

    We can also use nspr.h as a single entry point, to avoid cherry
    picking
    specific headers.

    https://bugzilla.freedesktop.org/show_bug.cgi?id=94360

 poppler/SignatureHandler.cc |  2 +-
 poppler/SignatureHandler.h  | 22 +++++++++-------------
 2 files changed, 10 insertions(+), 14 deletions(-)

commit 1f7cb78f8b771bae8bfd96a7a7ca3afbaf89c749
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Mar 2 09:51:46 2016 +0100

    Fix memory leak in Matte parsing

    Also remove unneeded comment

 poppler/Gfx.cc | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 36c276f1af7e0f1d8a207f6cdcaa80a24e95e044
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:   Wed Mar 2 09:50:01 2016 +0100

    Splash: Implementation of matte entries in softmasks of softmasked
    images

    Bug #22473

 poppler/Gfx.cc             | 30 +++++++++++++++--
 poppler/GfxState.cc        |  7 ++--
 poppler/GfxState.h         |  7 +++-
 poppler/SplashOutputDev.cc | 80
 +++++++++++++++++++++++++++++++++++++++++++++-
 poppler/SplashOutputDev.h  |  3 +-
 5 files changed, 120 insertions(+), 7 deletions(-)

commit 810605dae2d7f239ce29640a31a9befe511c3190
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Mar 2 00:49:00 2016 +0100

    Compile++

 poppler/Form.cc | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 9d33825e6f6167f07b2739645b93249b2bc043da
Merge: a8853b1 f3e3ebe
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Mar 2 00:37:11 2016 +0100

    Merge remote-tracking branch 'origin/signatureHandling'

commit f3e3ebe51483050cfdf8773dbd0d6646521f17cb
Author: André Guerreiro <aguerreiro1985@gmail.com>
Date:   Wed Mar 2 00:35:05 2016 +0100

    Load NSS root certs module

    This change is needed to actually do certificate validation, because
    as it is NSS is trying to load the module which contains all the
    builtin root certs from the Firefox profile directory where it is
    usually missing. This way it will load the module from a system
    library directory.

 poppler/SignatureHandler.cc | 3 +++
 1 file changed, 3 insertions(+)

commit a8853b1df0a15570dff6ecc333769257bbf874c3
Author: Adrian Perez de Castro <aperez@igalia.com>
Date:   Thu May 9 19:11:26 2013 +0300

    Tagged-PDF: Modify pdfinfo to show the document structure

    https://bugs.freedesktop.org/show_bug.cgi?id=64816

 utils/pdfinfo.cc | 96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)

commit 1bf0ffdf1c68019515349262a14425c78c90ea18
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Thu Feb 25 22:52:32 2016 +1030

    Add missing files that got dropped from the previous commit
    (989ceb6bd90)

 poppler/FlateEncoder.cc | 148
 ++++++++++++++++++++++++++++++++++++++++++++++++
 poppler/FlateEncoder.h  |  73 ++++++++++++++++++++++++
 2 files changed, 221 insertions(+)

commit 989ceb6bd90cc8a79dd48c58183f1855de269c9b
Author: William Bader <william@newspapersystems.com>
Date:   Thu Feb 25 21:01:16 2016 +1030

    Add support for Flate compression in Level 3 PostScript output.

    The changes to the build variables are from Adrian Johnson's
    DeflateStream
    patches at https://bugs.freedesktop.org/attachment.cgi?id=89776

 CMakeLists.txt              |  21 ++++++--
 config.h.cmake              |   5 +-
 configure.ac                |  97 +++++++++++++++++++++--------------
 poppler/FlateStream.cc      |  14 +++++
 poppler/Makefile.am         |  13 ++++-
 poppler/PSOutputDev.cc      | 122
 +++++++++++++++++++++++++++++---------------
 poppler/PSOutputDev.h       |  10 +++-
 poppler/Stream.cc           |   4 +-
 poppler/Stream.h            |   2 +-
 poppler/poppler-config.h.in |   6 +--
 10 files changed, 202 insertions(+), 92 deletions(-)

commit 91c0be60f3e7a53373ba660702358cf52f74d1b2
Author: William Bader <william@newspapersystems.com>
Date:   Thu Feb 25 20:50:10 2016 +1030

    xpdf304: Merge xpdf-3.04 support for LZW encoding in PSOutputDev
    and Stream.

    Level 2 and Level 3 PostScript now use LZW encoding instead of Run
    Length encoding, which can make some images one tenth the size.
    PSOutputDev provides setEnableLZW() and getEnableLZW() to control
    support for LZW encoding.

 poppler/PSOutputDev.cc | 164
 ++++++++++++++++++++++++++++++++++---------------
 poppler/PSOutputDev.h  |   3 +
 poppler/Stream.cc      | 145 +++++++++++++++++++++++++++++++++++++++++++
 poppler/Stream.h       |  38 ++++++++++++
 4 files changed, 301 insertions(+), 49 deletions(-)

commit b88e68f9c84d987a814716aab50543bf8a5cb8f8
Author: William Bader <william@newspapersystems.com>
Date:   Thu Feb 25 20:41:48 2016 +1030

    xpdf304: Merge change from poppler/Gfx.cc to avoid attempting a
    tiling pattern fill

    with a singular transform matrix (abs(determinant) < 0.000001).

 poppler/Gfx.cc | 21 ++++++++++++++++++---
 1 file changed, 18 insertions(+), 3 deletions(-)

commit 3f5f0796d855cb8b8c3a038484d4ca7c6f1a55f2
Author: Jason Crain <jason@aquaticape.us>
Date:   Fri Feb 19 10:54:29 2016 -0600

    Cache result of inner loop in visitDepthFirst

    Speeds up sorting of text blocks.

    bug #77087

 poppler/TextOutputDev.cc | 42 ++++++++++++++++++++++++++++++++++--------
 poppler/TextOutputDev.h  |  4 ++++
 2 files changed, 38 insertions(+), 8 deletions(-)

commit 448169bd96137e2bf0145783012276220bb0c51a
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:   Wed Feb 17 23:02:53 2016 +0100

    Fall back to Gfx implementation of tiling pattern if repetition rate
    is small

    Bug #90596

 poppler/SplashOutputDev.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 23e4291f2545f56432b0a9c4d709048825327bc2
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:   Wed Feb 17 22:59:30 2016 +0100

    Check if PDF knows the witdh of 'm' in case of substituted font

    To check wether the PDF font declaration includes the width of
    the letter 'm', compare it with the width of code 0. Code 0 is the
    replacement glyph in a font and has the width of a blank. The width
    table is initialized with this value, and the blank is always smaller
    than a 'm'.

    Bug #94054

 poppler/SplashOutputDev.cc | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 88415426df363f1ef86b741cbc3587a89d31aa1f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Feb 17 00:11:49 2016 +0100

    0.41.0

 CMakeLists.txt   | 2 +-
 NEWS             | 9 +++++++++
 configure.ac     | 2 +-
 cpp/Doxyfile     | 2 +-
 qt4/src/Doxyfile | 2 +-
 qt5/src/Doxyfile | 2 +-
 6 files changed, 14 insertions(+), 5 deletions(-)

commit 5689c990a187108ddc0a88b9825ba3bea644368f
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:   Tue Feb 16 01:44:31 2016 +0100

    Adjust limit check and check in addition bitmap pointer

    Bug #94053

 poppler/SplashOutputDev.cc | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit 57bc52b93e6431f0dc7762e2001dedd614383001
Author: Jakub Wilk <jwilk@debian.org>
Date:   Sun Feb 14 11:22:31 2016 +0100

    pdfinfo manpage: corrupted description of -js and -rawdates

 utils/pdfinfo.1 | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit ab3c9ccb630004be049cb59f303612aa2a35f408
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Fri Feb 12 20:15:46 2016 +1030

    cairo: add missing font types (fontCIDType0COT and fontTrueTypeOT)

    bug 93559

 poppler/CairoFontEngine.cc | 41 ++++++++++++++++++++++++++++++++++++++---
 1 file changed, 38 insertions(+), 3 deletions(-)

commit f1c4d8ac1fe4293566285117170e8234c1be3943
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Feb 4 01:08:59 2016 +0100

    pdfseparate: Refine resource detection

    Related to bug #87637

 poppler/PDFDoc.cc | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 449d45fab8e61393d858549460e61599e4dbd7eb
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jan 13 23:19:12 2016 +0100

    0.40.0 + NEWS

 CMakeLists.txt   |  2 +-
 NEWS             | 18 ++++++++++++++++++
 configure.ac     |  2 +-
 cpp/Doxyfile     |  2 +-
 qt4/src/Doxyfile |  2 +-
 qt5/src/Doxyfile |  2 +-
 6 files changed, 23 insertions(+), 5 deletions(-)

commit e9740b57324cf5a09f6f4312165da13c7b3a576b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jan 13 23:14:35 2016 +0100

    Update copyrights

 poppler/Function.cc | 2 +-
 utils/pdftocairo.cc | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 3bfc45bfcca1a52447cedbb95afad1ef362ac6f0
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Mon Jan 11 21:46:49 2016 +1030

    pdftocairo: check for invalid use of -scale-to* and -paper[wh] options

    Bug 92195

 utils/pdftocairo.cc | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit 819bea740b1fadb24833e0ecbdf4e75ddca8eb14
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Mon Jan 11 19:44:14 2016 +1030

    pdftocairo: ensure surface flushed before accessing image data

 utils/pdftocairo.cc | 1 +
 1 file changed, 1 insertion(+)

commit f7542348b37cc881d854bbc36c3af0a4fe37d839
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Mon Jan 11 19:39:34 2016 +1030

    pdftocairo: document that -singlefile appends file type

    Bug 86254

 utils/pdftocairo.1 | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 9fa58b1ef6c97e2a30bb3197c11000fac3b059f4
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Mon Jan 11 19:26:02 2016 +1030

    pdftocairo: fix writing to stdout out with image output

 utils/pdftocairo.cc | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit dcefd7a232ba17af878b95efaa4ffaf147d095b7
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Fri Jan 8 16:49:25 2016 +1030

    check all byte ranges in signature dictionary

 poppler/Form.cc  | 60
 +++++++++++++++++++++++++++++---------------------------
 poppler/Object.h | 12 +++++++++++-
 2 files changed, 42 insertions(+), 30 deletions(-)

commit e5104973197c63c3a46e6d2c0f41c9de111d4686
Author: André Guerreiro <aguerreiro1985@gmail.com>
Date:   Fri Jan 8 17:02:35 2016 +1030

    Improve robustness of SignatureHandler::validateCertificate

 poppler/SignatureHandler.cc | 18 +++++++-----------
 1 file changed, 7 insertions(+), 11 deletions(-)

commit 4b0f6e5ec04058d12fbf7537c80b662cbea931b9
Author: Markus Kilås <digital@markuspage.com>
Date:   Wed Jan 6 23:36:17 2016 +0100

    Fix printf for unsigned int

 utils/pdfsig.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 01d4bb222d63eda7dc5ec903c0735179edf77c0e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 3 13:01:31 2016 +0100

    Happy New Year

 poppler/poppler-config.h.cmake | 2 +-
 poppler/poppler-config.h.in    | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit d8f418d2f2ec5966d77caf128a52c834fdd0efcf
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Mon Nov 23 13:52:10 2015 +0400

    Fix finding Arabic Presentation Forms ligatures

    PDF text containing Arabic Presentation forms ligatures is still not
    found after the previous commit.

    This because the ligatures are decomposed in logical order after
    normalisation, while the whole string is in visual order.  For example
    the RTL text ABCD in visual order will be DCBA, and assuming B is a
    ligature, it will be decomposed to B1B2 so the string after
    normalization will be DCB1B2A while we are expecting it to be DCB2B1A.

    This patch reverses the order of the decomposition of RTL characters
    to
    work around this issue.

 poppler/TextOutputDev.cc    |  4 +++-
 poppler/UnicodeTypeTable.cc | 20 ++++++++++++++++----
 poppler/UnicodeTypeTable.h  |  7 ++++++-
 3 files changed, 25 insertions(+), 6 deletions(-)

commit 67645087477beb618304ea34cbdbafd40b199276
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Wed Nov 18 14:47:28 2015 +0400

    Handle right-to-left text in search

    Currently right-to-left text reversal is only done during text
    dumping,
    but not during search. This commit applies the same reversal logic
    during PDF search as well.

 poppler/TextOutputDev.cc | 191
 ++++++++++++++++++++++++++---------------------
 1 file changed, 107 insertions(+), 84 deletions(-)

commit 00422d0c6baaba639fa0660e3a933cdb76b28f88
Author: Jason Crain <jason@aquaticape.us>
Date:   Sun Dec 20 09:54:43 2015 -0600

    cairo: use shape mask with soft mask

    Clear target with the shape mask whether the soft mask is set or not.
    Propagate the shape up to any higher level groups and destroy the
    shape pattern when done.

    Fix a memory leak by removing a call to 'cairo_reference
    (cairo_shape)'.
    We already keep track of the lifetime of cairo_shape using
    knockoutCount.

    bug 91931

 poppler/CairoOutputDev.cc | 49
 ++++++++++++++++++++++-------------------------
 1 file changed, 23 insertions(+), 26 deletions(-)

commit bc4cab272e4fe28b836cb2ef1ff672f0d79d243c
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sat Jan 2 09:49:27 2016 +0100

    regtest: Fix the number of worker threads spawned reported in log
    of run-tests command

 regtest/TestRun.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ea75de614e666d8235c38048585315e0d7ff5522
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sat Jan 2 09:48:03 2016 +0100

    regtest: Limit the number of worker threads to the number of documents
    to create references

    The same way we do for the run-tests command.

 regtest/TestReferences.py | 27 ++++++++++++++++++---------
 1 file changed, 18 insertions(+), 9 deletions(-)

commit 25bb59a81de8a1b6dd23fec871a97ccb11fe9d64
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Fri Jan 1 12:45:42 2016 +0100

    regtest: Allow to interrupt run-tests and create-refs commands when
    multiple threads are used

    The Queue join implementation uses a non-timed wait that blocks
    the main
    thread, making it impossible to interrupt it with CTRL+C or sending
    SIGINT signal. Using any timeout value for wait would fix the problem,
    but Queue doesn't allow to pass a timeout to the join method. The
    Queue implementation is actually quite simple, so we can just add our
    own implementation with only the things we really need and use
    a timeout
    value when calling wait() in join().

 regtest/InterruptibleQueue.py | 68
 +++++++++++++++++++++++++++++++++++++++++++
 regtest/TestReferences.py     |  4 +--
 regtest/TestRun.py            |  4 +--
 3 files changed, 72 insertions(+), 4 deletions(-)

commit ffb3ff633b124c476ab48bbcfce04d7f418df9bc
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Fri Jan 1 11:32:14 2016 +0100

    regtest: Do not use the log printer with the TestReferences lock held

 regtest/TestReferences.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e3b09727ad96a03ba1250f49486948899b4df793
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Fri Dec 25 14:10:03 2015 +0100

    Make detection of version one of OpenJPEG prefer a pkg-config manifest
    if it exists.

 CMakeLists.txt                      |  1 -
 cmake/modules/FindLIBOPENJPEG.cmake | 37
 +++++++++++++++++++++++--------------
 2 files changed, 23 insertions(+), 15 deletions(-)

commit 7c880daecfcddac2f8181d5f3d506dd409812dbe
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Fri Dec 25 14:10:03 2015 +0100

    Make use of LINK_PRIVATE flag to fix warning on CMake policy 0022.

 CMakeLists.txt     | 3 +--
 cpp/CMakeLists.txt | 3 +--
 2 files changed, 2 insertions(+), 4 deletions(-)

commit 4a413b9b95d5c6815c91adb815254cce97dd5b4b
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Fri Dec 25 14:10:03 2015 +0100

    Make target names for Qt4 and Qt5 builds unique so they can be built
    at the same time using recent CMake and Ninja versions.

 qt4/tests/CMakeLists.txt | 44 +++++++++++++++++++++---------------------
 qt5/CMakeLists.txt       |  2 ++
 qt5/demos/CMakeLists.txt |  2 --
 qt5/src/CMakeLists.txt   |  2 --
 qt5/tests/CMakeLists.txt | 50
 +++++++++++++++++++++++-------------------------
 5 files changed, 48 insertions(+), 52 deletions(-)

commit b3425dd3261679958cd56c0f71995c15d2124433
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Dec 22 22:50:33 2015 +0100

    Do not crash on invalid files

    Bug #93476

 poppler/Function.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit 5d57c34cbf9288eec6ddb149e905268405c19450
Author: Pino Toscano <pino@kde.org>
Date:   Sun Dec 20 08:42:25 2015 +0100

    typo fix: "occurence" -> "occurrence"

 utils/pdfunite.1 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3eee5274abb24d5b5be05262aafe794652cdac35
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Dec 17 00:09:37 2015 +0100

    New gtk-doc stuff

 gtk-doc.make | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

commit fb1f7b0fb037837f37be65aa23ecac711a1b4981
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Dec 17 00:08:24 2015 +0100

    Prepare for 0.39

 CMakeLists.txt            |  4 ++--
 NEWS                      | 21 +++++++++++++++++++++
 configure.ac              |  2 +-
 cpp/Doxyfile              |  2 +-
 poppler/CairoOutputDev.cc |  2 +-
 poppler/CairoOutputDev.h  |  2 +-
 poppler/GfxState.cc       |  1 +
 poppler/GfxState.h        |  1 +
 poppler/JPEG2000Stream.cc |  1 +
 poppler/Makefile.am       |  2 +-
 poppler/PSOutputDev.cc    |  2 +-
 qt4/src/Doxyfile          |  2 +-
 qt5/src/Doxyfile          |  2 +-
 utils/pdftocairo.cc       |  2 +-
 14 files changed, 35 insertions(+), 11 deletions(-)

commit 7ed7fb6d2be009c5d433338a6b3da816dd38f5ca
Author: Pino Toscano <pino@kde.org>
Date:   Sun Oct 12 22:43:22 2014 +0200

    Fix typos in error messages

    Reported by Jakub Wilk, thanks!

 poppler/JPEG2000Stream.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 47ffce08e75002aa0707107c76984e7e471d8afb
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Thu Jan 15 21:20:05 2015 +1030

    cairo: Implement function shading using mesh gradients

    Gfx draws function shadings by subdividing the shading until the
    colors are the same or the maximum subdivision is reached then fills
    each cell with the color of the mid point of the cell. The solid
    colors can result in a pixelated appearance.

    This patch implements a cairo specific version of the function shading
    that uses mesh gradients to draw each cell. By setting the corner of
    each patch to the shading color at that point, the mesh gradient will
    interpolate the colors resulting in a smooth appearance.

    Bug 88394

 poppler/CairoOutputDev.cc | 101
 ++++++++++++++++++++++++++++++++++++++++++++++
 poppler/CairoOutputDev.h  |   5 ++-
 2 files changed, 105 insertions(+), 1 deletion(-)

commit d7717cf18d0db5663687690ccf66102e9a124025
Author: Jason Crain <jason@aquaticape.us>
Date:   Fri Aug 22 00:51:36 2014 -0500

    cairo: Scale radial pattern

    Scale the radial pattern because cairo/pixman do not work well with a
    very large or small scaled matrix.  See cairo bug #81657.

    bug #22098

 poppler/CairoOutputDev.cc | 26 ++++++++++++++++++++------
 1 file changed, 20 insertions(+), 6 deletions(-)

commit 9ef565d0302ad4a36c53d7cd3251bff6a53070ea
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Fri Dec 4 11:08:45 2015 +0100

    regtest: Pass always both the owner and user passwords to the tools

 regtest/backends/cairo.py      | 2 +-
 regtest/backends/postscript.py | 2 +-
 regtest/backends/splash.py     | 2 +-
 regtest/backends/text.py       | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 3686005cde6f0c0992498a1773b02331fce79b1c
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Fri Dec 4 11:03:27 2015 +0100

    pdftocairo: Fix double free when both user and owner passwords
    are given

 utils/pdftocairo.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 38796894f8ab19c2cd0b996e6b1aa0be98326eac
Author: Hib Eris <hib@hiberis.nl>
Date:   Mon Jun 9 22:54:54 2014 +0200

    Remove enum PopplerOrientation from API

    This should have been removed long time ago with
    1aad886c6c19a964a3fc9e18f31acc8e115478e0

    https://bugs.freedesktop.org/show_bug.cgi?id=93229

 glib/poppler.h                      |  8 --------
 glib/reference/poppler-docs.sgml    |  1 -
 glib/reference/poppler-sections.txt | 11 -----------
 3 files changed, 20 deletions(-)

commit 921fe21d56be27c8164111577b9a848525b35508
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Thu Dec 3 16:23:30 2015 +0100

    regtest: Fix testing text backend

    Fix a typo in previous commit.

 regtest/backends/text.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3e22c678e749eda4402a7440b91b33d627705fdb
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Thu Dec 3 15:46:58 2015 +0100

    regtest: Add support for testing password protected documents

    Similar to how skipped file works, you can pass a passwords file from
    the command line or add a Passwords file to your docs directory. This
    file should be a python file containing a "passwords" dictionary where
    the key is the test document and the value is the password required to
    open that document.

 regtest/TestReferences.py      |  7 +++++--
 regtest/TestRun.py             | 11 +++++++----
 regtest/Utils.py               | 13 +++++++++++++
 regtest/backends/__init__.py   |  2 +-
 regtest/backends/cairo.py      |  7 +++++--
 regtest/backends/postscript.py |  7 +++++--
 regtest/backends/splash.py     |  7 +++++--
 regtest/backends/text.py       |  7 +++++--
 regtest/main.py                |  3 +++
 9 files changed, 49 insertions(+), 15 deletions(-)

commit 50ba37c7b1aff14c73f158ff7f33d31953af512b
Author: Hib Eris <hib@hiberis.nl>
Date:   Sun Jun 8 14:03:17 2014 +0200

    doc: Move PopplerError to it's own section

    https://bugs.freedesktop.org/show_bug.cgi?id=79837

 glib/poppler.cc                     | 15 +++++++++++++++
 glib/reference/poppler-docs.sgml    |  1 +
 glib/reference/poppler-sections.txt | 18 +++++++++++++-----
 3 files changed, 29 insertions(+), 5 deletions(-)

commit ef518d601836fcedb8b558447f10c846e4038318
Author: Hib Eris <hib@hiberis.nl>
Date:   Mon Jun 9 15:53:57 2014 +0200

    doc: Add poppler_orientation_get_type to poppler-sections.txt

    https://bugs.freedesktop.org/show_bug.cgi?id=79837

 glib/reference/poppler-sections.txt | 1 +
 1 file changed, 1 insertion(+)

commit 7f1de12da6d1128535c2e3e7dc89e29ca61b858f
Author: Hib Eris <hib@hiberis.nl>
Date:   Sun Jun 8 22:27:47 2014 +0200

    doc: Fix PopplerStructureElement documentation

    https://bugs.freedesktop.org/show_bug.cgi?id=79837

 glib/poppler-structure-element.cc | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit d4a9da24d2c479d53ff1094e6e1d7c1d79561da4
Author: Hib Eris <hib@hiberis.nl>
Date:   Mon Jun 9 08:34:13 2014 +0200

    doc: Do not include private headers

    https://bugs.freedesktop.org/show_bug.cgi?id=79837

 glib/reference/Makefile.am          | 6 +++++-
 glib/reference/poppler-sections.txt | 1 -
 2 files changed, 5 insertions(+), 2 deletions(-)

commit 7980727d76b29db12b468e5da19d174d42bc3b00
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Tue Oct 27 22:27:22 2015 +1030

    pdftops: fix %%PageBoundingBox

    The %%PageBoundingBox calculation did not take into account the
    page transformation
    (eg rotate, fit-to-page).

    Bug 87161

 poppler/GfxState.cc    | 16 +++++++++++
 poppler/GfxState.h     |  5 ++++
 poppler/PSOutputDev.cc | 72
 +++++++++++++++++++++++++++++++++++++-------------
 3 files changed, 74 insertions(+), 19 deletions(-)

commit 37840827c4073dedfd37915a74eb8fe0c44843c3
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:   Wed Dec 2 22:15:33 2015 +0100

    Ignore the alternateSpace and tintTransform

    As a reasonable compromise in my eyes this new patch
    now also checks the alternate colorspace, and if this
    is DeviceGray in case of a separation colorspace with
    name black this patch treats is as if it is really a
    DeviceGray and so ignore tintTransform and alternate
    colorspace just in this case when using getGray() and getRGB().

    Bug #92381

 poppler/GfxState.cc | 64
 +++++++++++++++++++++++++++++++++++++++--------------
 1 file changed, 48 insertions(+), 16 deletions(-)

commit 72f0ea4f883417a920be65cb778989bf81e8f57d
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Wed Dec 2 16:59:16 2015 +0100

    glib-demo: Use duration_real in transitions demo

 glib/demo/transitions.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b5c7b93cabc0d95fb3a7dc1b8104363cd04873c1
Author: Arseniy Lartsev <arseniy@alumni.chalmers.se>
Date:   Wed Dec 2 16:48:05 2015 +0100

    glib: Add duration_real to PopplerPageTransition

    https://bugs.freedesktop.org/show_bug.cgi?id=92040

 glib/poppler-page.cc | 1 +
 glib/poppler-page.h  | 1 +
 2 files changed, 2 insertions(+)

commit 38ff3736576b81be51eb11454862f83d1c3f3d0e
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sun Nov 29 08:06:14 2015 +1030

    Visual Studio 2015 now supports snprintf

    Bug 93116

 config.h.cmake | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c63aa0c153fc114e6457fc89a40a9aa2a5508b9a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Nov 16 21:44:17 2015 +0100

    Poppler 0.38

 CMakeLists.txt      |  4 ++--
 NEWS                | 12 ++++++++++++
 configure.ac        |  2 +-
 cpp/Doxyfile        |  2 +-
 poppler/Makefile.am |  2 +-
 qt4/src/Doxyfile    |  2 +-
 qt5/src/Doxyfile    |  2 +-
 7 files changed, 19 insertions(+), 7 deletions(-)

commit 6ca4afcea790d9118af3cda4961a647485fb14e8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Nov 16 21:40:20 2015 +0100

    Update copyright years

 utils/pdftocairo.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0e14049bc5b85f8ae2e1a56bc09480a499343e49
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat Oct 31 18:32:49 2015 +1030

    pdftocairo: fix fit to page transformation

    Testing with the test case in bug 87161 revealed some bugs.

 utils/pdftocairo.cc | 42 ++++++++++++++++++++----------------------
 1 file changed, 20 insertions(+), 22 deletions(-)

commit 8859cebef5bb5308757505c8f2c8ca9fc12e154d
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat Oct 31 08:04:51 2015 +1030

    gitignore

 utils/.gitignore | 1 +
 1 file changed, 1 insertion(+)

commit 946eb417e6da11491f6409669119254c769b6945
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Thu Oct 29 21:59:06 2015 +1030

    man pages: remove final comma in see also list

 utils/pdfdetach.1   | 2 +-
 utils/pdffonts.1    | 2 +-
 utils/pdfimages.1   | 2 +-
 utils/pdfinfo.1     | 2 +-
 utils/pdfseparate.1 | 2 +-
 utils/pdfsig.1      | 2 +-
 utils/pdftocairo.1  | 2 +-
 utils/pdftohtml.1   | 2 +-
 utils/pdftoppm.1    | 2 +-
 utils/pdftops.1     | 2 +-
 utils/pdftotext.1   | 2 +-
 utils/pdfunite.1    | 2 +-
 12 files changed, 12 insertions(+), 12 deletions(-)

commit 1c66076bac768774e8b2b514bc0c555bc0395348
Author: André Guerreiro <aguerreiro1985@gmail.com>
Date:   Thu Oct 29 21:55:46 2015 +1030

    pdfsig: update man page

 utils/pdfsig.1 | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 3167964d70647d7b04e3ef8f415d5935990ecc9a
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:   Wed Oct 28 23:13:44 2015 +0100

    Multiply opacity in case of pattern colorspace

    Bug #92592

 poppler/Gfx.cc             |  4 +++-
 poppler/OutputDev.h        |  4 +++-
 poppler/SplashOutputDev.cc |  8 ++++++++
 poppler/SplashOutputDev.h  |  2 ++
 splash/Splash.cc           | 16 ++++++++++++++--
 splash/Splash.h            |  2 ++
 splash/SplashState.cc      | 11 ++++++++++-
 splash/SplashState.h       |  5 ++++-
 8 files changed, 46 insertions(+), 6 deletions(-)

commit 298caa2fc52cf50e92e1afda39b77b11f2de9743
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Wed Oct 28 20:54:43 2015 +1030

    Add pdfsig reference (and other missing utils) to man pages

 utils/pdfdetach.1   |  5 ++++-
 utils/pdffonts.1    |  3 +++
 utils/pdfimages.1   |  5 ++++-
 utils/pdfinfo.1     |  3 +++
 utils/pdfseparate.1 | 10 ++++++++++
 utils/pdftocairo.1  |  3 +++
 utils/pdftohtml.1   |  3 +++
 utils/pdftoppm.1    |  3 +++
 utils/pdftops.1     |  3 +++
 utils/pdftotext.1   |  5 ++++-
 utils/pdfunite.1    | 10 ++++++++++
 11 files changed, 50 insertions(+), 3 deletions(-)

commit 5a6d6f5ec8782bb69a5805d8d8379a33aa00edec
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Wed Oct 28 20:54:23 2015 +1030

    Add pdfsig man page

 utils/pdfsig.1 | 46 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)

commit 1f8e1a029773cefe0c31357c1e450cc4ecd5a5b5
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Wed Oct 28 19:38:14 2015 +1030

    pdfsig: rename -c to -nocert

    and make help options consistent with other tools (add -? and list
    help options last)

 utils/pdfsig.cc | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 9d5bf425bd82dda303362380c488559be0007d78
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Wed Oct 28 19:34:26 2015 +1030

    rename pdfsigverify to pdfsig

 utils/CMakeLists.txt  |  12 ++--
 utils/Makefile.am     |   6 +-
 utils/pdfsig.cc       | 173
 ++++++++++++++++++++++++++++++++++++++++++++++++++
 utils/pdfsigverify.cc | 173
 --------------------------------------------------
 4 files changed, 182 insertions(+), 182 deletions(-)

commit 1d97f708ceb7cd34ccdb1a4f85192efe83d1853c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Oct 27 22:27:31 2015 +0100

    Differentiate between unknown and untrusted issuer

 poppler/SignatureHandler.cc | 4 +++-
 poppler/SignatureInfo.h     | 4 +++-
 utils/pdfsigverify.cc       | 7 +++++--
 3 files changed, 11 insertions(+), 4 deletions(-)

commit 19e20dc69a631f92bf4fdc0be0dd840a460cfc92
Author: Markus Kilås <digital@markuspage.com>
Date:   Tue Oct 27 22:23:06 2015 +0100

    Handle untrusted issuer

 poppler/SignatureHandler.cc | 2 ++
 1 file changed, 2 insertions(+)

commit c20f68ce434366bbec4077824da97ce843ecdff3
Author: Marek Kasik <mkasik@redhat.com>
Date:   Thu Oct 22 16:15:23 2015 +0200

    forms: Fix showing of some non-ASCII characters

    The &uChar is an array with just 1 member not 2.
    This fixes mapping of some Unicode characters to
    character codes.

 poppler/Annot.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 64735113b203bb5adaaadc65641ef6c971f82bc6
Author: Marek Kasik <mkasik@redhat.com>
Date:   Fri Oct 23 10:15:47 2015 +0200

    forms: Find correct glyph or return 0

    Function CharCodeToUnicode::mapToCharCode() could return
    wrong character code for given unicode character because
    of wrongly placed continue statement.

 poppler/CharCodeToUnicode.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 02d3564faa5d8174ed93ce66fcda975b1a898ec5
Author: André Guerreiro <aguerreiro1985@gmail.com>
Date:   Wed Oct 14 22:50:05 2015 +0200

    Incremental hashing + large file support for digital signatures

 poppler/Form.cc             | 63
 +++++++++++++++++++++++++++++++++------------
 poppler/Form.h              |  1 +
 poppler/SignatureHandler.cc | 34 ++++++++++++++----------
 poppler/SignatureHandler.h  |  9 +++++--
 4 files changed, 76 insertions(+), 31 deletions(-)

commit fb906dca8b84d03267099cc3174c50e932a55236
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Thu Oct 15 07:19:16 2015 +1030

    cmake: synchronize warnings with configure

 CMakeLists.txt | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit 6329e3999d0a45b4c0cd0a8b675362e694bf1243
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Thu Oct 15 07:11:13 2015 +1030

    configure: warn that the internal DCT/JPX decoders are unmaintained

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 67e1463dc65f85aec1f85b5bace9e810bf477e15
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Oct 12 16:49:34 2015 +0200

    Clarify getting a xpdf license does not allow you to use poppler in
    closed source projects

 README | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 44e1a2f715d0da8bb2941da296faab7ee144cfc2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Oct 9 23:28:03 2015 +0200

    Poppler 0.37

 CMakeLists.txt         |  4 ++--
 NEWS                   | 13 +++++++++++++
 configure.ac           |  2 +-
 cpp/Doxyfile           |  2 +-
 gtk-doc.make           | 20 ++++++++++++--------
 poppler/Makefile.am    |  2 +-
 qt4/src/CMakeLists.txt |  2 +-
 qt4/src/Doxyfile       |  2 +-
 qt4/src/Makefile.am    |  2 +-
 qt5/src/CMakeLists.txt |  2 +-
 qt5/src/Doxyfile       |  2 +-
 qt5/src/Makefile.am    |  2 +-
 12 files changed, 36 insertions(+), 19 deletions(-)

commit 5570c70a20ae62a9b3341372fafc64e916774adb
Author: André Guerreiro <aguerreiro1985@gmail.com>
Date:   Mon Oct 5 16:50:30 2015 +0200

    NSS conditional build

 CMakeLists.txt       | 19 ++++++++++++++-----
 config.h.cmake       |  3 +++
 configure.ac         | 20 +++++++++++++++++++-
 poppler/Form.cc      |  7 ++++++-
 poppler/Makefile.am  | 28 ++++++++++++++++++++++------
 utils/CMakeLists.txt | 16 +++++++++-------
 utils/Makefile.am    |  5 ++++-
 7 files changed, 77 insertions(+), 21 deletions(-)

commit c7c0207b1cfe49a4353d6cda93dbebef4508138f
Author: André Guerreiro <aguerreiro1985@gmail.com>
Date:   Mon Oct 5 15:57:04 2015 +0200

    Support for adbe.pkcs7.sha1 signatures

 poppler/Form.cc             |  2 +-
 poppler/SignatureHandler.cc | 27 +++++++++++++++++++++++++--
 2 files changed, 26 insertions(+), 3 deletions(-)

commit e8cb16bff48dbe2d9efd988ddb09608406d2633b
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sun Sep 27 15:34:12 2015 +0930

    configure: fix openjpeg detection

    - configure was failing when enable_libopenjpeg="auto" and openjpeg
    not found
    - fix header check for pre 1.4 versions

    Bug 92135

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a82e338b4f9639aced3201bf7639bbdf1a7974e2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Sep 27 15:41:27 2015 +0200

    Fix memory leak on font reload

 poppler/SplashOutputDev.cc | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 8639b20da3d9be62f47462ad1cdaa5c65d117dfb
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:   Sun Sep 27 15:37:51 2015 +0200

    Try to use an external font if the internal one is invalid

 poppler/GfxFont.h          | 11 +++++++++++
 poppler/SplashOutputDev.cc |  8 ++++++++
 2 files changed, 19 insertions(+)

commit e3225a0543d1e6fbc269094ca192879816296993
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Sep 25 01:14:41 2015 +0200

    Fix crash in GfxGouraudTriangleShading for malformed files

 poppler/GfxState.cc | 26 ++++++++++++++++----------
 1 file changed, 16 insertions(+), 10 deletions(-)

commit 0a33e3a740a1dbe57023d0a51077689d29d79def
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Sep 25 01:00:32 2015 +0200

    Fix the fix of the fix for SplashOutputDev::beginTransparencyGroup
    and malformed files

 poppler/SplashOutputDev.cc | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit b723e4f90c78ac972bf30d7006283042930374d7
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Sep 25 00:53:10 2015 +0200

    Fix crash in malformed document in SplashOutputDev::drawMaskedImage

    And improved the one i just did for
    SplashOutputDev::beginTransparencyGroup

 poppler/SplashOutputDev.cc | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit fd49b3d4ecdbe04c4f51e6ab77687dc25bbc3f49
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Sep 25 00:45:55 2015 +0200

    Fix crash on Annot::layoutText for malformed documents

 poppler/Annot.cc | 3 +++
 1 file changed, 3 insertions(+)

commit a88be71fee8a4fd8e9a5a1d9d955addc0f3076ea
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Sep 25 00:42:14 2015 +0200

    Fix crash in SplashOutputDev::beginTransparencyGroup in malformed file

 poppler/SplashOutputDev.cc | 6 ++++++
 1 file changed, 6 insertions(+)

commit 0fa5c17ea409c3fdfe1e3a97ff5e4bae96da1cae
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Sep 25 00:36:33 2015 +0200

    Fix crash on JBIG2Stream::readHalftoneRegionSeg for malformed
    documents

 poppler/JBIG2Stream.cc | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

commit 942adfc25e7a00ac3cf032ced2d8949e99099f70
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Sep 25 00:30:58 2015 +0200

    Fix crash on AnnotInk::draw for malformed documents

 poppler/Annot.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4f7903ebc037c63683637973285bc34ea83542dc
Author: André Guerreiro <aguerreiro1985@gmail.com>
Date:   Thu Sep 24 23:57:46 2015 +0200

    Fix for Buffer overflow

 poppler/Form.cc | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

commit 9aa19159bff4db02889cba48b9b31e40247e5314
Author: Even Rouault <even.rouault@spatialys.com>
Date:   Fri Sep 11 13:56:05 2015 +0200

    Catalog::cachePageTree(): recover from out of memory condition

 poppler/Catalog.cc | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit 8dc9187690de10f1538764972799a39660272d1f
Author: Even Rouault <even.rouault@spatialys.com>
Date:   Fri Sep 11 13:30:32 2015 +0200

    Catalog::getNumPages(): validate page count

 poppler/Catalog.cc | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 7028f835a603e12dd73452a39f56ac0b633207b2
Author: Arseniy Lartsev <arseniy@alumni.chalmers.se>
Date:   Sun Sep 20 18:32:36 2015 +0200

    PageTransition D is a number not an int

    See bug #92040

 poppler/PageTransition.cc          |  5 +++--
 poppler/PageTransition.h           |  5 +++--
 qt4/src/poppler-page-transition.cc |  6 ++++++
 qt4/src/poppler-page-transition.h  | 14 ++++++++++++--
 qt5/src/poppler-page-transition.cc |  6 ++++++
 qt5/src/poppler-page-transition.h  | 14 ++++++++++++--
 6 files changed, 42 insertions(+), 8 deletions(-)

commit a98f99e90aac703e648697da5c897c49645eda10
Author: Kenji Uno <ku@digitaldolphins.jp>
Date:   Wed Sep 16 22:08:59 2015 +0200

    SplashOuputDev: Protect calls to set/getAA with the proper #if guards

    Bug #92006

 poppler/SplashOutputDev.cc | 7 +++++++
 1 file changed, 7 insertions(+)

commit 2a48cab5e66a69ed1bf3e792efc109ddcad8d5ee
Author: Jason Crain <jason@aquaticape.us>
Date:   Tue Sep 15 14:43:21 2015 -0500

    cairo: Use mask for even-odd fill

    Bug #84527

 poppler/CairoOutputDev.cc | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 10693fb236ff92c6aa0c0a9f762362d2fd9ea738
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 14 20:19:00 2015 +0200

    include shuffling

 poppler/PDFDoc.cc           | 2 --
 poppler/PDFDoc.h            | 3 ---
 poppler/SignatureHandler.cc | 1 -
 utils/pdfsigverify.cc       | 1 +
 4 files changed, 1 insertion(+), 6 deletions(-)

commit 6e24d374987fbba0f5a133d73dfcb3e73129b534
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 14 19:59:09 2015 +0200

    Simplify biterange handling

 poppler/Form.cc | 22 +++++++---------------
 poppler/Form.h  |  2 +-
 2 files changed, 8 insertions(+), 16 deletions(-)

commit 7afa26fc389f4b2aa67cdf286e9c4ebfb3d78de5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 14 19:50:56 2015 +0200

    Disable SignatureInfo and SignatureHandler copy ctr and assignment
    operator

 poppler/SignatureHandler.h | 3 +++
 poppler/SignatureInfo.h    | 3 +++
 2 files changed, 6 insertions(+)

commit 5348f8d080ae9f0ee58d75fd7ae2bc9f23692eca
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 14 19:46:23 2015 +0200

    Fix some leaks in SignatureHandler

 poppler/SignatureHandler.cc | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 17b3a8dc2f8ab50696dd1247c4b6dd75991ab17e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 14 19:40:30 2015 +0200

    Signatures: keep Goostring and convert to uchar when needed

 poppler/Form.cc | 11 ++++++-----
 poppler/Form.h  |  5 ++---
 2 files changed, 8 insertions(+), 8 deletions(-)

commit a4ac855435325225e3d89d83870ff08ec73d86f8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 14 01:52:41 2015 +0200

    PDFDoc::getSignatureWidgets: Do not assume a given page exists

 poppler/PDFDoc.cc | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit 6509068cf6e4a92359bcc5402f9e9eb9649d641c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 14 01:45:47 2015 +0200

    SignatureHandler initialize members on constructor

 poppler/SignatureHandler.cc | 4 ++++
 poppler/SignatureHandler.h  | 8 ++++----
 2 files changed, 8 insertions(+), 4 deletions(-)

commit 5d8dfaa9d55932cde638880bcee063a6f084689f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 14 01:43:16 2015 +0200

    SignatureInfo::setSignerName: free old signer_name

 poppler/SignatureInfo.cc | 1 +
 1 file changed, 1 insertion(+)

commit f284cfc7394175ea675d7c76d97a1f8461cf17d2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 14 01:42:11 2015 +0200

    Start function names on lowercase

 poppler/Form.cc             | 4 ++--
 poppler/SignatureHandler.cc | 5 +++--
 poppler/SignatureHandler.h  | 5 +++--
 3 files changed, 8 insertions(+), 6 deletions(-)

commit 127ad3bb038d90ad7579e2e94cff2890869e2f43
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 14 01:40:31 2015 +0200

    FormFieldSignature::parseInfo: check for isString instead !isNull

 poppler/Form.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e428a3b8449830bf00706b4ccf86c27a55970f1f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 14 01:39:57 2015 +0200

    FormFieldSignature::parseInfo: Use shorter isName version

 poppler/Form.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ba3a4ec30fcd303e91ef41bef491c230a822bd32
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 14 01:36:44 2015 +0200

    Delete the signature_info in FormFieldSignature not in pdfsigverify

 poppler/Form.cc       | 1 +
 utils/pdfsigverify.cc | 3 +--
 2 files changed, 2 insertions(+), 2 deletions(-)

commit e6b3d696adea70c79f60a67c275e23c29d2534c3
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 14 01:33:56 2015 +0200

    Make signature code more resilient

    Do not abort with sign-a-pdf-with-reader-enabled.pdf

 poppler/Form.cc | 68
 +++++++++++++++++++++++++++++++--------------------------
 1 file changed, 37 insertions(+), 31 deletions(-)

commit 23fa84ff91666d1feb2242fe4572eb397c791c55
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 14 01:28:18 2015 +0200

    cmake: No need if NSS3_FOUND if it's required

 CMakeLists.txt | 9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

commit 7a1dac27d380f0b1a68383525a4ae4a0c7f3e6f5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 14 01:26:31 2015 +0200

    FormFieldSignature::validateSignature: Free to_check earlier

 poppler/Form.cc | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 71cc344d85aba7a4ae79e2c4c454341096a2329b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 14 01:25:31 2015 +0200

    Remove PDFDoc::countSignatures

 poppler/PDFDoc.cc     | 7 +------
 poppler/PDFDoc.h      | 3 +--
 utils/pdfsigverify.cc | 9 +++------
 3 files changed, 5 insertions(+), 14 deletions(-)

commit c68954dd73202f21b62899dc335fd74218d5b595
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 14 01:20:41 2015 +0200

    pdfsigverify: move assignment before if

 utils/pdfsigverify.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8727fe6c08b7326523d6e15c90ce89e5e9d7300e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 14 01:20:16 2015 +0200

    pdfsigverify: no if before delete

 utils/pdfsigverify.cc | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit eb1a6a6254fb393555d6d30b99f4ea800d8d446b
Author: André Guerreiro <aguerreiro1985@gmail.com>
Date:   Mon Sep 14 01:17:30 2015 +0200

    Core: Support for digital signatures

    Coded with André Esser <bepandre@hotmail.com>

    Bug #16770

 CMakeLists.txt               |   9 ++
 cmake/modules/FindNSS3.cmake |  22 ++++
 configure.ac                 |   2 +
 poppler/DateInfo.cc          |  26 ++++
 poppler/DateInfo.h           |   3 +
 poppler/Form.cc              | 116 ++++++++++++++++-
 poppler/Form.h               |  16 +++
 poppler/Makefile.am          |   6 +
 poppler/PDFDoc.cc            |  27 ++++
 poppler/PDFDoc.h             |   9 ++
 poppler/SignatureHandler.cc  | 301
 +++++++++++++++++++++++++++++++++++++++++++
 poppler/SignatureHandler.h   |  65 ++++++++++
 poppler/SignatureInfo.cc     |  86 +++++++++++++
 poppler/SignatureInfo.h      |  66 ++++++++++
 utils/CMakeLists.txt         |   8 ++
 utils/Makefile.am            |   4 +
 utils/pdfsigverify.cc        | 174 +++++++++++++++++++++++++
 17 files changed, 938 insertions(+), 2 deletions(-)

commit b14d4b0968f7b0ad783c3fa56ad863d7fda235fe
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Sep 10 00:33:15 2015 +0200

    Post release fixlets for the NEWS file

 NEWS | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit de1ece5c929c3f46c04be76b4b72f6371911fd1a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Sep 10 00:26:02 2015 +0200

    Poppler 0.36

 CMakeLists.txt         |  4 ++--
 NEWS                   | 36 ++++++++++++++++++++++++++++++++++++
 configure.ac           |  2 +-
 cpp/Doxyfile           |  2 +-
 poppler/Makefile.am    |  2 +-
 qt4/src/CMakeLists.txt |  2 +-
 qt4/src/Doxyfile       |  2 +-
 qt4/src/Makefile.am    |  2 +-
 qt5/src/CMakeLists.txt |  2 +-
 qt5/src/Doxyfile       |  2 +-
 qt5/src/Makefile.am    |  2 +-
 11 files changed, 47 insertions(+), 11 deletions(-)

commit d490c21fe4a60cff26f34c619d3078dcb575bf44
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Sep 9 23:55:57 2015 +0200

    Update (C)

 poppler/CairoOutputDev.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fc69a5e7dab48636946282e5d4b7be77e650023c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 8 17:48:49 2015 +0200

    Qt5: Minor optimizations

    Call reserve on containers
    Use QStringLiteral/QLatin1String

 qt5/src/poppler-annotation.cc | 612
 +++++++++++++++++++++---------------------
 qt5/src/poppler-document.cc   |   3 +-
 qt5/src/poppler-fontinfo.cc   |   3 +-
 qt5/src/poppler-form.cc       |   3 +-
 qt5/src/poppler-optcontent.cc |   2 +
 qt5/src/poppler-page.cc       |   1 +
 qt5/src/poppler-private.cc    |  18 +-
 7 files changed, 325 insertions(+), 317 deletions(-)

commit 9b4e908d86e78535cced9fb7ccac1f3f0e1fc5c1
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 8 17:48:16 2015 +0200

    Qt4: Minor optimization

    Call reserve on containers upfront

 qt4/src/poppler-annotation.cc | 4 +++-
 qt4/src/poppler-document.cc   | 3 ++-
 qt4/src/poppler-fontinfo.cc   | 3 ++-
 qt4/src/poppler-form.cc       | 3 ++-
 qt4/src/poppler-optcontent.cc | 2 ++
 qt4/src/poppler-page.cc       | 1 +
 6 files changed, 12 insertions(+), 4 deletions(-)

commit f8182694909c989bd65b7317f9df439c5bfabe95
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 8 17:13:07 2015 +0200

    renderingIntent is always non null

 poppler/GfxState.cc | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

commit 6f69e2e35b8fe7a347367074ce36959d47fd8635
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 8 09:44:30 2015 +0200

    Matrix is 48 bytes, pass it by ref instead of by value

 poppler/TextOutputDev.cc | 4 ++--
 poppler/TextOutputDev.h  | 6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)

commit c871ae2cd6fbc8a827dfe2c4d5595d7439a4b54e
Author: Heiko Becker <heirecka@exherbo.org>
Date:   Sun May 3 16:06:30 2015 +0200

    cmake: Allow configuring SHARE_INSTALL_DIR

    This is helpful on a multiarch layout where the prefix is /usr/${host}
    but arch-independent files should still be installed to /usr/share.

    Bug 90293

 CMakeLists.txt                                 |  1 +
 cmake/modules/GObjectIntrospectionMacros.cmake |  2 +-
 utils/CMakeLists.txt                           | 22
 +++++++++++-----------
 3 files changed, 13 insertions(+), 12 deletions(-)

commit 1e1a2d0600153c98d44f65e83a0555ab5288450b
Author: Jason Crain <jason@aquaticape.us>
Date:   Sun Sep 6 22:33:02 2015 +0200

    Fix JBIG2Decode infinite loop and stack overflow

    Creating a JBIG2Decode filter can create a stack overflow or infinite
    loop.  Fix stack overflow by adding 'recursion' argument to fetch
    call.  Fix infinite loop by removing the reference lookup loop.
    Chains of references aren't allowed by the spec anyway.

    Bug #91186

 poppler/Stream.cc | 10 +++-------
 1 file changed, 3 insertions(+), 7 deletions(-)

commit 3c91ded21c828d3529f9cd00c417601c67c8a741
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 1 23:46:55 2015 +0200

    Revert a42614284c94c6742b2343abd797657fffa80e0e

 poppler/PDFDoc.cc                | 33 ++++++++++++++-------------------
 poppler/PDFDoc.h                 | 11 +++++------
 qt4/src/poppler-pdf-converter.cc | 14 +-------------
 qt4/src/poppler-qt4.h            |  4 +---
 qt5/src/poppler-pdf-converter.cc | 14 +-------------
 qt5/src/poppler-qt5.h            |  4 +---
 utils/pdfunite.cc                |  3 +--
 7 files changed, 24 insertions(+), 59 deletions(-)

commit 911d9fc8d85b776418039b4eebb37200a0987554
Author: Jeremy Echols <jechols@uoregon.edu>
Date:   Tue Sep 1 00:22:28 2015 +0200

    pdftotext: Add -bbox-layout option

    Adds layout information for blocks and lines in addition to words

    Bug #89941

 utils/pdftotext.1  |   4 ++
 utils/pdftotext.cc | 115
 +++++++++++++++++++++++++++++++++++++++++++----------
 2 files changed, 99 insertions(+), 20 deletions(-)

commit a42614284c94c6742b2343abd797657fffa80e0e
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Tue Sep 1 00:15:46 2015 +0200

    Add option to strip encryption

    Adds a PDF write mode that forces a complete rewrite that ignores
    the original
    encryption parameters of the document and also removes the encryption
    entry
    from the trailer dictionary.

 poppler/PDFDoc.cc                | 33 +++++++++++++++++++--------------
 poppler/PDFDoc.h                 | 11 ++++++-----
 qt4/src/poppler-pdf-converter.cc | 14 +++++++++++++-
 qt4/src/poppler-qt4.h            |  4 +++-
 qt5/src/poppler-pdf-converter.cc | 14 +++++++++++++-
 qt5/src/poppler-qt5.h            |  4 +++-
 utils/pdfunite.cc                |  3 ++-
 7 files changed, 59 insertions(+), 24 deletions(-)

commit 72c0162258f2630a3bb11b9c1078ec1ec2812788
Author: Jason Crain <jason@aquaticape.us>
Date:   Tue Aug 18 01:34:10 2015 -0500

    cairo: fix size of transparency group surface

    Under rotation cairo_surface_create_similar_clip will create a surface
    with incorect width/height.  Rely on cairo to do the correct
    calculation.

    Bug #66229

 poppler/CairoOutputDev.cc | 30 ++++++++----------------------
 1 file changed, 8 insertions(+), 22 deletions(-)

commit 06f942657ee0798d7bdc5bd180150ea0464833a5
Author: Arthur Stavisky <vovodroid@gmail.com>
Date:   Sat Aug 29 15:50:45 2015 +0200

    Fix for xref table creation

    Bug #90790

 utils/pdfunite.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 6ccdd381b483f50f37005fd9b13f79d2f38273ff
Author: Pino Toscano <pino@kde.org>
Date:   Sat Aug 29 12:18:44 2015 +0200

    typo fix, "existant" -> "existent"

 NEWS            | 2 +-
 poppler/Form.cc | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 9d79f06192d176298b4c911a6702ad1cfe099112
Author: Hib Eris <hib@hiberis.nl>
Date:   Thu Aug 27 23:10:05 2015 +0200

    Do not hardcode -fPIC in Makefile.am

    The flag -fPIC is already set on CXXFLAGS by configure.
    For the mingw compiler, you should not use fPIC, see d44e7e35.

    https://bugs.freedesktop.org/show_bug.cgi?id=91466

 qt5/src/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3e19bec738889ee9140379ac3f871552dbb9bf41
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:   Thu Aug 27 23:01:21 2015 +0200

    pdfunite: Insert embedded files in result pdf

    Bug #90066

 poppler/PDFDoc.cc |   1 -
 utils/pdfunite.cc | 156
 +++++++++++++++++++++++++++++++++++++++++++++++++++++-
 2 files changed, 154 insertions(+), 3 deletions(-)

commit 6e469dbe239714b478488af5ff73046e6a46a908
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sun Aug 16 21:05:38 2015 +0200

    Change default Qt frontend image format

    Change the default image format used by the Qt frontends to XBGR/RGB32
    which allows efficient blending and pixmap conversion via Qt. Also use
    the premultiplied conversion for IgnorePaperColor to elide a further
    copy for pixmap conversion.

 qt4/src/poppler-page.cc | 46
 +++++++++++++++-------------------------------
 qt5/src/poppler-page.cc | 46
 +++++++++++++++-------------------------------
 2 files changed, 30 insertions(+), 62 deletions(-)

commit 56fc0bb2f20adfd89835f3132bfef3033fdcd80d
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sun Aug 16 21:01:52 2015 +0200

    Add premultiplied alpha channel to SplashBitmap

    This extends the convertToXBGR method so that it can either
     * leave the alpha channel of the bitmap data opaque,
     * copy the alpha channel into the bitmap data,
     * transfer the alpha channel into the bitmap data and
       perform premultiplication on the bitmap data.

 qt4/src/poppler-page.cc |  6 +++++-
 qt5/src/poppler-page.cc |  6 +++++-
 splash/SplashBitmap.cc  | 49
 ++++++++++++++++++++++++++++++++++++++-----------
 splash/SplashBitmap.h   | 11 +++++++++--
 4 files changed, 57 insertions(+), 15 deletions(-)

commit e5511b58e732f921c65e366fb4d221371b95d905
Author: Hans-Peter Deifel <hpdeifel@gmx.de>
Date:   Thu Aug 27 22:38:08 2015 +0200

    cpp: Fix utf8/utf16 conversion

    The old code assumed that ustring::size() would return the number of
    bytes in ustring, but it really returns the number of
    characters. Since
    ustring is a basic_string<unsigned short>, these two values differ
    (by a
    factor of two).

    This needs to be considered when using iconv, since it operates
    on byte
    counts, not character counts.

    Bug #91644

 cpp/poppler-global.cpp | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

commit d06c27584ecf4b7ff2fe492f0133722ac461dfd6
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:   Thu Aug 27 22:16:03 2015 +0200

    File Saving improvements

    Refinement of the /P annotation test

    Fixes file from comment #8 in bug #87637

 poppler/PDFDoc.cc | 21 +++++++++++++++++++--
 1 file changed, 19 insertions(+), 2 deletions(-)

commit 545a8f7cb0a473706858d2851f968ffadcc78ed0
Author: Jason Crain <jason@aquaticape.us>
Date:   Mon Aug 24 01:12:01 2015 +0200

    Fix bounds check in Linearization::getPageFirst

    Make sure Linearization::pageFirst is in the interval [0,
    getNumPages),
    otherwise Hints::getPageObjectNum() can have an out of bounds read.

    Bug #91200

 poppler/Linearization.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 3e61c7523416157acadec7fe59429f880a9d0310
Author: William Bader <williambader@hotmail.com>
Date:   Wed Aug 19 23:01:41 2015 +0200

    Splash: Fix wrong memory access

    Bug #91686

 splash/Splash.cc | 2 ++
 1 file changed, 2 insertions(+)

commit 431cd5afe7dc931f21f7eadd3e69406612d09a0c
Author: Jakub Wilk <jwilk@jwilk.net>
Date:   Mon Aug 17 19:49:51 2015 +0200

    Update Jakub Wilk's email

 fofi/FoFiType1.cc            | 2 +-
 poppler/CharCodeToUnicode.cc | 2 +-
 poppler/GlobalParams.cc      | 2 +-
 poppler/Object.h             | 2 +-
 poppler/PDFDoc.cc            | 2 +-
 poppler/UnicodeMap.cc        | 2 +-
 6 files changed, 6 insertions(+), 6 deletions(-)

commit 1745d2166dd7680d72fe4a71c1fc7a0a5379dcca
Author: Tobias Koenig <tokoe@kdab.com>
Date:   Fri Aug 14 00:10:53 2015 +0200

    Add basic support for RichMedia annotations to Qt frontends

    Bug #91548

 qt4/src/poppler-annotation.cc | 615
 ++++++++++++++++++++++++++++++++++++++++-
 qt4/src/poppler-annotation.h  | 330 +++++++++++++++++++++-
 qt5/src/poppler-annotation.cc | 616
 +++++++++++++++++++++++++++++++++++++++++-
 qt5/src/poppler-annotation.h  | 331 ++++++++++++++++++++++-
 4 files changed, 1888 insertions(+), 4 deletions(-)

commit da5760675d75acf1883ac6f757f755222248762f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 14 00:04:15 2015 +0200

    add (C)

 poppler/Annot.cc | 2 +-
 poppler/Annot.h  | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit bc01007d714a58fd0023594b055e0cd5fbad1f7e
Author: Tobias Koenig <tokoe@kdab.com>
Date:   Thu Aug 13 23:57:44 2015 +0200

    Patch to support RichMedia annotations in poppler core

 poppler/Annot.cc | 404
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 poppler/Annot.h  | 172 ++++++++++++++++++++++-
 2 files changed, 575 insertions(+), 1 deletion(-)

commit 1213501882cf2ec6e3dcb3c078391040c8cb0a57
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 9 18:27:06 2015 +0200

    0.35.0

 CMakeLists.txt         |  4 ++--
 NEWS                   | 29 +++++++++++++++++++++++++++++
 configure.ac           |  2 +-
 cpp/Doxyfile           |  2 +-
 poppler/Makefile.am    |  2 +-
 qt4/src/CMakeLists.txt |  2 +-
 qt4/src/Doxyfile       |  2 +-
 qt4/src/Makefile.am    |  2 +-
 qt5/src/CMakeLists.txt |  2 +-
 qt5/src/Doxyfile       |  2 +-
 qt5/src/Makefile.am    |  2 +-
 11 files changed, 40 insertions(+), 11 deletions(-)

commit a7b1151ce7a14d359d85bacfe02352cdeb8d9a8f
Author: Hib Eris <hib@hiberis.nl>
Date:   Sun Jul 26 10:38:37 2015 +0200

    glib-demo: Prefer gtk_label_set_{x,y}align() over deprecated
    gtk_misc_set_alignment()

    https://bugs.freedesktop.org/show_bug.cgi?id=88788

 glib/demo/main.c | 16 ++++++++++++----
 1 file changed, 12 insertions(+), 4 deletions(-)

commit e6e7d1492b518d57136031a94069a994182693cc
Author: Hib Eris <hib@hiberis.nl>
Date:   Sun May 31 12:32:36 2015 +0200

    pdftocairo: Fix cast to pointer from integer of different size
    on win64

    Fixes warning:

    [  322s]   CXX      pdftocairo-pdftocairo-win32.o
    [  324s] In file included from
    /usr/x86_64-w64-mingw32/sys-root/mingw/include/windows.h:72:0,
    [  324s]                  from
    /usr/x86_64-w64-mingw32/sys-root/mingw/include/cairo/cairo-win32.h:44,
    [  324s]                  from pdftocairo-win32.cc:16:
    [  324s] pdftocairo-win32.cc: In function 'HWND__*
    createGroupBox(HWND, HINSTANCE, int, const char*, RECT*)':
    [  324s] pdftocairo-win32.cc:170:23: warning: cast to pointer from
    integer of different size [-Wint-to-pointer-cast]
    [  324s]         parent, (HMENU)id,
    [  324s]                        ^
    [  324s] pdftocairo-win32.cc: In function 'HWND__*
    createCheckBox(HWND, HINSTANCE, int, const char*, RECT*)':
    [  324s] pdftocairo-win32.cc:186:23: warning: cast to pointer from
    integer of different size [-Wint-to-pointer-cast]
    [  324s]         parent, (HMENU)id,
    [  324s]                        ^
    [  324s] pdftocairo-win32.cc: In function 'HWND__*
    createStaticText(HWND, HINSTANCE, int, const char*, RECT*)':
    [  324s] pdftocairo-win32.cc:202:23: warning: cast to pointer from
    integer of different size [-Wint-to-pointer-cast]
    [  324s]         parent, (HMENU)id,
    [  324s]                        ^
    [  324s] pdftocairo-win32.cc: In function 'HWND__*
    createPageScaleComboBox(HWND, HINSTANCE, int, RECT*)':
    [  324s] pdftocairo-win32.cc:219:23: warning: cast to pointer from
    integer of different size [-Wint-to-pointer-cast]
    [  324s]         parent, (HMENU)id,
    [  324s]                        ^

    https://bugs.freedesktop.org/show_bug.cgi?id=91465

 utils/pdftocairo-win32.cc | 26 +++++++++++++-------------
 1 file changed, 13 insertions(+), 13 deletions(-)

commit f3a0191abbf67c8b0f83739e1844a2fabe4138a4
Author: Hib Eris <hib@hiberis.nl>
Date:   Thu Jul 23 21:44:57 2015 +0200

    Explicitly link poppler-glib against pthread

    Debian complains about missing symbols:

    dpkg-shlibdeps: warning: symbol pthread_mutexattr_destroy used by
    debian/libpoppler-glib8/usr/lib/i386-linux-gnu/libpoppler-glib.so.8.6.0
    found in none of the libraries
    dpkg-shlibdeps: warning: symbol pthread_mutexattr_init used by
    debian/libpoppler-glib8/usr/lib/i386-linux-gnu/libpoppler-glib.so.8.6.0
    found in none of the libraries
    dpkg-shlibdeps: warning: symbol pthread_mutexattr_settype used by
    debian/libpoppler-glib8/usr/lib/i386-linux-gnu/libpoppler-glib.so.8.6.0
    found in none of the libraries

    https://bugs.freedesktop.org/show_bug.cgi?id=91450

 glib/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit fb264bfa8bf7142cabc8d94a86594cf0e7c9f134
Author: Hib Eris <hib@hiberis.nl>
Date:   Fri Jul 24 22:18:26 2015 +0200

    glib-demo: Remove code for no longer supported gtk versions

    https://bugs.freedesktop.org/show_bug.cgi?id=88788

 glib/demo/annots.c     |  8 --------
 glib/demo/selections.c | 16 ----------------
 2 files changed, 24 deletions(-)

commit dd0883649ac296c6033474fe5991c534ac2ce594
Author: Hib Eris <hib@hiberis.nl>
Date:   Fri Jul 24 22:09:57 2015 +0200

    glib-demo: Remove use of deprecated
    gtk_dialog_set_alternative_button_order()

    https://bugs.freedesktop.org/show_bug.cgi?id=88788

 glib/demo/main.c | 4 ----
 1 file changed, 4 deletions(-)

commit ffc798a7fcf95d2aaf123772072ef956ceb2dff7
Author: Hib Eris <hib@hiberis.nl>
Date:   Sun Jan 25 18:16:04 2015 +0100

    glib-demo: Remove deprecated use of gtk_misc_set_alignment()

    https://bugs.freedesktop.org/show_bug.cgi?id=88788

 glib/demo/main.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 56915b2989fc244b58a454fe40412eb731e706bd
Author: Hib Eris <hib@hiberis.nl>
Date:   Sun Jan 25 13:10:31 2015 +0100

    glib-demo: Remove use of deprecated GtkAlignment

    https://bugs.freedesktop.org/show_bug.cgi?id=88788

 glib/demo/annots.c | 23 +++++++++++---------
 glib/demo/forms.c  | 23 +++++++++++---------
 glib/demo/info.cc  | 18 +++++++++------
 glib/demo/main.c   | 12 +---------
 glib/demo/page.c   | 34 ++++++++++++++++++-----------
 glib/demo/text.c   | 18 +++++++++------
 glib/demo/utils.c  | 64
 +++++++++++++++++++++++++++++++-----------------------
 7 files changed, 107 insertions(+), 85 deletions(-)

commit 49e33e1213a7957d4814656960bf269abcabc7c3
Author: Hib Eris <hib@hiberis.nl>
Date:   Sun Jan 25 12:21:41 2015 +0100

    glib-demo: Remove deprecated use of gtk_tree_view_set_rules_hint()

    The use of rules-hint is deprecated in gtk because it is
    considered bad application API and is not really usefull.

    See
    https://git.gnome.org/browse/gtk+/commit/?id=0ed766ec866a2da7e3db05b1db2fc2519d6b1cdc

    https://bugs.freedesktop.org/show_bug.cgi?id=88788

 glib/demo/attachments.c | 1 -
 glib/demo/find.c        | 1 -
 glib/demo/fonts.c       | 1 -
 glib/demo/transitions.c | 1 -
 4 files changed, 4 deletions(-)

commit 70f3c5ff0010775e5fcd590db1b8d475694fe3a4
Author: William Bader <williambader@hotmail.com>
Date:   Sat Jul 18 16:36:30 2015 +0200

    Updated patch to add configure --enable-build-type

    Bug #90796

 configure.ac | 52 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 52 insertions(+)

commit 1aa2f6e8a41a6a86dc02bf7c5cbc62355e780961
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jul 17 00:40:56 2015 +0200

    Silly micro optimization: Move vars inside case {}

 poppler/SplashOutputDev.cc | 19 ++++++++++++-------
 1 file changed, 12 insertions(+), 7 deletions(-)

commit 705615f7569bbadb555bbf45c15c7c01f1690db5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jul 17 00:38:58 2015 +0200

    More typo fix

 poppler/Catalog.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3b6b3fefe97b885e42966fece84a123fc4671b20
Author: William Bader <williambader@hotmail.com>
Date:   Fri Jul 17 00:37:46 2015 +0200

    [Splash] Fix wrong writes on non rgb outputs

    Bug #90570

 poppler/SplashOutputDev.cc | 52
 +++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 51 insertions(+), 1 deletion(-)

commit 885b23bfd16a3e4970a52956493e92a160b2d0a8
Author: Dmytro Morgun <lztoad@gmail.com>
Date:   Fri Jul 17 00:30:08 2015 +0200

    GlobalParamsWin bug/fixes

    Bug #91053

 poppler/GlobalParamsWin.cc | 57
 ++++++++++++++++++++++++++--------------------
 1 file changed, 32 insertions(+), 25 deletions(-)

commit 0ce4da8ab16b4a5497688a6cf86175aaec0f585f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jul 15 23:59:11 2015 +0200

    Make sure pageRootRef is a ref before using it

    Bug #91344

 poppler/Catalog.cc | 32 ++++++++++++++++++--------------
 1 file changed, 18 insertions(+), 14 deletions(-)

commit b71431513b45f8a1aa4154332dae56af241258f8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jul 15 13:10:27 2015 +0200

    Typo fix in warning

 poppler/Catalog.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ccd780f9504f5b077ea12370fd5380ff7da5cd23
Author: Dmytro Morgun <lztoad@gmail.com>
Date:   Wed Jul 15 00:26:55 2015 +0200

    [Windows] remove ifndef

 splash/SplashFontEngine.cc | 9 +--------
 1 file changed, 1 insertion(+), 8 deletions(-)

commit 2ed8465074c4fc2c88f745b29bdae92410751327
Author: William Bader <williambader@hotmail.com>
Date:   Wed Jul 15 00:07:48 2015 +0200

    Allow configuring SPLASH_CMYK support from cmake/configure

    Bug #90795

 CMakeLists.txt              | 4 ++++
 config.h.cmake              | 3 +++
 configure.ac                | 7 +++++++
 poppler/SplashOutputDev.cc  | 4 ++--
 qt4/src/poppler-document.cc | 3 ++-
 qt4/src/poppler-page.cc     | 4 ++--
 qt5/src/poppler-document.cc | 3 ++-
 qt5/src/poppler-page.cc     | 4 ++--
 splash/Splash.cc            | 2 +-
 splash/SplashBitmap.cc      | 4 ++--
 10 files changed, 27 insertions(+), 11 deletions(-)

commit 334dc56f2f9adf4daa33c20ce034a5b1f8259baf
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jul 12 23:29:30 2015 +0200

    [qt] KeepAlphaChannel -> IgnorePaperColor

 qt4/src/poppler-page.cc | 13 ++++++-------
 qt4/src/poppler-qt4.h   |  4 ++--
 qt5/src/poppler-page.cc | 13 ++++++-------
 qt5/src/poppler-qt5.h   |  4 ++--
 4 files changed, 16 insertions(+), 18 deletions(-)

commit 2a1363a4a3129fe4b5e4fae1018dc8919a2d796a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jul 12 23:22:32 2015 +0200

    Update (C)

 splash/SplashBitmap.cc | 1 +
 splash/SplashBitmap.h  | 1 +
 2 files changed, 2 insertions(+)

commit e903b2364f55c4f6417d826ab85dcb60cd240563
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jul 12 23:20:20 2015 +0200

    [qt] fix spacing in header

 qt4/src/poppler-qt4.h | 4 ++--
 qt5/src/poppler-qt5.h | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 810c659faea542c3bd6e9c48c9a7c60b886a9269
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Fri Jul 3 00:31:56 2015 +0200

    Switch default image format of Qt frontends

    This changes the Poppler::Page::renderToImage method w.r.t. to
    the image
    formats used to render using Splash, i.e. the default will be RGB8. If
    overprint preview is requested, DeviceN8 will be used and converted to
    XBGR8 for display. If the internal alpha channel is requested,
    XBGR8 will
    be used and augmented by Splash's separate alpha channel.

    This yields some improvements w.r.t. to rendering including alpha
    blending
    with the paper colour, i.e. synthetic benchmarks using structurally
    simple
    documents yield more than two percent improvement.

 qt4/src/poppler-page.cc | 115
 +++++++++++++++++++++++++++++-------------------
 qt5/src/poppler-page.cc | 114
 ++++++++++++++++++++++++++++-------------------
 2 files changed, 138 insertions(+), 91 deletions(-)

commit 8fea54e48ec9ba35122c565f761e7e7f016a34f9
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Thu Jul 2 21:08:38 2015 +0200

    Improve efficiency of Poppler::Page::renderToImage

    Improves the efficiency of rendering into a QImage using
    the Splash output device by removing a copy of the raw bitmap data
    since Qt5 will properly free this data using a function supplied
    during construction, i.e. in this case gfree.

    This improves performance in synthentic rendering benchmarks
    by approximately four percent and reduces the maximum working
    set size.

 qt5/src/poppler-page.cc | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 09db5a71fff4b7a0ed1d5d7e76c8270e2f6e9a8d
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Thu Jul 2 21:02:59 2015 +0200

    Add KeepAlphaChannel render flag to Qt frontends

    Adds a new render flag which will indicate that the image return by
    Poppler::Page::renderToImage will not be opaque and alpha blended with
    the paper colour, but retain its actually background transparency.

    This improves performance in synthentic rendering benchmarks by almost
    five percent and the additional alpha blending that is then done
    by the
    consuming application is often a hardware-accellerated operation.

 qt4/src/poppler-page.cc | 6 ++++--
 qt4/src/poppler-qt4.h   | 3 ++-
 qt5/src/poppler-page.cc | 6 ++++--
 qt5/src/poppler-qt5.h   | 3 ++-
 4 files changed, 12 insertions(+), 6 deletions(-)

commit d604a075c6b171d5c3fe26c146d3469c4bc0af3f
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Thu Jul 2 21:00:16 2015 +0200

    Make SplashBitmap XBGR transfer alpha channel

    Adds an option to SplashBitmap::convertToXBGR and
    SplashBitmap::getXBGRLine
    so that both optionally transfer Splash's internal alpha channel
    into the
    fourth component of the resulting bitmap data.

 splash/SplashBitmap.cc | 27 ++++++++++++++++++++++-----
 splash/SplashBitmap.h  |  4 ++--
 2 files changed, 24 insertions(+), 7 deletions(-)

commit 17adfc848f99a5c5bfad35c94289ccf03fba1a16
Author: Adam Reichold <adamreichold@myopera.com>
Date:   Sun Jul 12 17:05:24 2015 +0200

    Adjust memory layout computation of GooString

    GooString uses the small string optimization but the static buffer
    size is
    hard-coded and hence the final object size becomes dependent on
    architecture.
    This adds a helper class to compute the memory layout at compile
    time so that
    the target object size of e.g. 32 or another multiple of 16 is
    achieved.

    This also adds an overload so that the C string returned by
    GooString's
    getCString method respect the constness of this and fixes a constness
    issue
    in the lexer tests.

 goo/GooString.h           | 24 ++++++++++++++++--------
 qt4/tests/check_lexer.cpp |  2 +-
 qt5/tests/check_lexer.cpp |  2 +-
 3 files changed, 18 insertions(+), 10 deletions(-)

commit d1720740f3381f489f1ee83ce1ce53e73aafd537
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jul 8 23:22:13 2015 +0200

    Poppler 0.34

 CMakeLists.txt      |  4 ++--
 NEWS                | 13 +++++++++++++
 configure.ac        |  2 +-
 poppler/Makefile.am |  2 +-
 qt4/src/Doxyfile    |  2 +-
 qt5/src/Doxyfile    |  2 +-
 6 files changed, 19 insertions(+), 6 deletions(-)

commit 2fc1f540754391ffa87d7fe9f3438e134d821207
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:   Tue Jul 7 18:48:51 2015 +0200

    [Splash] Fix crash in PDF with nested softmasks

    Bug #91240

 poppler/SplashOutputDev.cc | 20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)

commit 0b8919f19dd501c9962bca05c9b0559464e923c3
Author: Dmytro Morgun <lztoad@gmail.com>
Date:   Mon Jul 6 00:28:27 2015 +0200

    Fix pedantic memory leak

 poppler/StructElement.cc | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 2ef22af960d3d800087209fea047009a8419134c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jul 5 16:03:57 2015 +0200

    [cmake] Make sure ENABLE_LIBOPENJPEG is either 0 or 1

    Otherwise if it was auto it gets translated to 1 for the cmakedefine
    boolean
    which is wrong when the auto ends up meaning "i din't find it"

 CMakeLists.txt | 2 ++
 1 file changed, 2 insertions(+)

commit 50455bcf4f1644060b2187d4e60c3798793041cc
Author: Tamas Szekeres <szekerest@gmail.com>
Date:   Fri Jul 3 20:24:01 2015 +0200

    std::max/min need <algorithm>

    Bug #88511

 cpp/poppler-font.cpp       | 3 +++
 cpp/poppler-global.cpp     | 3 +++
 poppler/Annot.cc           | 2 ++
 poppler/SplashOutputDev.cc | 2 ++
 4 files changed, 10 insertions(+)

commit 346fc70dbf2803e23e70b093401aa2cda216492b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jul 3 20:19:01 2015 +0200

    Forgot the (C)

 poppler/PSOutputDev.cc | 1 +
 1 file changed, 1 insertion(+)

commit df09c1a84dfe80d2e6cfde3308c79da5b2ea7428
Author: Marek Kasik <mkasik@redhat.com>
Date:   Fri Jul 3 20:14:23 2015 +0200

    Embed Type1 fonts to PostScript files correctly

    Remove PFB headers from embedded Type1 fonts
    before embedding them into a PostScript file.

    Bug #19747

 poppler/PSOutputDev.cc | 57
 +++++++++++++++++++++++++++++++++++++++++++-------
 1 file changed, 50 insertions(+), 7 deletions(-)

commit 11f117cc71641b89783b207232171f850a2b64ff
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Thu Jun 4 10:51:36 2015 +0200

    regtest: Disable pretty diffs for text files in HTML reports

    difflib is entering in an infinite loop with some files, so disable it
    for now. We need to either fix that somehow or find a different way to
    generate pretty diffs of text files.

 regtest/HTMLReport.py | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 3db4cb6f07229e26405bfb512c626a272f6351f5
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:   Sun May 24 18:41:30 2015 +0200

    Splash: Speed up of rendering icc based images

    Bug #90171

 poppler/SplashOutputDev.cc | 142
 +++++++++++++++++++++++++++++++++++++++++++--
 poppler/SplashOutputDev.h  |   8 ++-
 splash/Splash.cc           |  17 ++++--
 splash/Splash.h            |   9 ++-
 4 files changed, 163 insertions(+), 13 deletions(-)

commit c50720dcc9e15516e0e19072c0df03fbdee63dec
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Fri May 22 21:44:55 2015 +0930

    glib: update new symbols section

 glib/reference/poppler-docs.sgml | 8 ++++++++
 1 file changed, 8 insertions(+)

commit b271a19ec30b20bc11f2240ae6b96672e3cafafb
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu May 14 21:56:47 2015 +0200

    Poppler 0.33

 CMakeLists.txt      |  4 ++--
 NEWS                | 25 +++++++++++++++++++++++++
 configure.ac        |  2 +-
 cpp/Doxyfile        |  2 +-
 glib/CMakeLists.txt |  2 +-
 glib/Makefile.am    |  2 +-
 poppler/Makefile.am |  2 +-
 qt4/src/Doxyfile    |  2 +-
 qt5/src/Doxyfile    |  2 +-
 9 files changed, 34 insertions(+), 9 deletions(-)

commit 2b2fb719aa5ffe32fbc3fb500444b1643b1c6099
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu May 14 20:17:12 2015 +0200

    Add missing (C)

 poppler/Annot.cc           | 1 +
 poppler/Annot.h            | 2 +-
 poppler/CairoFontEngine.cc | 1 +
 poppler/Page.cc            | 3 ++-
 4 files changed, 5 insertions(+), 2 deletions(-)

commit ae76b75c6a5383eb52f58fba0faba69ae8698ef9
Author: William Bader <williambader@hotmail.com>
Date:   Thu May 14 20:06:22 2015 +0200

    Fix regression in pdftops parameter passing

    Recent changes to the command line processing moved some options
    from GlobalParams to PSOutputDev.
    The options used to be set by calling setters in GlobalParams before
    creating the PSOutputDev.
    Now the options are set by calling setters in PSOutputDev after it
    is created.
    The problem is that PSOutputDev() calls init() which uses options
    that now can not be set until later after PSOutputDev() returns.
    These patches split some of the code of init() into a new postInit()
    that is automatically called later after the pdftops main program
    has had a chance to set the command line options.
    When I was looking through the code, I also fixed a misspelling of
    sanitizedTitle as sanitizedTile.

    Bug #89827

 poppler/PSOutputDev.cc | 138
 +++++++++++++++++++++++++++++++------------------
 poppler/PSOutputDev.h  |  11 ++--
 2 files changed, 96 insertions(+), 53 deletions(-)

commit c516b341a9c2e0c9a985bc14ad3cae73bf10fb02
Author: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
Date:   Sun May 3 15:27:19 2015 +0200

    Fix invalid shell comparaison in libtiff test

    Bug #115523

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 040b316f0cb1ac933dce616fabe24c93f96fe1cd
Author: Jason Crain <jason@aquaticape.us>
Date:   Sat Apr 18 12:44:47 2015 -0500

    glib: Fix segfault when creating PopplerAction

    Screen annotations and form fields currently pass a NULL pointer to
    _poppler_action_new.  Pass the PopplerDocument instead.

    Bug #90093

 glib/poppler-annot.cc      | 4 ++--
 glib/poppler-form-field.cc | 2 +-
 glib/poppler-page.cc       | 2 +-
 glib/poppler-private.h     | 2 +-
 4 files changed, 5 insertions(+), 5 deletions(-)

commit 056ee89122385bc2df7cb2c05e1cb1770af8ecce
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sat Apr 18 12:16:56 2015 +0200

    glib: Add poppler_annot_markup_set_popup_rectangle()

    It updates the popup rectangle of a markup annotation that already
    has a
    popup associated.

 glib/poppler-annot.cc               | 31 +++++++++++++++++++++++++++++++
 glib/poppler-annot.h                |  2 ++
 glib/reference/poppler-sections.txt |  1 +
 3 files changed, 34 insertions(+)

commit 1aae63ebc6fffe9fa1a2898e4ed733c22e312015
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sat Apr 18 11:46:41 2015 +0200

    annots: Add popup annots without a markup annot associated to the
    list of annots

    For consistency with Annots::createAnnot().

 poppler/Annot.h | 2 +-
 poppler/Page.cc | 6 +++++-
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 05ef3f9feee760544108c68e0d45d1de25fd8901
Author: Philipp Reinkemeier <philipp.reinkemeier@offis.de>
Date:   Mon Feb 16 09:11:58 2015 +0100

    annots: Fixed adding annotation of Subtype Popup to pdf page

    https://bugs.freedesktop.org/show_bug.cgi?id=89136

 poppler/Annot.cc | 19 +++++++++++++++++++
 poppler/Page.cc  | 11 ++++++++++-
 2 files changed, 29 insertions(+), 1 deletion(-)

commit 8ca43bebf36f8da085917f28230e25524de4f4f4
Author: Jason Crain <jason@aquaticape.us>
Date:   Tue Mar 24 02:51:47 2015 -0500

    cairo: Fix memory leak in CairoFreeTypeFont::create

    - Free embedded font data in _ft_done_face when the cairo font is
      destroyed.
    - Free embedded font data if _ft_new_face finds it's a duplicate of an
      already open font.
    - Free embedded font data and codeToGID array if font creation fails.

    Bug #89952

 poppler/CairoFontEngine.cc | 16 +++++++++++-----
 1 file changed, 11 insertions(+), 5 deletions(-)

commit edc7bb4fe7b5e718431de12bee1d95036d06efa0
Author: Jason Crain <jason@aquaticape.us>
Date:   Sat Apr 4 18:40:48 2015 +0200

    Combine base characters and diacritical marks

    LaTeX adds base characters and diacritical marks as separate
    characters.  When a base character and diacritical mark are drawn over
    each other, this patch converts them into a combining character
    sequence.

    Bug #87215
    C#	poppler-0.31.0.tar.xz

 poppler/TextOutputDev.cc | 419
 ++++++++++++++++++++++++++++++++++-------------
 poppler/TextOutputDev.h  |  31 +++-
 2 files changed, 336 insertions(+), 114 deletions(-)

commit 96c35dfde6722ff8c5ef7ff59e37be90d273acab
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri Mar 27 22:42:34 2015 +0100

    pdftohtml: Set exit status adecuately

    Based on a patch by  Matt Atkinson <mutley456@ntlworld.com>
    Bug #83609

 utils/pdftohtml.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 0969801c12a6ec0fbc079c8203cece9c70466955
Author: Albert Astals Cid <aacid@kde.org>
Date:	Thu Mar 26 16:08:20 2015 +0100

    Fix previous commit about initializing on failure

    It's the nComps of the destination not of the origin we need

 poppler/SplashOutputDev.cc | 15 +++++++++++++--
 1 file changed, 13 insertions(+), 2 deletions(-)

commit ede6d00688fcf0e3c843b0a507304f5a98395d41
Author: Albert Astals Cid <aacid@kde.org>
Date:	Thu Mar 26 15:44:40 2015 +0100

    memset on error to have reproducible outputs

 poppler/SplashOutputDev.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 4bb2c9b98299f429752b4c60820cea31ef05f7e0
Author: Jason Crain <jason@aquaticape.us>
Date:	Wed Mar 25 21:04:19 2015 +0100

    Use width from W array for WMode positioning

    Bug #89621

 poppler/GfxFont.cc | 36 ++++++++++++------------------------
 poppler/GfxFont.h  |  2 ++
 2 files changed, 14 insertions(+), 24 deletions(-)

commit 033dbbd7fef8c04c7f4961455cc1cd8d6d1bd93b
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Mar 15 14:06:15 2015 +0100

    Fix the previous pdfDocEncoding fix

    Since actually the previous fix didn't account for non ascii
    characters as output of pdfDocEncoding

 qt4/src/poppler-private.cc | 36 +++++++++++++++---------------------
 qt5/src/poppler-private.cc | 36 +++++++++++++++---------------------
 2 files changed, 30 insertions(+), 42 deletions(-)

commit bc8076d8f638ccb44f8e3b94aaae96850b025deb
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Mar 15 13:32:41 2015 +0100

    Fix PDF Text String -> QString conversion

    If they are not UTF16-BE they are in PDFDocEncoding (not ascii)

    Fixes KDE bug #344849

 qt4/src/poppler-private.cc | 5 +++--
 qt5/src/poppler-private.cc | 5 +++--
 2 files changed, 6 insertions(+), 4 deletions(-)

commit d7cc90a8b60d7e353db6e0acdd0b789485e32972
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sat Mar 7 15:04:52 2015 +0100

    0.32.0

 CMakeLists.txt      |	4 ++--
 NEWS		     | 16 ++++++++++++++++
 configure.ac	     |	2 +-
 cpp/Doxyfile	     |	2 +-
 poppler/Makefile.am |	2 +-
 qt4/src/Doxyfile    |	2 +-
 qt5/src/Doxyfile    |	2 +-
 7 files changed, 23 insertions(+), 7 deletions(-)

commit c13297d154ded11721fe7d3abdba459ca628cef8
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sat Mar 7 14:58:10 2015 +0100

    Update (C)

 poppler/SecurityHandler.cc | 2 +-
 poppler/SplashOutputDev.cc | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit c909964bff671d5ff0d8eee5f613ded4562f8afd
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sat Mar 7 14:54:43 2015 +0100

    Do not assert on broken document

    Bug #89422

 poppler/SecurityHandler.cc | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

commit 3705fcee0309c50b5fecd563e8e466cbe2c5972b
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:	Fri Mar 6 15:19:58 2015 +0100

    Fix  Wrong colour shown when GouraudTriangleShFill uses a DeviceN
    colorspace

    Bug #89182

 poppler/SplashOutputDev.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b7fde1ec83a5fff9bec73becc22e581583a30d43
Author: Albert Astals Cid <aacid@kde.org>
Date:	Wed Feb 25 21:51:34 2015 +0100

    Fix last commit regression

    It seems it actually needs to be pipe->shape and not pipe->usesShape
    (i.e. it seems at some point we use pipe->shape with useShape
    being false)
    Otherwise we had a regression on
    eci_altona-test-suite-v2_technical2_x4.pdf

 splash/Splash.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 7980fe868a8ef2ee3315f0bcb606c448d6604039
Author: William Bader <williambader@hotmail.com>
Date:	Wed Feb 25 15:00:33 2015 +0100

    Fix uninitialized variable in Splash::pipeRun

    Use useShape is actually the guard for shape, so use it in the if

 splash/Splash.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 57b6b78a0831fb31c06fd1bc6e9803de524f9d2d
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:	Tue Feb 24 23:34:57 2015 +0100

    pdfseparate: use always an unique instance for PDFDoc for savePageAs

 utils/pdfseparate.cc | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 8a30d219df71ead323649ff0dfd4a724b5e7bd18
Author: William Bader <williambader@hotmail.com>
Date:	Sat Feb 21 23:55:10 2015 +0100

    Fix memcpy introduced in ec956ab8552dbe10fac4e649951042bddc424b7d

 goo/GooString.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ec956ab8552dbe10fac4e649951042bddc424b7d
Author: William Bader <williambader@hotmail.com>
Date:	Tue Feb 17 22:55:14 2015 +0100

    Reduce use of gmalloc() in GooString::appendfv()

    Bug #89096

 goo/GooString.cc | 18 ++++++++++++++----
 1 file changed, 14 insertions(+), 4 deletions(-)

commit 132ef18324f62c1f2a08dcd794b379fadaa4daf5
Author: Petr Gajdos <pgajdos@suse.cz>
Date:	Wed Feb 11 19:37:21 2015 +0100

    Annot BG/BC: Empty Array means no color

 poppler/Annot.cc | 15 +++++++++++++--
 1 file changed, 13 insertions(+), 2 deletions(-)

commit bf4aae25a244b1033a2479b9a8f633224f7d5de5
Author: William Bader <williambader@hotmail.com>
Date:	Wed Feb 11 17:35:40 2015 +0100

    Off by one fix to the previous crash fix

 fofi/FoFiTrueType.cc | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 97dd46bae5424818ca808c20506d7d96f7b85fb5
Author: William Bader <williambader@hotmail.com>
Date:	Mon Feb 9 22:30:51 2015 +0100

    pdftops: Add aaRaster and overprint to man file

 utils/pdftops.1 | 9 +++++++++
 1 file changed, 9 insertions(+)

commit c114a90063d755639d2b0dbf816690a66b54bee0
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Feb 8 00:24:11 2015 +0100

    Fix crash in fuzzed file from Bug #84988

 poppler/TextOutputDev.cc | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 22895623e6cd2a5923f552421d44cc80cab77dd8
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sat Feb 7 22:28:21 2015 +0100

    Fix malformed file crash from bug #86854

 poppler/PSOutputDev.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cdb7ad95f7c8fbf63ade040d8a07ec96467042fc
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sat Feb 7 22:21:16 2015 +0100

    Fix malformed file crash in bug #85243

 fofi/FoFiTrueType.cc | 15 +++++++++++++--
 1 file changed, 13 insertions(+), 2 deletions(-)

commit 6641b935e1fc0c4151a723b6b476d987b8324ed2
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sat Feb 7 21:58:23 2015 +0100

    If ECM is around include the sanitizers module

    This way you can run
      cmake -DECM_ENABLE_SANITIZERS='address'
    and get an ASAN built poppler

 CMakeLists.txt | 5 +++++
 1 file changed, 5 insertions(+)

commit 92e41685dcef538a7fc669ca357ce9f448a8078e
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sat Feb 7 21:54:39 2015 +0100

    Fix crash in malformed file from bug #85275

 poppler/SplashOutputDev.cc |  4 ++--
 splash/Splash.cc	    | 10 +++++++++-
 splash/SplashBitmap.cc     |  4 ++--
 3 files changed, 13 insertions(+), 5 deletions(-)

commit 9842b3b00492eda21297d5d65f769f77a565f6ac
Author: Aleksei Volkov <Aleksei Volkov>
Date:	Sat Feb 7 20:46:26 2015 +0100

    No need to check for hmtx, freetype does for us

    Bug #88939

 fofi/FoFiTrueType.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4849eb43892640062c485e48ba7a29b5a0cc9587
Author: William Bader <williambader@hotmail.com>
Date:	Sat Feb 7 16:41:53 2015 +0100

    Make the colorpsace optimization and option and not the default

    Bug #88971

 poppler/PSOutputDev.cc | 25 ++++++++++++++++---------
 poppler/PSOutputDev.h	|  4 ++++
 utils/pdftops.1	| 10 +++++++++-
 utils/pdftops.cc	|  4 ++++
 4 files changed, 33 insertions(+), 10 deletions(-)

commit 8e16e423a718b92514885e771e31048f1ae2a766
Author: Albert Astals Cid <aacid@kde.org>
Date:	Thu Feb 5 20:18:13 2015 +0100

    0.31.0

    And copyright updating

 CMakeLists.txt		   |  4 ++--
 NEWS			   | 17 +++++++++++++++++
 configure.ac		   |  2 +-
 cpp/Doxyfile		   |  2 +-
 poppler/CairoOutputDev.cc |  1 +
 poppler/CairoOutputDev.h  |  1 +
 poppler/JBIG2Stream.cc    |  1 +
 poppler/JBIG2Stream.h	   |  1 +
 poppler/Makefile.am	   |  2 +-
 poppler/Stream.cc	   |  1 +
 qt4/src/CMakeLists.txt    |  2 +-
 qt4/src/Doxyfile	   |  2 +-
 qt4/src/Makefile.am	   |  2 +-
 qt5/src/CMakeLists.txt    |  2 +-
 qt5/src/Doxyfile	   |  2 +-
 qt5/src/Makefile.am	   |  2 +-
 16 files changed, 33 insertions(+), 11 deletions(-)

commit f932315e559a7857d9c5642eb04efc0d2b717789
Author: suzuki toshiya <mpsuzuki@hiroshima-u.ac.jp>
Date:	Tue Jan 20 22:05:29 2015 +1030

    cairo: support embedding JBIG2 image data

    http://lists.freedesktop.org/archives/poppler/2014-December/011183.html

 poppler/CairoOutputDev.cc | 117
 ++++++++++++++++++++++++++++++++++++++--------
 poppler/CairoOutputDev.h  |   3 ++
 poppler/JBIG2Stream.cc    |   9 +++-
 poppler/JBIG2Stream.h	   |   4 +-
 poppler/Stream.cc	   |  13 +++++-
 5 files changed, 121 insertions(+), 25 deletions(-)

commit 78abf540057181b708c546aee421f81a1dd58331
Author: Adam Reichold <adamreichold@myopera.com>
Date:	Wed Jan 21 22:30:45 2015 +0100

    Worlds -> Words

 qt4/src/poppler-page.cc    | 4 ++--
 qt4/src/poppler-qt4.h	    | 2 +-
 qt4/tests/check_search.cpp | 4 ++--
 qt5/src/poppler-page.cc    | 4 ++--
 qt5/src/poppler-qt5.h	    | 2 +-
 qt5/tests/check_search.cpp | 4 ++--
 6 files changed, 10 insertions(+), 10 deletions(-)

commit 027eac4e565576ca2e7042e21426e28abd775d98
Author: Adam Reichold <adamreichold@myopera.com>
Date:	Tue Jan 20 00:09:09 2015 +0100

    Expose whole-words search option in Qt frontends

 qt4/src/poppler-page-private.h |   5 +-
 qt4/src/poppler-page.cc	| 114
 +++++++++++++++++++++++++------------
 qt4/src/poppler-qt4.h		|  44 +++++++++++++-
 qt4/tests/check_search.cpp	| 112 +++++++++++++++++++++++++++++++-----
 qt5/src/poppler-page-private.h |   5 +-
 qt5/src/poppler-page.cc	| 116
 +++++++++++++++++++++++++------------
 qt5/src/poppler-qt5.h		|  46 +++++++++++++--
 qt5/tests/check_search.cpp	| 126
 +++++++++++++++++++++++++++++++++--------
 8 files changed, 447 insertions(+), 121 deletions(-)

commit 30a0baa353c374165e5f411efc4203746f14a74d
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Jan 18 15:39:53 2015 +0100

    Move more variables from GlobalParams to PSOutputDev

 poppler/CairoFontEngine.cc |	4 +-
 poppler/GfxFont.cc	    |  15 ++---
 poppler/GfxFont.h	    |	7 ++-
 poppler/GlobalParams.cc    | 144
 ---------------------------------------------
 poppler/GlobalParams.h     |  28 ---------
 poppler/PSOutputDev.cc     | 121 +++++++++++++++++++------------------
 poppler/PSOutputDev.h	    |  30 +++++++++-
 poppler/SplashOutputDev.cc |	2 +-
 qt4/src/ArthurOutputDev.cc |	4 +-
 qt5/src/ArthurOutputDev.cc |	4 +-
 utils/pdftops.cc	    |  36 ++++--------
 11 files changed, 116 insertions(+), 279 deletions(-)

commit 8fed995c3457d64669ae12901450b7c811599dba
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Jan 18 14:52:53 2015 +0100

    Forgot to delete this in the previous commit

 poppler/GlobalParams.h | 1 -
 1 file changed, 1 deletion(-)

commit 4992ff7fa062462507733494827fdad7eaaa95b3
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Jan 18 13:57:36 2015 +0100

    Move raster mono and resolution from GlobalParams to PSOutputDev

 poppler/GlobalParams.cc | 32 --------------------------------
 poppler/GlobalParams.h  |  7 -------
 poppler/PSOutputDev.cc  | 18 +++++++-----------
 poppler/PSOutputDev.h	 |  6 ++++++
 utils/pdftops.cc	 |  7 ++++---
 5 files changed, 17 insertions(+), 53 deletions(-)

commit 54908f675eda96c363528198e8c530921df2f45a
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Jan 18 13:34:45 2015 +0100

    Move psUncompressPreloadedImages from GlobalParams to PSOutputDev

    It belongs there and PSOutputDev is always created by the external
    user
    so in case someone wants to set it, it is the same amount of work
    to set it in GlobalParams than in PSOutputDev

 poppler/GlobalParams.cc | 16 ----------------
 poppler/GlobalParams.h  |  3 ---
 poppler/PSOutputDev.cc  |  9 +++++----
 poppler/PSOutputDev.h	 |  2 ++
 4 files changed, 7 insertions(+), 23 deletions(-)

commit 136d7aa5e79f153dfcb216c58598e33a8ff16630
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Jan 18 13:28:26 2015 +0100

    Remove declared but not defined function

 poppler/GlobalParams.h | 1 -
 1 file changed, 1 deletion(-)

commit fdba9154d9a176759c765180805e608d4959c34e
Author: Adam Reichold <adamreichold@myopera.com>
Date:	Fri Jan 16 19:57:59 2015 +0100

    pdftoppm: parse the flags earlier and only once

 utils/pdftoppm.cc | 42 +++++++++++++++---------------------------
 1 file changed, 15 insertions(+), 27 deletions(-)

commit 6b072500b5ac936631be6b29b7d5a591848a18f3
Author: William Bader <williambader@hotmail.com>
Date:	Wed Jan 14 23:28:03 2015 +0100

    Add rasterization option to pdftops

    Also removes GlobalParams stuff \o/

    Coded in conjuntion with Albert

    Bug #85934

 cpp/poppler-page-renderer.cpp |  5 ++--
 poppler/GlobalParams.cc       | 58
 ++-----------------------------------------
 poppler/GlobalParams.h        | 16 +++---------
 poppler/PSOutputDev.cc        | 14 +++++------
 poppler/PSOutputDev.h	       |  5 +++-
 poppler/SplashOutputDev.cc    | 19 ++++++--------
 poppler/SplashOutputDev.h     | 11 +++++---
 qt4/src/poppler-page.cc       |  7 +++---
 qt5/src/poppler-page.cc       |  7 +++---
 utils/pdftohtml.cc	       |  9 +++----
 utils/pdftoppm.cc	       | 49 ++++++++++++++++++++++++++----------
 utils/pdftops.cc	       | 14 ++++++++++-
 12 files changed, 96 insertions(+), 118 deletions(-)

commit dc9751e6ac47a708ba6e7a68560bdce6a2e4a010
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri Jan 9 15:50:02 2015 +0100

    Compile++

 poppler/GfxState.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d91876a0c7a936b1f6f461d80131d7586a6c1a5e
Author: Albert Astals Cid <aacid@kde.org>
Date:	Thu Jan 8 20:13:06 2015 +0100

    Accept malformed documents whose root is a Page instead of a Pages

    gs and Adobe Reader do it so it's "common" enough

    Bug #88172

 poppler/Catalog.cc | 37 ++++++++++++++++++++++++++++++++-----
 1 file changed, 32 insertions(+), 5 deletions(-)

commit 7ce86b9be058408eb567d8d0b9747853a66c116f
Author: Albert Astals Cid <aacid@kde.org>
Date:	Thu Jan 8 17:35:28 2015 +0100

    Remove assert in gouraudFillTriangle

    We don't *need* the assert, an error() is fine and the malformed
    document
    will just get rendered wrongly instead of "crashing"

    Bugs #85274

 poppler/Gfx.cc | 28 +++++++++++++++++-----------
 1 file changed, 17 insertions(+), 11 deletions(-)

commit 9e9df4b20d17478996780008bc9802a857d173fc
Author: Albert Astals Cid <aacid@kde.org>
Date:	Thu Jan 8 17:01:52 2015 +0100

    Fix crash on broken document

    Bug #85281

 poppler/GfxState.cc | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit 636faafcb84b856580398f7883b6406d645c85d1
Author: Adam Reichold <adamreichold@myopera.com>
Date:	Tue Jan 6 22:57:20 2015 +0100

    JPEG2000Stream: Inline doGetChar and doLookChar

 poppler/JPEG2000Stream.cc | 49
 +++++++++++++++++++++++++----------------------
 poppler/JPEG2000Stream.h  |  7 ++-----
 2 files changed, 28 insertions(+), 28 deletions(-)

commit c13bffe92963c4969037695992f4c2776bbe973f
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Jan 4 23:17:42 2015 +0100

    0.30

 CMakeLists.txt			|  4 ++--
 NEWS				| 18 ++++++++++++++++++
 configure.ac			|  2 +-
 cpp/CMakeLists.txt		|  2 +-
 cpp/Doxyfile			|  2 +-
 cpp/Makefile.am		|  2 +-
 poppler/Makefile.am		|  2 +-
 poppler/PDFDoc.cc		|  1 +
 poppler/TextOutputDev.cc	|  2 +-
 poppler/poppler-config.h.cmake |  2 +-
 poppler/poppler-config.h.in	|  2 +-
 qt4/src/Doxyfile		|  2 +-
 qt5/src/Doxyfile		|  2 +-
 13 files changed, 31 insertions(+), 12 deletions(-)

commit e499fdab2e96cb3069db7ac8ffa0df20ccccddc9
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:	Sun Jan 4 20:23:39 2015 +0100

    extended openjpeg2 support

 poppler/JPEG2000Stream.cc | 101
 +++++++++++++++++++++++++++++++++++-----------
 1 file changed, 78 insertions(+), 23 deletions(-)

commit 2841f3c34dd6366a70e4d6d307a08b3fbc3e9897
Author: Adrian Johnson <ajohnson@redneon.com>
Date:	Sun Jan 4 20:22:47 2015 +0100

    Cmake support for openjpeg2

    With some tweaks from Albert

 CMakeLists.txt			      | 56
 +++++++++++++++++++++++++++++-------
 cmake/modules/FindLIBOPENJPEG2.cmake | 30 +++++++++++++++++++
 2 files changed, 76 insertions(+), 10 deletions(-)

commit 117af9c6bbd923954ef7de63adec8c22d51da1e4
Author: Adrian Johnson <ajohnson@redneon.com>
Date:	Sun Jan 4 19:42:34 2015 +0100

    Initial attempt at libopenjpeg2 support

    OpenJPEG 2 has a new pkg-config name and API.

    - Update configure.ac to find openjpeg 2 and provide V1/v2 macros
    - Update JPEG2000Stream to use new API depending on openjpeg v1/v2
    macros
    - OpenJPEG 2.1 changed the API so provide a version macro to make
    it easier
      to handle the the 2.1 change and any future changes.
    - Move openjpeg.h into the .cc file

 configure.ac		   |  80 ++++++++----
 poppler/JPEG2000Stream.cc | 313
 +++++++++++++++++++++++++++++++++++++---------
 poppler/JPEG2000Stream.h  |  41 ++----
 3 files changed, 323 insertions(+), 111 deletions(-)

commit 9caf7525409d699c16896653528486451123b485
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Jan 4 18:48:02 2015 +0100

    Make PSOutputDev accept a list of pages indeces

    Instead of first, last

    Bug #84833

    Reviewed in the mailing list, see "Can anyone have a look at my
    patch?"

 glib/poppler-page.cc		 | 10 ++++++---
 poppler/PSOutputDev.cc		 | 50
 ++++++++++++++++++++++++-----------------
 poppler/PSOutputDev.h		 | 14 +++++++-----
 qt4/src/poppler-ps-converter.cc | 11 ++++++---
 qt5/src/poppler-ps-converter.cc | 11 ++++++---
 utils/pdftops.cc		 | 15 +++++++++----
 6 files changed, 71 insertions(+), 40 deletions(-)

commit 173f182fb568843f97e7d45d1b16bebbd2aa7413
Author: Li Junling <lijunling@sina.com>
Date:	Fri Jan 2 17:23:24 2015 +0100

    Find last 'startxref' in the last 24K instead of the last 1K

    Bug #85919

 poppler/PDFDoc.cc | 38 ++++++++++++++++++++++----------------
 1 file changed, 22 insertions(+), 16 deletions(-)

commit 0b1cd9403b8a240e58ec4f1832588d25f8295278
Author: Jason Crain <jason@aquaticape.us>
Date:	Sat Dec 20 03:22:23 2014 -0600

    Free BBox object on error

 poppler/Gfx.cc | 1 +
 1 file changed, 1 insertion(+)

commit acc33a6950031ac4a5c759d043d24df0cfa7e8b6
Author: Jason Crain <jason@aquaticape.us>
Date:	Sat Dec 20 02:24:49 2014 -0600

    Check for invalid matrix in annotation

    Bug #84990

 poppler/Gfx.cc | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit 56aff7d78658f586e3c4cd41685f189dafb3098a
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:	Tue Dec 23 15:49:15 2014 +0100

    pdfunite: Support output intents, optional content and acroform

 utils/pdfunite.cc | 116
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 116 insertions(+)

commit 9e734063e6a6a4b9743c9aa27d3d3127b5a960d7
Author: Jason Crain <jason@aquaticape.us>
Date:	Fri Dec 19 01:56:45 2014 -0600

    Move array reallocation from visitLine to startLine

    Fixes potential memory corruption from writing after end of lines
    array.

    https://bugs.freedesktop.org/show_bug.cgi?id=84555

 poppler/TextOutputDev.cc | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 0c47b769a77795bd866b6686b79fd20ad6f554bf
Author: Daniel Macks <dmacks@netspace.org>
Date:	Sun Dec 14 18:52:48 2014 +0100

    Only consider adding -fno-check-new if compiler supports it

    Helps compiling on old clang's

    Bug #76963

 configure.ac | 18 ++++++++++++++++--
 1 file changed, 16 insertions(+), 2 deletions(-)

commit c9c90d50e3708f6fac313aa8b458aef6dba5dcfb
Author: Hans-Peter Deifel <hpdeifel@gmx.de>
Date:	Fri Dec 12 13:09:51 2014 +0100

    cpp: New API to set debug output function

    Adds the global function set_debug_error_function, that allows users
    to install their own function to print internal poppler errors.

 cpp/poppler-global.cpp  | 29 +++++++++++++++++++++++++++++
 cpp/poppler-global.h	 |  5 +++++
 cpp/poppler-private.cpp | 15 ++++++++++++---
 cpp/poppler-private.h	 |  3 +++
 4 files changed, 49 insertions(+), 3 deletions(-)

commit fa8f276a10911c97d2777fff3270771802bc3892
Author: Albert Astals Cid <aacid@kde.org>
Date:	Thu Dec 4 23:11:12 2014 +0100

    0.29.0

 CMakeLists.txt      |	4 ++--
 NEWS		     | 15 +++++++++++++++
 configure.ac	     |	4 ++--
 cpp/Doxyfile	     |	2 +-
 poppler/Makefile.am |	2 +-
 qt4/src/Doxyfile    |	2 +-
 qt5/src/Doxyfile    |	2 +-
 7 files changed, 23 insertions(+), 8 deletions(-)

commit fee700cfecb9d7d5fa938704a5f457f15aaa4676
Author: Albert Astals Cid <aacid@kde.org>
Date:	Mon Dec 1 20:52:42 2014 +0100

    Run dos2unix as suggested by Volker Grabsch

 splash/SplashState.h		 | 278 ++++++++++----------
 test/perf-test-preview-dummy.cc |  44 ++--
 test/perf-test-preview-win.cc	 | 544
 ++++++++++++++++++++--------------------
 3 files changed, 433 insertions(+), 433 deletions(-)

commit d3fe0661c6dc6050e14cd5cb4afa089b7d7d66b0
Author: Richard PALO <richard@netbsd.org>
Date:	Sun Nov 30 22:46:22 2014 +0100

    warning: "_FILE_OFFSET_BITS" redefined

    Bug #86870

 test/perf-test.cc | 2559
 +++++++++++++++++++++++++++--------------------------
 1 file changed, 1280 insertions(+), 1279 deletions(-)

commit 18884065e11fee82506915095619107a43172ecb
Author: Richard PALO <richard@netbsd.org>
Date:	Sun Nov 30 22:36:29 2014 +0100

    The isfinite macro is defined on SunOS under c99

    Bug #86869

 poppler/SplashOutputDev.cc | 3 +++
 1 file changed, 3 insertions(+)

commit bcb470064dd9f75ab0b0a0d9b7319fe8f1e558ae
Author: Adrian Johnson <ajohnson@redneon.com>
Date:	Tue Nov 25 05:53:38 2014 +1030

    cofigure: print "no" instead of "auto" if lcms not found

 configure.ac | 2 ++
 1 file changed, 2 insertions(+)

commit 832046c57ab2909d329340f1c941b29e8246ff73
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:	Fri Nov 28 11:08:34 2014 +0100

    Use correct LAB byte array for lcms input

    Bug #86388

 poppler/GfxState.cc | 51
 ++++++++++++++++++++++++++++++++++++++-------------
 poppler/GfxState.h  |	4 +++-
 2 files changed, 41 insertions(+), 14 deletions(-)

commit a604bc3a2ed9f9181aa3b12d795608fcf5e08220
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:	Fri Nov 14 11:56:50 2014 +0100

    Solve blend mode problem in CYMK and DeviceN for separable blend modes

    Fixes part of #68986

 poppler/SplashOutputDev.cc | 277
 +++++++++++++++++++++++++--------------------
 1 file changed, 155 insertions(+), 122 deletions(-)

commit b7802ff39db270dda2aa20f005fb87c22ed34137
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:	Fri Nov 14 11:47:38 2014 +0100

    Use Default colorspaces if present instead of Device colorspaces

    Fixes part of #68986

 poppler/CairoOutputDev.cc |   4 +-
 poppler/Gfx.cc		   |  40 +++++-----
 poppler/GfxState.cc	   | 197
 ++++++++++++++++++++++++++++++++++------------
 poppler/GfxState.h	   |  31 ++++----
 poppler/Page.cc	   |   4 +-
 5 files changed, 188 insertions(+), 88 deletions(-)

commit 07aa6f4030418883d8d45a8dfa3d80d2dadca4e7
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:	Thu Nov 13 12:26:25 2014 +0100

    write correct size in trailer dict

    Bug #86063

 poppler/PDFDoc.cc | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

commit 51e7c29cabedc72e097023e6d8d6d68ed43fa20c
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:	Fri Nov 7 18:30:36 2014 +0100

    regtest: Update references also for tests that no longer crash

    We are currently updating the refs only when we have checksums to
    compare, but if a test used to crash there's no md5 file in refs.

 regtest/TestRun.py	      |  2 ++
 regtest/backends/__init__.py | 24 ++++++++++++++++++++++++
 2 files changed, 26 insertions(+)

commit d205908930d5dc4ec3a1a1a2c2b93fbb92c2c867
Author: William Bader <williambader@hotmail.com>
Date:	Wed Nov 5 20:23:49 2014 +0100

    Make it proper C

 glib/demo/annots.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit fa1d636b00210b9c52787ab3c833fe9aa2e293fa
Author: Albert Astals Cid <aacid@kde.org>
Date:	Tue Nov 4 20:00:08 2014 +0100

    0.28.1

 configure.ac	  | 2 +-
 cpp/Doxyfile	  | 2 +-
 qt4/src/Doxyfile | 2 +-
 qt5/src/Doxyfile | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 7debbb05df18afc86df8a4fd37980728ec2e5788
Author: Albert Astals Cid <aacid@kde.org>
Date:	Tue Nov 4 19:29:58 2014 +0100

    Fix typo

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d5489ef37742227176e800390a990f2b882d9710
Author: Albert Astals Cid <aacid@kde.org>
Date:	Tue Nov 4 01:27:05 2014 +0100

    0.28.0

 CMakeLists.txt		|  6 +++---
 NEWS			| 43 +++++++++++++++++++++++++++++++++++++++++++
 configure.ac		|  4 ++--
 cpp/Doxyfile		|  2 +-
 poppler/Makefile.am	|  2 +-
 qt4/src/CMakeLists.txt |  2 +-
 qt4/src/Doxyfile	|  2 +-
 qt4/src/Makefile.am	|  2 +-
 qt5/src/CMakeLists.txt |  2 +-
 qt5/src/Doxyfile	|  2 +-
 qt5/src/Makefile.am	|  2 +-
 11 files changed, 56 insertions(+), 13 deletions(-)

commit f87115a1129e4e03802769181a3392c8dce3192a
Author: Hib Eris <hib@hiberis.nl>
Date:	Tue Nov 4 01:25:18 2014 +0100

    Don't ship the moc files

 qt4/demos/Makefile.am | 1 -
 qt5/demos/Makefile.am | 1 -
 2 files changed, 2 deletions(-)

commit 0a9c38076f1555196029372b7e08714b43c7a58d
Author: Albert Astals Cid <aacid@kde.org>
Date:	Mon Nov 3 21:43:28 2014 +0100

    Update (C)

 fofi/FoFiType1.cc		      |  1 +
 poppler/PDFDoc.cc		      |  4 ++--
 poppler/PDFDoc.h		      |  2 +-
 poppler/XRef.cc		      |  2 +-
 qt4/src/poppler-annotation-private.h |  2 +-
 qt4/src/poppler-annotation.cc	      |  2 +-
 qt4/src/poppler-page.cc	      |  2 +-
 qt4/src/poppler-qt4.h		      |  2 +-
 qt5/src/poppler-annotation-private.h |  2 +-
 qt5/src/poppler-annotation.cc	      |  2 +-
 qt5/src/poppler-page.cc	      |  2 +-
 qt5/src/poppler-qt5.h		      |  2 +-
 utils/pdfdetach.cc		      |  1 +
 utils/pdftocairo-win32.cc	      | 12 ++++++++++++
 utils/pdftocairo-win32.h	      | 12 ++++++++++++
 utils/pdftocairo.cc		      |  3 ++-
 16 files changed, 40 insertions(+), 13 deletions(-)

commit 73cf1e87c9803bbe4271be297b486d9932677d46
Author: Albert Astals Cid <aacid@kde.org>
Date:	Mon Nov 3 21:37:13 2014 +0100

    Need to dist this file

 utils/Makefile.am | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 2fd0cd652cfc03c9af35a59192729e4ed26e8146
Author: Albert Astals Cid <aacid@kde.org>
Date:	Mon Nov 3 19:20:23 2014 +0100

    Fix memory leaks when running pdfseparate

    Bug #84768

 poppler/PDFDoc.cc    | 102
 +++++++++++++++++++++------------------------------
 poppler/PDFDoc.h     |   2 +-
 utils/pdfseparate.cc |   8 +++-
 utils/pdfunite.cc    |   4 +-
 4 files changed, 50 insertions(+), 66 deletions(-)

commit d6ea8acbb348fdb43601a963ba5407e933565003
Author: Adrian Johnson <ajohnson@redneon.com>
Date:	Mon Nov 3 19:11:25 2014 +0100

    fix crash in Xref::getEntry

    Bug 85234

 poppler/XRef.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit bd142810b9f66b017a58b3e1840d4d72794f1ef4
Author: Jason Crain <jason@aquaticape.us>
Date:	Thu May 15 02:22:44 2014 -0500

    cairo: Use matrix to determine pattern size

    https://bugs.freedesktop.org/show_bug.cgi?id=33364

 poppler/CairoOutputDev.cc | 22 ++++++++++++++++++----
 1 file changed, 18 insertions(+), 4 deletions(-)

commit 06dd7dc337c7db6122329e98783a126d59035aff
Author: Hib Eris <hib@hiberis.nl>
Date:	Thu May 29 12:45:33 2014 +0200

    Include windows.h, not Windows.h

    Fixes building on file systems that are case sensitive, e.g. when
    cross compiling on Linux for win32.

    https://bugs.freedesktop.org/show_bug.cgi?id=79407

 qt4/tests/stress-threads-qt4.cpp | 2 +-
 qt5/tests/stress-threads-qt5.cpp | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 76a350b11160ac203a41b27fbc85a3264bfe4735
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:	Thu Oct 30 18:25:06 2014 +0100

    regtest: Try to fix again the paths of the resources in the generated
    HTML report

    Use always relatives paths for the resources under the out directory,
    and absolute paths for all other resources when no-absolute-path
    command
    line option is used.

 regtest/HTMLReport.py | 47
 +++++++++++++++++++++++------------------------
 1 file changed, 23 insertions(+), 24 deletions(-)

commit c93d6b264dc77c46c72281d966bf826274a43d15
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:	Wed Oct 29 17:37:06 2014 +0100

    regtest: respect --no-absolute-paths when creating the pretty
    diff links

 regtest/HTMLReport.py | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

commit 9f953e47a6ea92d806aeea61e227af54c889c6be
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:	Mon Oct 27 19:53:28 2014 +0100

    regtest: Add an option to create the HTML report without absolute
    paths

    It uses the paths as received from the command line attributes.

 regtest/HTMLReport.py		   | 15 +++++++++++----
 regtest/commands/create-report.py |  4 ++++
 2 files changed, 15 insertions(+), 4 deletions(-)

commit 3d840231bc6f0714da361493ef32913af2eb78d7
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:	Sun Oct 26 12:09:28 2014 +0100

    regtest: Fix png diff generation with python-pil pillow fork

    Use from PIL import Image instead of just import Image, since pillow
    only doesn't support import Image without using PIL.Image.

 regtest/backends/__init__.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 68e58ec5465efc289d85ae104941db92450a3168
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:	Sun Oct 26 11:21:23 2014 +0100

    regtest: Limit the number of worker threads to the number of documents
    to test

    We are always spawning all the threads even if the documents to
    test is
    less than the worker threads. Also optimize the case of running
    only one
    test to not spwn any thread.

 regtest/TestRun.py | 27 ++++++++++++++++++---------
 1 file changed, 18 insertions(+), 9 deletions(-)

commit 7c21b95852e891060cd2e276949acf0945306ab7
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:	Sun Oct 26 11:08:45 2014 +0100

    regtest: Allow to run groups of tests individually

    Now it's possible to pass more than one argument to run-tests
    command and
    optionally the docs directory. When more than one test is passed
    and the
    docs directory is not provided, the common base path of all passed
    tests
    is used as docs directory. The tests passed can be documents or
    directories, using absolute paths or paths relative to the docs
    directory.
    This also allows us to update the refs for a group of tests.

 regtest/TestRun.py	       | 26 ++++++++++++++++++++++++--
 regtest/Utils.py	       |  7 +++++--
 regtest/commands/run-tests.py | 29 ++++++++++++++++++++---------
 3 files changed, 49 insertions(+), 13 deletions(-)

commit 53be607edc18a861aeb0b6663bac3c05de46c84c
Author: Hib Eris <hib@hiberis.nl>
Date:	Fri Oct 24 11:35:17 2014 +0200

    Fix warning on unused variable in pdftocairo.cc

    Fixes warning:

      CXX      pdftocairo-pdftocairo.o
    pdftocairo.cc:130:14: warning: ‘setupdlg’ defined but not used
    [-Wunused-variable]
     static GBool setupdlg = gFalse;
		  ^

    https://bugs.freedesktop.org/show_bug.cgi?id=85400

 utils/pdftocairo.cc | 2 ++
 1 file changed, 2 insertions(+)

commit f966b8766d40b2c912e69a1e17ef8cc4bd52be95
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Tue Oct 21 16:42:27 2014 +0200

    fofi: Fix a crash when parsing an invalid font due to a integer
    overflow

    This fixes a crash rendering trust_metrics.f2495.f0.pdf.

 fofi/FoFiType1.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4963332ca4db13d8a9186b06d2aa0d59abbc10ee
Author: Adrian Johnson <ajohnson@redneon.com>
Date:	Sun Oct 5 21:58:37 2014 +1030

    pdftocairo: add -printdlg output option for win32

    when set the win32 print dialog is displayed before printing

 configure.ac		   |   2 +-
 utils/pdftocairo-win32.cc | 303
 ++++++++++++++++++++++++++++++++++++++++++++--
 utils/pdftocairo-win32.h  |  14 +--
 utils/pdftocairo.1	   |  14 ++-
 utils/pdftocairo.cc	   |  31 ++++-
 5 files changed, 337 insertions(+), 27 deletions(-)

commit d8fe025c36f555a5438677e20df803eee216bb13
Author: Adrian Johnson <ajohnson@redneon.com>
Date:	Sun Oct 5 18:11:09 2014 +1030

    pdftocairo: add a -setupdlg option that will the show printer
    properties

    dialog when printing to a win32 printer.

 utils/pdftocairo-win32.cc | 22 +++++++++++++++++++---
 utils/pdftocairo-win32.h  |  3 ++-
 utils/pdftocairo.1	   |  5 +++++
 utils/pdftocairo.cc	   | 24 ++++++++++++++++--------
 4 files changed, 42 insertions(+), 12 deletions(-)

commit c091aa14513859ab76223f5e4e6055d92082433c
Author: Adrian Johnson <ajohnson@redneon.com>
Date:	Sun Sep 14 20:43:47 2014 +0930

    pdftocairo: fix a number of bugs in win32 printing

    - make origPageSizes work
    - make landscape pages work
    - make -noshrink option work
    - return actual page size in use back to main() so fit page transform
    works
    - hdc should be destroyed after cairo surface
    - improve option parsing and rename duplex values
    - Add third call to DocumentProperties as discussed in bug 79936
    - fix error messages

 utils/pdftocairo-win32.cc | 181
 ++++++++++++++++++++++++++--------------------
 utils/pdftocairo-win32.h  |   2 +-
 utils/pdftocairo.1	   |   5 +-
 utils/pdftocairo.cc	   |  49 ++++++-------
 4 files changed, 132 insertions(+), 105 deletions(-)

commit cc3b39d49c656e912a7461212f3bb4e58c6444e7
Author: Adrian Johnson <ajohnson@redneon.com>
Date:	Fri Sep 12 18:17:49 2014 +0930

    make pdftocairo-win32.cc a standalone .cc file

    instead of #including it in pdftocairo.cc

 utils/CMakeLists.txt	   |  1 +
 utils/Makefile.am	   |  3 +-
 utils/pdftocairo-win32.cc | 74
 +++++++++++++++++++++++------------------------
 utils/pdftocairo-win32.h  | 22 ++++++++++++++
 utils/pdftocairo.cc	   | 24 +++++++++------
 5 files changed, 77 insertions(+), 47 deletions(-)

commit 700205af19ef1ae5f2c713d118ebd5dd4a0afba3
Author: Adrian Johnson <ajohnson@redneon.com>
Date:	Sun Sep 7 20:18:36 2014 +0930

    pdftocairo: Allow an output file for win32 printing to be specified

    Can be used for testing win32 print output without wasting paper.

 utils/pdftocairo-win32.cc | 12 ++++++++----
 utils/pdftocairo.1	   |  4 ++++
 utils/pdftocairo.cc	   | 13 +++++++------
 3 files changed, 19 insertions(+), 10 deletions(-)

commit 40d3ae87befad489fd8c0b38ff2561a0782cae0b
Author: Rodrigo Rivas Costa <rodrigorivascosta@gmail.com>
Date:	Sat Sep 6 21:04:10 2014 +0930

    Add support for printing to a Windows printer from pdftocairo

    Bug 79936

 configure.ac		   |   2 +-
 utils/pdftocairo-win32.cc | 219
 ++++++++++++++++++++++++++++++++++++++++++++++
 utils/pdftocairo.1	   |  23 ++++-
 utils/pdftocairo.cc	   |  61 ++++++++++---
 4 files changed, 292 insertions(+), 13 deletions(-)

commit ee4a389872d86b619c677888da8f13f1f6c54472
Author: Adrian Johnson <ajohnson@redneon.com>
Date:	Mon Oct 20 22:32:30 2014 +1030

    PDFDoc: fix crash when getPage() returns NULL

    Bug 85235

 poppler/PDFDoc.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0c3f53e34ec287dab2784e1f3411ad06b62dffc7
Author: Adrian Johnson <ajohnson@redneon.com>
Date:	Mon Oct 20 22:17:20 2014 +1030

    PDFDOC: Check for EOF when reading raw stream

    Bug 85233

 poppler/PDFDoc.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit 88dbd4df0998233939b4a51cedbfc65c58a315f9
Author: Adrian Johnson <ajohnson@redneon.com>
Date:	Sun Oct 19 22:47:15 2014 +1030

    pdfdetach: fix crash when getPage() returns null

    Bug 85145

 utils/pdfdetach.cc | 2 ++
 1 file changed, 2 insertions(+)

commit e0179304cdef615fcf639046410d214fd5b5f276
Author: Adrian Johnson <ajohnson@redneon.com>
Date:	Sun Oct 19 21:36:39 2014 +1030

    cairo: fix crash when no group color space

    Bug 85137

 poppler/CairoOutputDev.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 745f1241bf903969e50f0e1139641e389a9c331f
Author: Scott West <scott.gregory.west@gmail.com>
Date:	Tue Oct 7 23:54:52 2014 +0200

    Fix memory leak in Dict.remove.

    The entry was previously just overwritten now it is freed

    Small fixes by Albert oo

    Bug #84607

 poppler/Dict.cc | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit b8810703ca76f0bbc8185ab87679cf18eb006d52
Author: Luigi Scarso <luigi.scarso@gmail.com>
Date:	Tue Oct 7 22:45:05 2014 +0200

    Make Attribute::getName() work when UTF-16BE is used

    Contains some ideas by me
    Bug #84722

 goo/GooString.h	  |  9 +++++----
 poppler/StructElement.cc | 17 +++++++++++------
 poppler/StructElement.h  |  7 +++++--
 3 files changed, 21 insertions(+), 12 deletions(-)

commit 96a04336c7a6331727724125686a0d6f42f19f46
Author: Adrian Johnson <ajohnson@redneon.com>
Date:	Mon Oct 6 10:21:51 2014 +1030

    cairo: only embed mime data if image decode map is identity

    https://bugs.launchpad.net/ubuntu/+source/cairo/+bug/1317517

 poppler/CairoOutputDev.cc | 19 ++++++++++++++++---
 poppler/CairoOutputDev.h  |  3 ++-
 2 files changed, 18 insertions(+), 4 deletions(-)

commit 18541054bebce3f9d4729629785bf140d67d2da0
Author: Adrian Johnson <ajohnson@redneon.com>
Date:	Wed Sep 24 21:20:42 2014 +0930

    cairo: Only embed mime data for gray/rgb/cmyk colorspaces

    Bug 80719

 poppler/CairoOutputDev.cc | 39 +++++++++++++++++++++++++++++++--------
 poppler/CairoOutputDev.h  |  2 +-
 2 files changed, 32 insertions(+), 9 deletions(-)

commit cbf2652c483d7010fc36191c8b209a57eeec93d8
Author: Adrian Johnson <ajohnson@redneon.com>
Date:	Thu Jan 26 00:37:17 2012 +1030

    cairo: don't render text when text matrix is not invertable

    Emulates acroread behavior.

    Bug 78042

 poppler/CairoOutputDev.cc | 14 +++++++++-----
 poppler/CairoOutputDev.h  |  1 +
 2 files changed, 10 insertions(+), 5 deletions(-)

commit 4fe17e97a4bd7873caad771c446199b282039697
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Sun Oct 5 11:30:43 2014 +0200

    glib: Build introspection linking to the uninstalled libraries

    https://bugs.freedesktop.org/show_bug.cgi?id=84526

 glib/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a2477da56a4d1c534175940d7c01a9d3db6c72d4
Author: Albert Astals Cid <aacid@kde.org>
Date:	Wed Oct 1 22:33:11 2014 +0200

    Fix 303287ebdad0de9fb2655c4d7eab627c0045ea04

    It may happen that j is bigger than macGlyphNames size, so don't
    try to access it

 fofi/FoFiTrueType.cc | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit ce95ecda450361496aedd5d5cd0bf47fd2c66703
Author: Albert Astals Cid <aacid@kde.org>
Date:	Tue Sep 30 19:50:20 2014 +0200

    Fix assert in 5068.asan.0.6052.pdf

 poppler/Gfx.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 01723aa17e836e818158dbdc56df642a290be300
Author: Adrian Johnson <ajohnson@redneon.com>
Date:	Tue Sep 30 18:48:47 2014 +0200

    Map Standard/Expert encoding ligatures to AGLFN names

    for use with substitute fonts that are not compatible with the
    Standard 14 fonts.

    Bug 80093

 poppler/CairoFontEngine.cc | 12 +++++++++---
 poppler/GfxFont.cc	    | 29 ++++++++++++++++++++++++++++-
 poppler/GfxFont.h	    |  7 ++++++-
 splash/SplashFTFontFile.cc |  8 ++++++++
 4 files changed, 51 insertions(+), 5 deletions(-)

commit 529db4a94607c1ad909764d26f740c601bbe896f
Author: Hib Eris <hib@hiberis.nl>
Date:	Mon Sep 29 22:59:15 2014 +0200

    Fix build with --disable-utils

    Since 21b5fd655ce45b90668d1416d21c526ab7eb3ad6, building Poppler
    fails when configured
    with '--disable-utils'.

    Bug #84448

 Makefile.am	   | 6 +-----
 utils/Makefile.am | 4 ++++
 2 files changed, 5 insertions(+), 5 deletions(-)

commit c54f6aceed983a221d88ce5c21becbf8aab2931b
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:	Mon Sep 29 21:42:46 2014 +0200

    use alt colorspace to get CMYK values for an ICC based CMYK colorspace

    The reason for the pale image is that GfxICCBasedColorSpace::getCMYK()
    uses the cms transformation to get RGB values and the convert it
    back to CMYK even for a ICC based CMYK colorspace instead of just
    returning the CMYK values itself.

    Bug #79019

 poppler/GfxState.cc | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 21b5fd655ce45b90668d1416d21c526ab7eb3ad6
Author: Hib Eris <hib@hiberis.nl>
Date:	Sun Sep 14 11:20:23 2014 +0200

    Refactor Makefiles to build a noinst library for parsing args

    Prevents this automake warning about possible forward-incompatibility:

    $ ./autogen.sh
    ...
    cpp/tests/Makefile.am:16: warning: source file
    '$(top_srcdir)/utils/parseargs.cc' is in a subdirectory,
    cpp/tests/Makefile.am:16: but option 'subdir-objects' is disabled
    automake: warning: possible forward-incompatibility.
    automake: At least a source file is in a subdirectory, but the
    'subdir-objects'
    automake: automake option hasn't been enabled.  For now, the
    corresponding output
    automake: object file(s) will be placed in the top-level directory.
    However,
    automake: this behaviour will change in future Automake versions:
    they will
    automake: unconditionally cause object files to be placed in the
    same subdirectory
    automake: of the corresponding sources.
    automake: You are advised to start using 'subdir-objects' option
    throughout your
    automake: project, to avoid future incompatibilities.
    cpp/tests/Makefile.am:20: warning: source file
    '$(top_srcdir)/utils/parseargs.cc' is in a subdirectory,
    cpp/tests/Makefile.am:20: but option 'subdir-objects' is disabled
    parallel-tests: installing './test-driver'
    test/Makefile.am:58: warning: source file '../utils/parseargs.cc'
    is in a subdirectory,
    test/Makefile.am:58: but option 'subdir-objects' is disabled

    $ automake --version
    automake (GNU automake) 1.14.1
    ...

    https://bugs.freedesktop.org/show_bug.cgi?id=83839

 cpp/tests/Makefile.am |  3 +--
 test/Makefile.am      |  8 ++++----
 utils/.gitignore      |  2 ++
 utils/Makefile.am     | 42 ++++++++++++++++++------------------------
 4 files changed, 25 insertions(+), 30 deletions(-)

commit 70a851b0cc58241d1f2f6bc48af2614595326c8f
Author: Adrian Johnson <ajohnson@redneon.com>
Date:	Sat Sep 6 21:16:04 2014 +0930

    Update .gitignore

 .gitignore | 2 ++
 1 file changed, 2 insertions(+)

commit d44e7e3560bdc79253df98db05385dce3e8ccbb4
Author: Adrian Johnson <ajohnson@redneon.com>
Date:	Sat Sep 6 21:53:21 2014 +0930

    Don't use -fPIC on mingw

    it emits a warning for every file stating that -fPIC is ignored

 configure.ac | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit 2723371b2e2f7684301ea1c5272ab49851f28c03
Author: Adrian Johnson <ajohnson@redneon.com>
Date:	Sat Sep 6 21:19:46 2014 +0930

    make autogen.sh work with variables with spaces

    eg ./autogen.sh CXXFLAGS="-O0 -g3"

 autogen.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ebc814a7e31511308bbcd8856d0356f4d7cc74be
Author: Hib Eris <hib@hiberis.nl>
Date:	Sun Sep 14 11:45:12 2014 +0200

    Add compile to .gitignore

    Automake automatically creates a wrapper script called 'compile' for
    compilers which do not understand '-c -o'.

    $ automake --version
    automake (GNU automake) 1.14.1

    https://bugs.freedesktop.org/show_bug.cgi?id=83840

 .gitignore | 1 +
 1 file changed, 1 insertion(+)

commit 8ce31485faa26994c52f4d032cc5a8355aba23d1
Merge: 4589ce1 303287e
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri Sep 26 00:40:43 2014 +0200

    Merge remote-tracking branch 'origin/poppler-0.26'

commit 303287ebdad0de9fb2655c4d7eab627c0045ea04
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:	Fri Sep 26 00:25:38 2014 +0200

    Fix rendering of file with a wrong embedded font

    Bug #84270

 fofi/FoFiTrueType.cc | 22 ++++++++++++++--------
 1 file changed, 14 insertions(+), 8 deletions(-)

commit f94ba85a736b4c90c05e7782939f32506472658e
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Fri Sep 12 19:22:20 2014 +0200

    glib: Fix use of uninitialized members in PopplerInputStream

    https://bugs.freedesktop.org/show_bug.cgi?id=82630

 glib/poppler-input-stream.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 4589ce17caf94e7c5fa856906d3a8cc08e999d73
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Fri Sep 12 19:22:20 2014 +0200

    glib: Fix use of uninitialized members in PopplerInputStream

    https://bugs.freedesktop.org/show_bug.cgi?id=82630

 glib/poppler-input-stream.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit fe67324d450c356b7c876cf50da705156112513a
Merge: e62e18e f74a596
Author: Albert Astals Cid <aacid@kde.org>
Date:	Thu Aug 21 21:39:52 2014 +0200

    Merge remote-tracking branch 'origin/poppler-0.26'

commit f74a5964078224c01bd5642aabc928d185bb0b69
Author: Albert Astals Cid <aacid@kde.org>
Date:	Thu Aug 21 20:07:54 2014 +0200

    0.26.4

 CMakeLists.txt   |  2 +-
 NEWS		  | 12 ++++++++++++
 configure.ac	  |  2 +-
 cpp/Doxyfile	  |  2 +-
 qt4/src/Doxyfile |  2 +-
 qt5/src/Doxyfile |  2 +-
 6 files changed, 17 insertions(+), 5 deletions(-)

commit ce92e4ccefc7dad79db7f0af7a792ffa47824849
Author: Albert Astals Cid <aacid@kde.org>
Date:	Thu Aug 21 20:03:42 2014 +0200

    Update (C) years

 poppler/Annot.cc	   | 1 +
 poppler/CairoOutputDev.cc | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

commit 42315c28809e62da7872add917e82853cf8c7e33
Author: Albert Astals Cid <aacid@kde.org>
Date:	Thu Aug 21 19:58:35 2014 +0200

    Make sure e is always initialized

 goo/gfile.cc | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit e62e18e1b318d6fa664d236723de3c06ae43e86b
Author: Jehan Pagès <jehan@zemarmot.net>
Date:	Tue Aug 12 21:05:03 2014 +0200

    poppler: use poppler-data pkg-config for both cmake and autotools
    builds

 CMakeLists.txt | 16 ++++++++++++++++
 config.h.cmake |  2 +-
 configure.ac	|  7 ++++++-
 3 files changed, 23 insertions(+), 2 deletions(-)

commit 572c60764bbbd2080bfd7a926c646ad20b467aea
Author: Hib Eris <hib@hiberis.nl>
Date:	Tue Aug 12 18:12:45 2014 +0200

    Makefile.am cleanups

    Bug #79411

 configure.ac		    |  13 +++--
 cpp/Makefile.am	    |  66 +++++++++++++------------
 cpp/tests/Makefile.am	    |  13 ++---
 fofi/Makefile.am	    |	6 +--
 glib/Makefile.am	    |  29 ++++++-----
 glib/demo/Makefile.am	    |  18 +++----
 glib/reference/Makefile.am |	3 +-
 goo/Makefile.am	    |  38 +++++++--------
 poppler/Makefile.am	    | 118
 ++++++++++++++++++++++-----------------------
 qt4/demos/Makefile.am	    |  59 +++++++++++------------
 qt4/src/Makefile.am	    |  31 ++++++------
 qt4/tests/Makefile.am	    |  97 +++++++++++++------------------------
 qt5/demos/Makefile.am	    |  59 +++++++++++------------
 qt5/src/Makefile.am	    |  27 ++++++-----
 qt5/tests/Makefile.am	    |  98 ++++++++++++++-----------------------
 splash/Makefile.am	    |  42 ++++++++--------
 test/Makefile.am	    |  68 +++++++++-----------------
 utils/Makefile.am	    |  97 ++++++++++++++++++-------------------
 18 files changed, 405 insertions(+), 477 deletions(-)

commit 4a4fe80d85a31b10822c7cd8eb5a0698bf306a52
Author: Hib Eris <hib@hiberis.nl>
Date:	Fri Aug 1 07:16:36 2014 +0200

    glib-demo: Replace use of deprecated gtk stock items

    https://bugs.freedesktop.org/show_bug.cgi?id=82384

 glib/demo/annots.c	 | 8 ++++----
 glib/demo/attachments.c | 4 ++--
 glib/demo/main.c	 | 6 +++---
 glib/demo/page.c	 | 6 +++---
 glib/demo/utils.c	 | 4 ++--
 5 files changed, 14 insertions(+), 14 deletions(-)

commit ec6bad36cf5e9521f35285a3295976c05a69f76a
Author: Hib Eris <hib@hiberis.nl>
Date:	Fri Aug 1 07:51:10 2014 +0200

    glib-demo: Remove use of deprecated gtk_dialog_get_action_area()

    https://bugs.freedesktop.org/show_bug.cgi?id=82385

 glib/demo/main.c | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit b72a534d6c7d8bc026812b68f9d9ac6bf9a2200a
Merge: f2e4154 ef3f758
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Aug 3 01:06:57 2014 +0200

    Merge remote-tracking branch 'origin/poppler-0.26'

commit ef3f7585fac086de0919aa0bb0ef91a5070ac23e
Author: Jiri Slaby <jirislaby@gmail.com>
Date:	Sun Aug 3 01:05:00 2014 +0200

    Improve non-latin characters in inline notes

    Preview commit had by mistake changes in these two files that
    belong here

    Bug #65956

 poppler/Annot.cc	      | 1 +
 poppler/CharCodeToUnicode.cc | 1 +
 2 files changed, 2 insertions(+)

commit 1b9c54286a4cdfaa284795933c20acf3c7e13bfc
Author: Ed Porras <ed@moto-research.com>
Date:	Sun Aug 3 01:01:35 2014 +0200

    Don't check for inlineImg twice

    Bug #82059

 poppler/Annot.cc	      | 2 +-
 poppler/CharCodeToUnicode.cc | 2 +-
 poppler/SplashOutputDev.cc   | 9 ++++-----
 3 files changed, 6 insertions(+), 7 deletions(-)

commit f2e4154eff52b86e62490a3ccba470824c9cf436
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:	Sat Jul 26 00:12:37 2014 +0200

    pdfseparate: additonal handling for annotations

    Bug #77549

 poppler/PDFDoc.cc | 46 ++++++++++++++++++++++++++++------------------
 poppler/PDFDoc.h  |  6 +++---
 utils/pdfunite.cc |  2 +-
 3 files changed, 32 insertions(+), 22 deletions(-)

commit e7825f7cbbe7cc9c324fcb34c2e0dcae75f4172a
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Fri Jul 25 15:45:55 2014 +0200

    glib: Fix a memory leak when getting text layout and attributes

 glib/poppler-page.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit b729bf92ea1522a1eed9579e53e7580215cb9555
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Fri Jul 25 15:45:55 2014 +0200

    glib: Fix a memory leak when getting text layout and attributes

 glib/poppler-page.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit a1ecff0f0ab81fe76f63244250d96e7ef275f402
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Fri Jul 25 11:25:42 2014 +0200

    glib: Return NULL in poppler_annot_get_contents also for empty strings

 glib/poppler-annot.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ab1113d10ef712c7c44cd4b4bb6bc79f9ca3702c
Author: Anuj Khare <khareanuj18@gmail.com>
Date:	Thu Jul 24 19:47:22 2014 +0200

    annots: Fix a crash when adding annot without contents

    Having no content in an annotation results in a crash when generating
    its appearance, since the contents pointer is dereferenced.
    For consistency, the same has been done in Annot::initialize.

 poppler/Annot.cc | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit f302864ed354b313ec39433f65ca3b107b55789d
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Fri Jul 25 11:25:42 2014 +0200

    glib: Return NULL in poppler_annot_get_contents also for empty strings

 glib/poppler-annot.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 13a5c5f4b61d05f2d18f94ad15e210a47021a576
Author: Anuj Khare <khareanuj18@gmail.com>
Date:	Thu Jul 24 19:47:22 2014 +0200

    annots: Fix a crash when adding annot without contents

    Having no content in an annotation results in a crash when generating
    its appearance, since the contents pointer is dereferenced.
    For consistency, the same has been done in Annot::initialize.

 poppler/Annot.cc | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 94ea9d8e1631abfbb8cc078100942d46b1356970
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Thu Jul 24 10:46:17 2014 +0200

    cairo: Make sure we always push a transparency group in
    setSoftMaskFromImageMask()

    Because that's what unsetSoftMaskFromImageMask() assumes.

    https://bugs.freedesktop.org/show_bug.cgi?id=81624

 poppler/CairoOutputDev.cc | 64
 +++++++++++++++++++++++------------------------
 1 file changed, 31 insertions(+), 33 deletions(-)

commit 02c127b355bb8a98684a5d0af063c60b8bfd09dd
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Thu Jul 24 10:46:17 2014 +0200

    cairo: Make sure we always push a transparency group in
    setSoftMaskFromImageMask()

    Because that's what unsetSoftMaskFromImageMask() assumes.

    https://bugs.freedesktop.org/show_bug.cgi?id=81624

 poppler/CairoOutputDev.cc | 64
 +++++++++++++++++++++++------------------------
 1 file changed, 31 insertions(+), 33 deletions(-)

commit c841a703c4c1750fd7ac0d04c6c3e7d4af80b8fa
Author: Albert Astals Cid <aacid@kde.org>
Date:	Mon Jul 21 00:29:28 2014 +0200

    Improve Overprintmode and shadings

    Bug #80998

 poppler/SplashOutputDev.cc |  6 ++++--
 poppler/SplashOutputDev.h  |  8 +++++++-
 splash/Splash.cc	    | 24 ++++++++++++++++++++++--
 splash/SplashPattern.h     |  6 +++++-
 4 files changed, 38 insertions(+), 6 deletions(-)

commit ce782112746f629a8e7be6f2daf6ece6ab19917d
Merge: 2c0cb68 26372cf
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Jul 20 20:35:13 2014 +0200

    Merge remote-tracking branch 'origin/poppler-0.26'

commit 26372cfae029a1124e042855c58bf5b70f281c76
Author: Ed Porras <ed@moto-research.com>
Date:	Sun Jul 20 20:33:48 2014 +0200

    printf -> error

    Bug #81513

 poppler/Catalog.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 87d12c09281e3d12cda0fadcd65ab78928dff283
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Jul 20 18:20:57 2014 +0200

    0.26.3

 CMakeLists.txt   | 2 +-
 configure.ac	  | 2 +-
 cpp/Doxyfile	  | 2 +-
 qt4/src/Doxyfile | 2 +-
 qt5/src/Doxyfile | 2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)

commit 69e5b81640c9bb31f0876fa8eb7ba28dbf38923f
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Jul 20 18:18:29 2014 +0200

    News for 0.26.3

 NEWS | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

commit c368c0714d57c089057d974908295d850a1b5108
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Jul 20 18:15:22 2014 +0200

    Update Thomas' (C)

 splash/SplashXPathScanner.cc | 2 +-
 splash/SplashXPathScanner.h  | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 639179318c43a907a27e86778b720d33d481a9f9
Author: Pino Toscano <pino@kde.org>
Date:	Thu Jul 17 07:33:10 2014 +0200

    glib: use C90-style comments in public headers

 glib/poppler-media.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2c0cb689910e8579bf428b3999bcac0cb27b0e51
Merge: 0b639cd 1161e72
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sat Jul 12 17:21:07 2014 +0200

    Merge remote-tracking branch 'origin/poppler-0.26'

commit 1161e728de9ca7c9a5fb0e24c4a5e4a79c65a849
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:	Sat Jul 12 17:04:42 2014 +0200

    Error out instead of exiting if allInter grows too much

    Bug #78714

 splash/SplashXPathScanner.cc | 25 +++++++++++++++++--------
 splash/SplashXPathScanner.h  |  2 +-
 2 files changed, 18 insertions(+), 9 deletions(-)

commit e82a24a585d251f767725f61700dc1f8fe169a52
Author: Pino Toscano <pino@kde.org>
Date:	Sat Jul 12 08:35:45 2014 +0200

    cmake: sync poppler-config.h.cmake with poppler-config.h.in

 poppler/poppler-config.h.cmake | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 0b639cd2ac1071f5b741031a78d8e2bc18d2b7d7
Merge: bb16c71 a5ad55b
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri Jul 11 00:32:46 2014 +0200

    Merge remote-tracking branch 'origin/poppler-0.26'

commit a5ad55b7cb9dc4e62754954291e4ecb8e05b5d67
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri Jul 11 00:32:07 2014 +0200

    Add Hib's (C)

 poppler/poppler-config.h.in | 1 +
 1 file changed, 1 insertion(+)

commit 4f4ee736075d5b1d1bf4911a26c2f80a7122fe04
Author: Aki Koskinen <freedesktop@akikoskinen.info>
Date:	Fri Jul 11 00:30:52 2014 +0200

    Fix compilation of Qt5 frontend with MinGW

 qt5/src/poppler-private.h | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

commit ddd91675792d9d496b06223867e05d2a190b878b
Author: Hib Eris <hib@hiberis.nl>
Date:	Thu May 29 16:58:55 2014 +0200

    Include stdio.h from poppler-config.h

    In poppler-config.h there is a check for __MINGW_PRINTF_FORMAT,
    which is set by stdio.h.

    This fixes this warning when compling with the mingw-w64-compiler:

    XRef.cc: In member function 'virtual void
    XRef::XRefTableWriter::writeEntry(Goffset, int, XRefEntryType)':
    XRef.cc:1460:94: warning: unknown conversion type character 'l'
    in format [-Wformat=]
	outStr->printf("%010lli %05i %c\r\n", (long long)offset, gen,
	(type==xrefEntryFree)?'f':'n');
    ^
    XRef.cc:1460:94: warning: format '%i' expects argument of type 'int',
    but argument 3 has type 'Goffset {aka long long int}' [-Wformat=]
    XRef.cc:1460:94: warning: too many arguments for format
    [-Wformat-extra-args]

    https://bugs.freedesktop.org/show_bug.cgi?id=79762

 poppler/poppler-config.h.in | 2 ++
 1 file changed, 2 insertions(+)

commit bb16c7162c73b871e26f508823c0ee259b7e5420
Author: Hib Eris <hib@hiberis.nl>
Date:	Sat Jun 7 12:00:52 2014 +0200

    Move automake version check from autogen.sh to configure.ac

    https://bugs.freedesktop.org/show_bug.cgi?id=79797

 autogen.sh   | 18 ------------------
 configure.ac |  2 +-
 2 files changed, 1 insertion(+), 19 deletions(-)

commit 74c72223cf609e7c24594f95cab6f9865ad562ac
Merge: f8f7b3a 47a947f
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri Jul 11 00:23:04 2014 +0200

    Merge remote-tracking branch 'origin/poppler-0.26'

commit 47a947f1dc664793a7037888a46a297a46c79d6c
Author: Hib Eris <hib@hiberis.nl>
Date:	Thu Jun 19 10:11:21 2014 +0200

    Fix moc-qt5 detection

    https://bugs.freedesktop.org/show_bug.cgi?id=80250

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f8f7b3a61bc7eb1e569c25a630b5e127b5dcae62
Merge: 805ff76 aa6205d
Author: Albert Astals Cid <aacid@kde.org>
Date:	Wed Jul 9 00:23:22 2014 +0200

    Merge remote-tracking branch 'origin/poppler-0.26'

commit aa6205d195c56a77e897bad125bf213aba138422
Author: Jason Crain <jason@aquaticape.us>
Date:	Mon Jul 7 23:52:39 2014 -0500

    Increase required Qt4 version to 4.7.0

    We use Qt::LayoutDirectionAuto, introduced in 4.7.0.

    bug #81005

 CMakeLists.txt | 2 +-
 configure.ac	| 8 ++++----
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 805ff76112ebfd57276ea78f1f0891abc61a6c03
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:	Mon Apr 11 16:26:11 2011 -0500

    Do not dist gir_DATA

    See https://bugzilla.gnome.org/show_bug.cgi?id=621611 for rationale.

 glib/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e5862155b1c549b6774bb4f25c09c45857ff1734
Author: Hib Eris <hib@hiberis.nl>
Date:	Wed Jun 4 20:58:56 2014 +0200

    Add Changelog to .gitignore

    https://bugs.freedesktop.org/show_bug.cgi?id=79744

 .gitignore | 1 +
 1 file changed, 1 insertion(+)

commit 5f22649694d64c4170db82847b599576d5377176
Author: Hib Eris <hib@hiberis.nl>
Date:	Wed Jun 4 20:56:23 2014 +0200

    Add *.gir, *.typelib to glib/.gitignore

    https://bugs.freedesktop.org/show_bug.cgi?id=79744

 glib/.gitignore | 2 ++
 1 file changed, 2 insertions(+)

commit b63f57985719c7884b67f46fc4afd4954c44c5ab
Author: Hib Eris <hib@hiberis.nl>
Date:	Wed Jun 4 20:54:30 2014 +0200

    Add poppler-undeclared.txt to .gitignore

    https://bugs.freedesktop.org/show_bug.cgi?id=79744

 glib/reference/.gitignore | 1 +
 1 file changed, 1 insertion(+)

commit 5e0f4e2516d5a3997ea9c9a9927e24d4f3abe136
Author: Hib Eris <hib@hiberis.nl>
Date:	Wed Jun 4 20:52:15 2014 +0200

    Add poppler-forms, stress-threads-qt, test-render-to-file to
    .gitignore

    https://bugs.freedesktop.org/show_bug.cgi?id=79744

 qt4/tests/.gitignore | 3 +++
 qt5/tests/.gitignore | 3 +++
 2 files changed, 6 insertions(+)

commit 4d2400e7bb8ae9208030b9615dda7c53e571be8b
Author: Hib Eris <hib@hiberis.nl>
Date:	Wed Jun 4 10:09:16 2014 +0200

    Add test-driver to .gitignore

    https://bugs.freedesktop.org/show_bug.cgi?id=79744

 .gitignore | 1 +
 1 file changed, 1 insertion(+)

commit 4c35e0213be26f21b628ff8d9f170252bb0106c9
Author: Hib Eris <hib@hiberis.nl>
Date:	Wed Jun 4 10:06:20 2014 +0200

    Add poppler-qt5.pc to .gitignore

    https://bugs.freedesktop.org/show_bug.cgi?id=79744

 .gitignore | 2 ++
 1 file changed, 2 insertions(+)

commit 2b455b85168d5c9d8641d9a91bfde81ccab18e54
Author: Pino Toscano <pino@kde.org>
Date:	Sun Jul 6 11:13:54 2014 +0200

    glib: fix typo in apidox

 glib/poppler.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 266a61ab1c9f536a4fb7d68c8f285c854eb2d6e9
Author: Albert Astals Cid <aacid@kde.org>
Date:	Thu Jun 19 20:16:19 2014 +0200

    0.26.2

 CMakeLists.txt   |  2 +-
 NEWS		  | 10 ++++++++++
 configure.ac	  |  2 +-
 cpp/Doxyfile	  |  2 +-
 qt4/src/Doxyfile |  2 +-
 qt5/src/Doxyfile |  2 +-
 6 files changed, 15 insertions(+), 5 deletions(-)

commit 3381ee20efca2ce27733182d0d6720c1e6936a7f
Author: Albert Astals Cid <aacid@kde.org>
Date:	Thu Jun 19 19:57:31 2014 +0200

    Update (C)

 poppler/Lexer.cc   | 2 +-
 utils/pdftohtml.cc | 1 +
 2 files changed, 2 insertions(+), 1 deletion(-)

commit 8a5e59c6ea7ccd0ecbdb4b37bf3fe4e74e1c0e8e
Merge: 1b70533 310fbee
Author: Albert Astals Cid <aacid@kde.org>
Date:	Wed Jun 18 00:37:03 2014 +0200

    Merge remote-tracking branch 'origin/poppler-0.26'

commit 310fbeec692b02d555e3e8dd6c851be11b25e26a
Author: Albert Astals Cid <aacid@kde.org>
Date:	Wed Jun 18 00:31:48 2014 +0200

    Make sure we have an xref before using

    KDE bug #335413 had this backtrace
    XRef::getNumEntry (this=0x0, offset=-1) at XRef.cc:1300
    0x00007f29aec1681e in Lexer::getObj (this=0x1648760,
    obj=obj@entry=0x1bdf978, cmdA=cmdA@entry=0x7f29aeca66c8 "endstream",
    objNum=objNum@entry=0) at Lexer.cc:594
    0x00007f29aec20dfd in Parser::shift (this=this@entry=0x1bdf950,
    cmdA=cmdA@entry=0x7f29aeca66c8 "endstream", objNum=objNum@entry=0)
    at Parser.cc:323
    0x00007f29aec20fde in Parser::makeStream (this=this@entry=0x1bdf950,
    dict=dict@entry=0x7fff2541cad0, fileKey=fileKey@entry=0x0,
    encAlgorithm=encAlgorithm@entry=cryptRC4, keyLength=keyLength@entry=0,
    objNum=objNum@entry=0, objGen=objGen@entry=0,
    recursion=recursion@entry=1, strict=strict@entry=false) at
    Parser.cc:245
    0x00007f29aec216b8 in Parser::getObj (this=this@entry=0x1bdf950,
    obj=obj@entry=0x7fff2541cad0, simpleOnly=simpleOnly@entry=false,
    fileKey=fileKey@entry=0x0, encAlgorithm=encAlgorithm@entry=cryptRC4,
    keyLength=keyLength@entry=0, objNum=objNum@entry=0,
    objGen=objGen@entry=0, recursion=recursion@entry=0,
    strict=strict@entry=false) at Parser.cc:131
    0x00007f29aec350fc in XRef::readXRef
    (this=this@entry=0xfe43a0, pos=pos@entry=0xfe4438,
    followedXRefStm=followedXRefStm@entry=0x7fff2541cb30,
    xrefStreamObjsNum=xrefStreamObjsNum@entry=0x0) at XRef.cc:551
    0x00007f29aec35319 in XRef::XRef (this=0xfe43a0,
    strA=0x1c54ff0, pos=<optimized out>, mainXRefEntriesOffsetA=0,
    wasReconstructed=0x7fff2541cbaf, reconstruct=<optimized out>)
    at XRef.cc:342
    0x00007f29aec2534f in PDFDoc::setup (this=this@entry=0x311e1b0,
    ownerPassword=ownerPassword@entry=0x1165830,
    userPassword=userPassword@entry=0x447f550) at PDFDoc.cc:262

 poppler/Lexer.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1b705331019b155f2138d4b9f5a5bd03ec59193d
Author: Hib Eris <hib@hiberis.nl>
Date:	Sun Jun 8 17:07:15 2014 +0200

    [glib] doc: Move poppler_date_parse to utility functions section

    https://bugs.freedesktop.org/show_bug.cgi?id=79798

 glib/reference/poppler-docs.sgml    | 1 +
 glib/reference/poppler-sections.txt | 7 ++++++-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit d661553b0a13855aa5a1240e9c04a0e49dafd910
Author: Hib Eris <hib@hiberis.nl>
Date:	Sun Jun 8 16:11:26 2014 +0200

    [glib] doc: Document PopplerFindFlags:POPPLER_FIND_DEFAULT

    Fixes warning:
      DOC   Building XML
    ../../glib/poppler.h:157: warning: Value description for
    PopplerFindFlags::POPPLER_FIND_DEFAULT is missing in source code
    comment
    block.

    https://bugs.freedesktop.org/show_bug.cgi?id=79798

 glib/poppler.h | 1 +
 1 file changed, 1 insertion(+)

commit 237a1402ab836d10eb5fdc1aa6ceccabea10a316
Author: Hib Eris <hib@hiberis.nl>
Date:	Sun Jun 8 16:07:14 2014 +0200

    [glib] doc: Use <emphasis> instead of <em>

    Fixes:
      DOC   Building HTML
    Element em in namespace '' encountered in para, but no template
    matches.

    https://bugs.freedesktop.org/show_bug.cgi?id=79798

 glib/poppler-structure-element.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 66abf3992228be2559542e9d2753f45f06ae7728
Author: Hib Eris <hib@hiberis.nl>
Date:	Sun Jun 8 16:02:01 2014 +0200

    [glib] doc: Add PopplerBackend documentation

    https://bugs.freedesktop.org/show_bug.cgi?id=79798

 glib/poppler.h | 8 ++++++++
 1 file changed, 8 insertions(+)

commit a30ec8e4abe3875aad068c83265b47f9beea33d1
Author: Hib Eris <hib@hiberis.nl>
Date:	Sun Jun 8 15:05:52 2014 +0200

    [glib] doc: Add missing POPPLER_TYPE_POINT

    And while we are here, also move poppler_point_get_type() and
    poppler_quadrilateral_get_type() to private subsection.

    https://bugs.freedesktop.org/show_bug.cgi?id=79798

 glib/reference/poppler-sections.txt | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 6eb0537ac5163356c8e8f689d2408fa695e99423
Author: Hib Eris <hib@hiberis.nl>
Date:	Sun Jun 8 14:59:15 2014 +0200

    [glib] doc: Fix typo

    https://bugs.freedesktop.org/show_bug.cgi?id=79798

 glib/reference/poppler-sections.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 96adcad85d76409cb8ed4266a08ae776b42661e4
Author: Hib Eris <hib@hiberis.nl>
Date:	Sun Jun 8 14:53:42 2014 +0200

    [glib] doc: Add poppler_annot_set_flags() to documentation

    https://bugs.freedesktop.org/show_bug.cgi?id=79798

 glib/reference/poppler-sections.txt | 1 +
 1 file changed, 1 insertion(+)

commit f3519352c70537009cc6bd660c0bd3e727db8b8a
Author: Hib Eris <hib@hiberis.nl>
Date:	Sun Jun 8 14:38:13 2014 +0200

    [glib] doc: Move PopplerFindFlags to PopplerPage section

    And also add the missing POPPLER_TYPE_FIND_FLAGS and
    poppler_find_flags_get_type.

    https://bugs.freedesktop.org/show_bug.cgi?id=79798

 glib/reference/poppler-sections.txt | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 45b0d49330d9d089b2480b91e418924a490c82ce
Author: Hib Eris <hib@hiberis.nl>
Date:	Sun Jun 8 14:22:28 2014 +0200

    [glib] doc: Move PopplerPrintFlags to PopplerPage section

    https://bugs.freedesktop.org/show_bug.cgi?id=79798

 glib/reference/poppler-sections.txt | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit ce357147d17004a2772ca3b32d106da511bba360
Author: Hib Eris <hib@hiberis.nl>
Date:	Sun Jun 8 13:22:51 2014 +0200

    [glib] doc: Move poppler_get_{version, backend} documentation to
    features section

    https://bugs.freedesktop.org/show_bug.cgi?id=79798

 glib/reference/poppler-sections.txt | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

commit 1bfd6b69e7e98d4b3e6e891a46b58c9109b8c14c
Author: Hib Eris <hib@hiberis.nl>
Date:	Sun Jun 8 12:57:25 2014 +0200

    [glib] doc: Move PopplerColor documentation to it's own section

    https://bugs.freedesktop.org/show_bug.cgi?id=79798

 glib/poppler-page.cc		     |	6 ++++++
 glib/reference/poppler-docs.sgml    |	1 +
 glib/reference/poppler-sections.txt | 21 +++++++++++++++------
 3 files changed, 22 insertions(+), 6 deletions(-)

commit 2dd9b95fd910023a7d9d23f2c2e41dcab91d3c31
Merge: fed71eb b36d27b
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri Jun 6 21:43:49 2014 +0200

    Merge remote-tracking branch 'origin/poppler-0.26'

commit b36d27b42417d15866a5729409e39d6f7c2b0289
Author: Hib Eris <hib@hiberis.nl>
Date:	Fri Jun 6 21:42:10 2014 +0200

    Fix typo in configure.ac

    Bug #79742

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fed71ebd8e43e24eace9dcebe24bd318ff3d04a6
Author: Hib Eris <hib@hiberis.nl>
Date:	Thu May 29 13:22:05 2014 +0200

    Change pagenum arguments in PDFDoc::markAnnotations from Guint to int

    Bug #79410
    Fixes compile warning:

      CXX      PDFDoc.lo
    PDFDoc.cc: In member function 'GBool PDFDoc::markAnnotations(Object*,
    XRef*, XRef*, Guint, Guint, Guint)':
    PDFDoc.cc:1607:40: warning: comparison between signed and unsigned
    integer expressions [-Wsign-compare]
		   if (obj2.getRef().num == oldPageNum) {
					    ^
    PDFDoc.cc:1617:47: warning: comparison between signed and unsigned
    integer expressions [-Wsign-compare]
		   } else if (obj2.getRef().num == newPageNum) {

    https://bugs.freedesktop.org/show_bug.cgi?id=79410

 poppler/PDFDoc.cc | 4 ++--
 poppler/PDFDoc.h  | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit f5e702060a84362bfdf75260531920d4ba8b7333
Author: Pino Toscano <pino@kde.org>
Date:	Sat May 24 15:59:42 2014 +0200

    pdftohtml: exit with 0 with -v and -h

 utils/pdftohtml.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 700bf398ef7b20306f5035e423becfaa3d28fb10
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri May 23 20:05:41 2014 +0200

    0.26.1

 CMakeLists.txt   |  2 +-
 NEWS		  | 12 ++++++++++++
 configure.ac	  |  2 +-
 cpp/Doxyfile	  |  2 +-
 qt4/src/Doxyfile |  2 +-
 qt5/src/Doxyfile |  2 +-
 6 files changed, 17 insertions(+), 5 deletions(-)

commit 93373cd113d046b65538fe983b46842d689a2112
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun May 11 18:31:10 2014 +0200

    Qt: Add a new page->annotations() call that let's you specify subtypes

    This way we don't return annotations you may not be interested in

 qt4/src/poppler-annotation-private.h |  4 +--
 qt4/src/poppler-annotation.cc	      | 48
 ++++++++++++++++++++++++++++++++++--
 qt4/src/poppler-page.cc	      |  7 +++++-
 qt4/src/poppler-qt4.h		      | 14 +++++++++++
 qt5/src/poppler-annotation-private.h |  4 +--
 qt5/src/poppler-annotation.cc	      | 48
 ++++++++++++++++++++++++++++++++++--
 qt5/src/poppler-page.cc	      |  7 +++++-
 qt5/src/poppler-qt5.h		      | 15 +++++++++++
 8 files changed, 137 insertions(+), 10 deletions(-)

commit d2892cd893e4379914a08e66682ed5c423743a41
Merge: 0844220 7e9fc61
Author: Albert Astals Cid <aacid@kde.org>
Date:	Wed May 7 22:27:41 2014 +0200

    Merge remote-tracking branch 'origin/poppler-0.26'

commit 7e9fc61e287889eefd6b08ef5991d31fed79cafd
Author: Albert Astals Cid <aacid@kde.org>
Date:	Wed May 7 22:25:59 2014 +0200

    Fix libopenjpeg 1.5 detection on some systems

    Someone somewhere decided the pc file will be called libopenjpeg1
    instead of libopenjpeg

    Bug #78389

 configure.ac | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 0844220347f984c3d9b04fe53e690ee0e8c74afe
Merge: 84278d8 0a6c1ff
Author: Albert Astals Cid <aacid@kde.org>
Date:	Wed May 7 21:56:07 2014 +0200

    Merge remote-tracking branch 'origin/poppler-0.26'

commit 0a6c1ff777aa23c7a5654b313b639e66600883b9
Author: Thomas Freitag <Thomas.Freitag@alfa.de>
Date:	Wed May 7 21:54:46 2014 +0200

    Only add annotations of the current page when splitting

    Bug #77549

 poppler/PDFDoc.cc | 153
 +++++++++++++++++++++++++++++++++++++++++++++++++++++-
 poppler/PDFDoc.h  |   4 +-
 utils/pdfunite.cc |   9 +++-
 3 files changed, 162 insertions(+), 4 deletions(-)

commit 84278d8adbb1f6e9a28588fcb4db30c9ef70adde
Merge: 7b94b11 5b2cdef
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun May 4 22:21:25 2014 +0200

    Merge remote-tracking branch 'origin/poppler-0.26'

commit 5b2cdef49a8a0a92fd323fbe45841a5098a42ece
Author: Olly Betts <olly@survex.com>
Date:	Sun May 4 22:20:30 2014 +0200

    Fix extraction of text in some files

    Bug #78145

 poppler/GfxFont.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 7b94b119f07713af7b8b9f1ac3ea3f1d35c1e240
Merge: c859d2b bae836c
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun May 4 16:21:24 2014 +0200

    Merge remote-tracking branch 'origin/poppler-0.26'

commit bae836cd3dd3511ca9cf4745626142334bafd1a6
Author: Marek Kasik <mkasik@redhat.com>
Date:	Sun May 4 16:20:33 2014 +0200

    Use field value V for radio buttons

    Turn on radio button only if its appearance state is equal to
    the value
    of name object "V" of the field.

    Bug #75979

 poppler/Annot.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit a748b3a059938e6ae98b51eb82bab7c33a5e23c7
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Wed Apr 30 09:25:31 2014 +0200

    glib: Fix multiple definition of PopplerTextSpan

    https://bugs.freedesktop.org/show_bug.cgi?id=78103

 glib/poppler-structure-element.h | 3 ---
 1 file changed, 3 deletions(-)

commit c859d2b891a115c79d04db14463791dfb1c46a20
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Wed Apr 30 09:25:31 2014 +0200

    glib: Fix multiple definition of PopplerTextSpan

    https://bugs.freedesktop.org/show_bug.cgi?id=78103

 glib/poppler-structure-element.h | 3 ---
 1 file changed, 3 deletions(-)

commit 9a68daee2b3c7f8a992ee47c0e9ac78b346d4348
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri Apr 25 01:01:08 2014 +0200

    0.26.0

 CMakeLists.txt   |  4 ++--
 NEWS		  | 13 +++++++++++++
 configure.ac	  |  4 ++--
 cpp/Doxyfile	  |  2 +-
 qt4/src/Doxyfile |  2 +-
 qt5/src/Doxyfile |  2 +-
 6 files changed, 20 insertions(+), 7 deletions(-)

commit 8073852c84b71257d487aa8a46e441aa82f4b42c
Author: Fabio D'Urso <fabiodurso@hotmail.it>
Date:	Mon Apr 14 23:35:50 2014 +0200

    qt: Fix missing ! in TextAnnotation::setInplaceIntent

    CID #16814

 qt4/src/poppler-annotation.cc | 2 +-
 qt5/src/poppler-annotation.cc | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 1fbf98664c0879ac035a63602242a910c0c1d316
Author: Albert Astals Cid <aacid@kde.org>
Date:	Mon Apr 14 11:53:59 2014 +0200

    Initialize tmpBufLen

    CID #16957

    It isn't really needed since locateFont always returns a fontLoc
    with a non null
    path if fontLoc itself is not null, but it doesn't hurt either

 qt4/src/ArthurOutputDev.cc | 4 ++--
 qt5/src/ArthurOutputDev.cc | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit b3e5c582a279b1b8d8309322ac3f4d0e51831f77
Author: Albert Astals Cid <aacid@kde.org>
Date:	Thu Apr 10 23:38:09 2014 +0200

    Remove unused member

 cpp/poppler-font.cpp | 2 --
 1 file changed, 2 deletions(-)

commit b86f471c43e387cf873358cf3cbcd27470646713
Author: Albert Astals Cid <aacid@kde.org>
Date:	Thu Apr 10 22:50:56 2014 +0200

    0.25.3

 CMakeLists.txt		       |  2 +-
 NEWS			       | 19 +++++++++++++++++++
 configure.ac		       |  2 +-
 cpp/Doxyfile		       |  2 +-
 poppler/CairoOutputDev.cc     |  2 +-
 poppler/GfxFont.cc	       |  2 +-
 qt4/src/Doxyfile	       |  2 +-
 qt4/src/poppler-optcontent.cc |  2 +-
 qt5/src/Doxyfile	       |  2 +-
 qt5/src/poppler-optcontent.cc |  2 +-
 qt5/src/poppler-private.cc    |  2 +-
 qt5/src/poppler-private.h     |  2 +-
 12 files changed, 30 insertions(+), 11 deletions(-)

commit 80107c72ac03bf4d00b2d71d6f947c139ea84ab5
Author: Pino Toscano <pino@kde.org>
Date:	Sun Apr 6 20:17:31 2014 +0200

    qt5: remove m_fontInfoIterator from Document

    it was used by the deprecated scanForFonts API, which was not provided
    in poppler-qt5

 qt5/src/poppler-private.cc | 2 --
 qt5/src/poppler-private.h  | 2 --
 2 files changed, 4 deletions(-)

commit b8325316e41fb03eb5fac5c80d6a550fe9ce9695
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Apr 6 16:05:51 2014 +0200

    Fix memory leak

    CID #16943

 utils/pdfseparate.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ca9713118d6ce3fdd245f9ca4f595229a5be19c3
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Apr 6 15:59:43 2014 +0200

    Don't check twice for the same variable ^_^

    CID #16804

 splash/Splash.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0ef290a7c5a8fa54d3fe0f646abdf098443a7a67
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Apr 6 15:57:38 2014 +0200

    Fix memory leak

    CID #16852

 splash/Splash.cc | 2 ++
 1 file changed, 2 insertions(+)

commit 8810b8917fded340b784873a91ca025b0bb49f3d
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Apr 6 15:49:18 2014 +0200

    Fix Out-of-bounds read

    CID #16844

 poppler/PageLabelInfo_p.h | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 9309907673e8557a25021dce79d9b4354640e2d0
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Apr 6 15:35:00 2014 +0200

    Fix memory leak

    Don't pass new'ed GooStrings as parameters to error()

    CID #16915

 poppler/GfxFont.cc | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit a511005584a38217fed582ced6ce2c937526cf96
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Apr 6 15:28:50 2014 +0200

    Fix Uninitialized pointer read when nFucnsA is 0

    CID #16965

 poppler/GfxState.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 26b961a64030d91c5db2769dcd0ab8dff7b9b6a6
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Apr 6 15:23:35 2014 +0200

    gfree -> delete since it was new'ed

    CID #16786

 poppler/JBIG2Stream.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 814ac2230b594cce3b871588804dd92f4a187e7e
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Apr 6 15:22:13 2014 +0200

    delete -> gfree since it was gmaloced

    CID #16785

 poppler/JBIG2Stream.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b496b6665803247b10b018ae939a2a452fa4a48f
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Apr 6 15:17:50 2014 +0200

    Fix memory leak

    CID #16864

 poppler/SplashOutputDev.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 1b612f355e9f29fa93c15a9de1188049a8e086b6
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sun Apr 6 15:14:50 2014 +0200

    Fix memory leak

    CID #16853

 poppler/XRef.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 07621ebbda8ab85cf4cd76a6092efc67aa14454d
Merge: 8d3a2c9 9fcd46a
Author: Pino Toscano <pino@kde.org>
Date:	Sat Apr 5 15:49:31 2014 +0200

    Merge remote-tracking branch 'origin/poppler-0.24'

commit 9fcd46ac4a94f138981ec5afaab3875918c6a175
Author: Pino Toscano <pino@kde.org>
Date:	Sat Apr 5 15:48:27 2014 +0200

    qt4/qt5: remove extra qDebug

 qt4/src/poppler-optcontent.cc | 1 -
 qt5/src/poppler-optcontent.cc | 1 -
 2 files changed, 2 deletions(-)

commit 37286ee2923de060ae463ac6b178ffd0e6096b90
Author: Pino Toscano <pino@kde.org>
Date:	Sat Apr 5 15:46:44 2014 +0200

    qt4/qt5: fix some kinds of OCG models

    properly pass parent and child when building the tree

 qt4/src/poppler-optcontent.cc | 2 +-
 qt5/src/poppler-optcontent.cc | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 8d3a2c9d007052bcb8719200760a1abb6314f804
Author: Peter Breitenlohner <peb@mppmu.mpg.de>
Date:	Sun Mar 30 23:34:23 2014 +0200

    Avoid MinGW/Cygwin warnings due to redefinition of NOMINMAX

 goo/GooMutex.h		 | 3 +++
 goo/GooTimer.h		 | 5 ++++-
 goo/gfile.h		 | 5 ++++-
 poppler/XpdfPluginAPI.h | 3 +++
 4 files changed, 14 insertions(+), 2 deletions(-)

commit 38dcaf96f308265ff6958e4683bcec2be0c254b9
Author: Adrian Johnson <ajohnson@redneon.com>
Date:	Fri Mar 28 20:49:17 2014 +1030

    cairo: fix segv cause by bad image stream

    bug 76445

 poppler/CairoOutputDev.cc | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 07b0a038b194eb0392a1e9a4236064d37247d687
Author: Jakub Wilk <jwilk@jwilk.net>
Date:	Sun Mar 30 16:12:28 2014 +0200

    pdftohtml: Fix typo in manpage

 utils/pdftohtml.1 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ac3c8303396a0b8de5e4ad32f480b8da5f3b396e
Author: Thomas Liebetraut <thomas@tommie-lie.de>
Date:	Sun Mar 30 12:25:26 2014 +0200

    glib: Fix the first coord of the qudrilateral in
    create_poppler_quads_from_annot_quads()

    https://bugs.freedesktop.org/show_bug.cgi?id=76504

 glib/poppler-annot.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 82d69da7c2f67e774c51fb7b146fdf639a6b9616
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri Mar 28 15:53:22 2014 +0100

    Fix error reported by ASAN in 3628.asan.0.3910.pdf

    ==20743== ERROR: AddressSanitizer: heap-buffer-overflow on
    address 0x60040005c6ef at pc 0x7f8912ca0c90 bp 0x7fff8509ee20 sp
    0x7fff8509ee18
    READ of size 1 at 0x60040005c6ef thread T0
	#0 0x7f8912ca0c8f in expandRow(unsigned char*, unsigned char*,
	int, int, int) /home/tsdgeos/devel/poppler/splash/Splash.cc:4855
	#1 0x7f8912ca1097 in Splash::scaleImageYuXuBilinear(bool
	(*)(void*, unsigned char*, unsigned char*), void*,
	SplashColorMode, int, bool, int, int, int, int, SplashBitmap*)
	/home/tsdgeos/devel/poppler/splash/Splash.cc:4897
	#2 0x7f8912c9d2b7 in Splash::scaleImage(bool
	(*)(void*, unsigned char*, unsigned char*), void*,
	SplashColorMode, int, bool, int, int, int, int, bool, bool)
	/home/tsdgeos/devel/poppler/splash/Splash.cc:4127
	#3 0x7f8912c98101 in Splash::drawImage(bool
	(*)(void*, unsigned char*, unsigned char*), void*,
	SplashColorMode, bool, int, int, double*, bool, bool)
	/home/tsdgeos/devel/poppler/splash/Splash.cc:3726
	#4 0x7f8912c7056a in
	SplashOutputDev::drawSoftMaskedImage(GfxState*,
	Object*, Stream*, int, int, GfxImageColorMap*,
	bool, Stream*, int, int, GfxImageColorMap*, bool)
	/home/tsdgeos/devel/poppler/poppler/SplashOutputDev.cc:3630
	#5 0x7f8912ac7aa7 in Gfx::doImage(Object*, Stream*, bool)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:4646
	#6 0x7f8912ac4de0 in Gfx::opXObject(Object*, int)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:4179
	#7 0x7f8912a9f33a in Gfx::execOp(Object*, Object*, int)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:903
	#8 0x7f8912a9e50f in Gfx::go(bool)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:762
	#9 0x7f8912a9e163 in Gfx::display(Object*, bool)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:728
	#10 0x7f8912b80e13 in Page::displaySlice(OutputDev*, double,
	double, int, bool, bool, int, int, int, int, bool, bool
	(*)(void*), void*, bool (*)(Annot*, void*), void*, bool)
	/home/tsdgeos/devel/poppler/poppler/Page.cc:585
	#11 0x7f8912b8833f in PDFDoc::displayPageSlice(OutputDev*,
	int, double, double, int, bool, bool, bool, int, int, int, int,
	bool (*)(void*), void*, bool (*)(Annot*, void*), void*, bool)
	/home/tsdgeos/devel/poppler/poppler/PDFDoc.cc:503
	#12 0x40311e in savePageSlice(PDFDoc*, SplashOutputDev*,
	int, int, int, int, int, double, double, char*)
	/home/tsdgeos/devel/poppler/utils/pdftoppm.cc:222
	#13 0x404416 in main
	/home/tsdgeos/devel/poppler/utils/pdftoppm.cc:521
	#14 0x7f89121a8ec4 (/lib/x86_64-linux-gnu/libc.so.6+0x21ec4)
	#15 0x401d58 in _start
	(/home/tsdgeos/devel/poppler/build-debug/utils/pdftoppm+0x401d58)

 splash/Splash.cc | 3 +++
 1 file changed, 3 insertions(+)

commit 38ec8cbeeaf69d96b9d7bcd662187c8916cf7903
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri Mar 28 11:18:02 2014 +0100

    Fix error reported by ASAN in 5782.asan.0.7113.pdf

    ==32161== ERROR: AddressSanitizer: heap-buffer-overflow on
    address 0x6008000e3bcf at pc 0x7f66bae0e117 bp 0x7fffcb54ea70 sp
    0x7fffcb54ea68
    READ of size 1 at 0x6008000e3bcf thread T0
	#0 0x7f66bae0e116 in GooString::getChar(int)
	/home/tsdgeos/devel/poppler/goo/GooString.h:119
	#1 0x7f66bafb5dca in LinkURI::LinkURI(Object*, GooString*)
	/home/tsdgeos/devel/poppler/poppler/Link.cc:562
	#2 0x7f66bafb2a05 in LinkAction::parseAction(Object*, GooString*)
	/home/tsdgeos/devel/poppler/poppler/Link.cc:98
	#3 0x7f66bae69c0e in AnnotLink::initialize(PDFDoc*, Dict*)
	/home/tsdgeos/devel/poppler/poppler/Annot.cc:2621
	#4 0x7f66bae698d9 in AnnotLink::AnnotLink(PDFDoc*, Dict*, Object*)
	/home/tsdgeos/devel/poppler/poppler/Annot.cc:2596
	#5 0x7f66bae8d998 in Annots::createAnnot(Dict*, Object*)
	/home/tsdgeos/devel/poppler/poppler/Annot.cc:6737
	#6 0x7f66bae8d269 in Annots::Annots(PDFDoc*, int, Object*)
	/home/tsdgeos/devel/poppler/poppler/Annot.cc:6683
	#7 0x7f66bafc750d in Page::getAnnots(XRef*)
	/home/tsdgeos/devel/poppler/poppler/Page.cc:402
	#8 0x7f66bafc8e66 in Page::displaySlice(OutputDev*, double,
	double, int, bool, bool, int, int, int, int, bool, bool
	(*)(void*), void*, bool (*)(Annot*, void*), void*, bool)
	/home/tsdgeos/devel/poppler/poppler/Page.cc:595
	#9 0x7f66bafd02fd in PDFDoc::displayPageSlice(OutputDev*, int,
	double, double, int, bool, bool, bool, int, int, int, int,
	bool (*)(void*), void*, bool (*)(Annot*, void*), void*, bool)
	/home/tsdgeos/devel/poppler/poppler/PDFDoc.cc:503
	#10 0x40311e in savePageSlice(PDFDoc*, SplashOutputDev*,
	int, int, int, int, int, double, double, char*)
	/home/tsdgeos/devel/poppler/utils/pdftoppm.cc:222
	#11 0x404416 in main
	/home/tsdgeos/devel/poppler/utils/pdftoppm.cc:521
	#12 0x7f66ba5f0ec4 (/lib/x86_64-linux-gnu/libc.so.6+0x21ec4)
	#13 0x401d58 in _start
	(/home/tsdgeos/devel/poppler/build-debug/utils/pdftoppm+0x401d58)

 poppler/Link.cc | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 49b4eb68ee646aefe49b70f9e2831ebf93576053
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri Mar 28 11:08:18 2014 +0100

    Fix error reported by ASAN in 590.asan.0.7288.pdf

    ==31898== ERROR: AddressSanitizer: heap-use-after-free on
    address 0x60ae0007432c at pc 0x7f03483026aa bp 0x7fff6ec0c820 sp
    0x7fff6ec0c818
    READ of size 4 at 0x60ae0007432c thread T0
	#0 0x7f03483026a9 in SplashFTFont::getGlyphPath(int)
	/home/tsdgeos/devel/poppler/splash/SplashFTFont.cc:414
	#1 0x7f034829f681 in SplashOutputDev::drawChar(GfxState*,
	double, double, double, double, double,
	double, unsigned int, int, unsigned int*, int)
	/home/tsdgeos/devel/poppler/poppler/SplashOutputDev.cc:2239
	#2 0x7f0348100599 in Gfx::doShowText(GooString*)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:4054
	#3 0x7f03480fddb0 in Gfx::opShowSpaceText(Object*, int)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:3886
	#4 0x7f03480dc33a in Gfx::execOp(Object*, Object*, int)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:903
	#5 0x7f03480db50f in Gfx::go(bool)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:762
	#6 0x7f03480db163 in Gfx::display(Object*, bool)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:728
	#7 0x7f03481bddd1 in Page::displaySlice(OutputDev*, double,
	double, int, bool, bool, int, int, int, int, bool, bool
	(*)(void*), void*, bool (*)(Annot*, void*), void*, bool)
	/home/tsdgeos/devel/poppler/poppler/Page.cc:585
	#8 0x7f03481c52fd in PDFDoc::displayPageSlice(OutputDev*, int,
	double, double, int, bool, bool, bool, int, int, int, int,
	bool (*)(void*), void*, bool (*)(Annot*, void*), void*, bool)
	/home/tsdgeos/devel/poppler/poppler/PDFDoc.cc:503
	#9 0x40311e in savePageSlice(PDFDoc*, SplashOutputDev*,
	int, int, int, int, int, double, double, char*)
	/home/tsdgeos/devel/poppler/utils/pdftoppm.cc:222
	#10 0x404416 in main
	/home/tsdgeos/devel/poppler/utils/pdftoppm.cc:521
	#11 0x7f03477e5ec4 (/lib/x86_64-linux-gnu/libc.so.6+0x21ec4)
	#12 0x401d58 in _start
	(/home/tsdgeos/devel/poppler/build-debug/utils/pdftoppm+0x401d58)

 splash/SplashFTFont.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 89a64b508e5f8445798c95fcec6c87180f6c9b73
Author: Albert Astals Cid <aacid@kde.org>
Date:	Fri Mar 28 00:35:17 2014 +0100

    Fix error reported by ASAN in 2279.asan.0.1904.pdf

    ==20507== ERROR: AddressSanitizer: heap-buffer-overflow on
    address 0x60420000ff04 at pc 0x7fa1492e8012 bp 0x7fff8406d900 sp
    0x7fff8406d8f8
    READ of size 4 at 0x60420000ff04 thread T0
	#0 0x7fa1492e8011 in SplashFTFont::makeGlyph(int, int, int,
	SplashGlyphBitmap*, int, int, SplashClip*, SplashClipResult*)
	/home/tsdgeos/devel/poppler/splash/SplashFTFont.cc:284
	#1 0x7fa1492eda32 in SplashFont::getGlyph(int, int, int,
	SplashGlyphBitmap*, int, int, SplashClip*, SplashClipResult*)
	/home/tsdgeos/devel/poppler/splash/SplashFont.cc:168
	#2 0x7fa1492e7c69 in SplashFTFont::getGlyph(int, int, int,
	SplashGlyphBitmap*, int, int, SplashClip*, SplashClipResult*)
	/home/tsdgeos/devel/poppler/splash/SplashFTFont.cc:233
	#3 0x7fa1492b3368 in Splash::fillChar(double, double, int,
	SplashFont*) /home/tsdgeos/devel/poppler/splash/Splash.cc:2714
	#4 0x7fa149286a20 in SplashOutputDev::drawChar(GfxState*,
	double, double, double, double, double,
	double, unsigned int, int, unsigned int*, int)
	/home/tsdgeos/devel/poppler/poppler/SplashOutputDev.cc:2270
	#5 0x7fa1490e7599 in Gfx::doShowText(GooString*)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:4054
	#6 0x7fa1490e4db0 in Gfx::opShowSpaceText(Object*, int)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:3886
	#7 0x7fa1490c333a in Gfx::execOp(Object*, Object*, int)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:903
	#8 0x7fa1490c250f in Gfx::go(bool)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:762
	#9 0x7fa1490c2163 in Gfx::display(Object*, bool)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:728
	#10 0x7fa1491a4dd1 in Page::displaySlice(OutputDev*, double,
	double, int, bool, bool, int, int, int, int, bool, bool
	(*)(void*), void*, bool (*)(Annot*, void*), void*, bool)
	/home/tsdgeos/devel/poppler/poppler/Page.cc:585
	#11 0x7fa1491ac2fd in PDFDoc::displayPageSlice(OutputDev*,
	int, double, double, int, bool, bool, bool, int, int, int, int,
	bool (*)(void*), void*, bool (*)(Annot*, void*), void*, bool)
	/home/tsdgeos/devel/poppler/poppler/PDFDoc.cc:503
	#12 0x40311e in savePageSlice(PDFDoc*, SplashOutputDev*,
	int, int, int, int, int, double, double, char*)
	/home/tsdgeos/devel/poppler/utils/pdftoppm.cc:222
	#13 0x404416 in main
	/home/tsdgeos/devel/poppler/utils/pdftoppm.cc:521
	#14 0x7fa1487ccec4 (/lib/x86_64-linux-gnu/libc.so.6+0x21ec4)
	#15 0x401d58 in _start
	(/home/tsdgeos/devel/poppler/build-debug/utils/pdftoppm+0x401d58)

 splash/SplashFTFont.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5055479634dc8d0cd5afb3373de600fb121357fe
Author: Albert Astals Cid <aacid@kde.org>
Date:	Thu Mar 27 23:54:20 2014 +0100

    Fix error reported by ASAN in 2010.asan.0.1506.pdf

    ==18859== ERROR: AddressSanitizer: unknown-crash on address
    0x7f1e4a6beb50 at pc 0x7f1e5557444d bp 0x7fff6af3c340 sp
    0x7fff6af3bb00
    WRITE of size 442216446 at 0x7f1e4a6beb50 thread T0
	#0 0x7f1e5557444c (/usr/lib/x86_64-linux-gnu/libasan.so.0+0xe44c)
	#1 0x7f1e550e04ff in SplashFont::getGlyph(int, int, int,
	SplashGlyphBitmap*, int, int, SplashClip*, SplashClipResult*)
	/home/tsdgeos/devel/poppler/splash/SplashFont.cc:206
	#2 0x7f1e550d9c69 in SplashFTFont::getGlyph(int, int, int,
	SplashGlyphBitmap*, int, int, SplashClip*, SplashClipResult*)
	/home/tsdgeos/devel/poppler/splash/SplashFTFont.cc:233
	#3 0x7f1e550a5368 in Splash::fillChar(double, double, int,
	SplashFont*) /home/tsdgeos/devel/poppler/splash/Splash.cc:2714
	#4 0x7f1e55078a20 in SplashOutputDev::drawChar(GfxState*,
	double, double, double, double, double,
	double, unsigned int, int, unsigned int*, int)
	/home/tsdgeos/devel/poppler/poppler/SplashOutputDev.cc:2270
	#5 0x7f1e54ed9599 in Gfx::doShowText(GooString*)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:4054
	#6 0x7f1e54ed6db0 in Gfx::opShowSpaceText(Object*, int)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:3886
	#7 0x7f1e54eb533a in Gfx::execOp(Object*, Object*, int)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:903
	#8 0x7f1e54eb450f in Gfx::go(bool)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:762
	#9 0x7f1e54eb4163 in Gfx::display(Object*, bool)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:728
	#10 0x7f1e54f96dd1 in Page::displaySlice(OutputDev*, double,
	double, int, bool, bool, int, int, int, int, bool, bool
	(*)(void*), void*, bool (*)(Annot*, void*), void*, bool)
	/home/tsdgeos/devel/poppler/poppler/Page.cc:585
	#11 0x7f1e54f9e2fd in PDFDoc::displayPageSlice(OutputDev*,
	int, double, double, int, bool, bool, bool, int, int, int, int,
	bool (*)(void*), void*, bool (*)(Annot*, void*), void*, bool)
	/home/tsdgeos/devel/poppler/poppler/PDFDoc.cc:503
	#12 0x40311e in savePageSlice(PDFDoc*, SplashOutputDev*,
	int, int, int, int, int, double, double, char*)
	/home/tsdgeos/devel/poppler/utils/pdftoppm.cc:222
	#13 0x404416 in main
	/home/tsdgeos/devel/poppler/utils/pdftoppm.cc:521
	#14 0x7f1e545beec4 (/lib/x86_64-linux-gnu/libc.so.6+0x21ec4)
	#15 0x401d58 in _start
	(/home/tsdgeos/devel/poppler/build-debug/utils/pdftoppm+0x401d58)

 splash/SplashFont.cc | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

commit 3e7779935ec2610410bc4a42e9b0174e41ca9672
Author: Albert Astals Cid <aacid@kde.org>
Date:	Thu Mar 27 16:49:57 2014 +0100

    Fix error reported by ASAN in 139.asan.0.581.pdf

    ==15244== ERROR: AddressSanitizer: SEGV on unknown address
    0x605df000f3ee (pc 0x7f1087b3a22e sp 0x7fffec30ff20 bp 0x7fffec30ff80
    T0)
    AddressSanitizer can not provide additional info.
	#0 0x7f1087b3a22d
	(/home/tsdgeos/devel/poppler/build-debug/libpoppler.so.46.0.0+0x48f22d)
	#1 0x7f1087b19d92
	(/home/tsdgeos/devel/poppler/build-debug/libpoppler.so.46.0.0+0x46ed92)
	#2 0x7f1087ae570b
	(/home/tsdgeos/devel/poppler/build-debug/libpoppler.so.46.0.0+0x43a70b)
	#3 0x7f1087ae4061
	(/home/tsdgeos/devel/poppler/build-debug/libpoppler.so.46.0.0+0x439061)
	#4 0x7f1087ab9b38
	(/home/tsdgeos/devel/poppler/build-debug/libpoppler.so.46.0.0+0x40eb38)
	#5 0x7f1087900989
	(/home/tsdgeos/devel/poppler/build-debug/libpoppler.so.46.0.0+0x255989)
	#6 0x7f10878f733a
	(/home/tsdgeos/devel/poppler/build-debug/libpoppler.so.46.0.0+0x24c33a)
	#7 0x7f10878f650f
	(/home/tsdgeos/devel/poppler/build-debug/libpoppler.so.46.0.0+0x24b50f)
	#8 0x7f10878f6163
	(/home/tsdgeos/devel/poppler/build-debug/libpoppler.so.46.0.0+0x24b163)
	#9 0x7f10879d8dd1
	(/home/tsdgeos/devel/poppler/build-debug/libpoppler.so.46.0.0+0x32ddd1)
	#10 0x7f10879e02fd
	(/home/tsdgeos/devel/poppler/build-debug/libpoppler.so.46.0.0+0x3352fd)
	#11 0x40311e
	(/home/tsdgeos/devel/poppler/build-debug/utils/pdftoppm+0x40311e)
	#12 0x404416
	(/home/tsdgeos/devel/poppler/build-debug/utils/pdftoppm+0x404416)
	#13 0x7f1087000ec4 (/lib/x86_64-linux-gnu/libc-2.19.so+0x21ec4)
	#14 0x401d58
	(/home/tsdgeos/devel/poppler/build-debug/utils/pdftoppm+0x401d58)

 splash/SplashXPathScanner.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 23ad7fa5253a4fec6543d1435827aa1b59b62ced
Author: Albert Astals Cid <aacid@kde.org>
Date:	Thu Mar 27 01:14:05 2014 +0100

    0.25.2

 CMakeLists.txt			 |  4 ++--
 NEWS				 | 48
 +++++++++++++++++++++++++++++++++++++++++
 configure.ac			 |  2 +-
 cpp/Doxyfile			 |  2 +-
 gtk-doc.make			 | 33 +++++++++++++++++++---------
 m4/gtk-doc.m4			 | 47
 +++++++++++++++++++++++++++-------------
 poppler/CairoOutputDev.h	 |  2 +-
 poppler/Hints.cc		 |  2 +-
 poppler/Makefile.am		 |  2 +-
 poppler/PSOutputDev.cc		 |  3 ++-
 poppler/PSOutputDev.h		 |  2 +-
 poppler/StructElement.cc	 |  2 +-
 poppler/StructElement.h	 |  2 +-
 poppler/StructTreeRoot.cc	 |  2 +-
 poppler/StructTreeRoot.h	 |  2 +-
 qt4/src/CMakeLists.txt		 |  2 +-
 qt4/src/Doxyfile		 |  2 +-
 qt4/src/Makefile.am		 |  2 +-
 qt4/src/poppler-ps-converter.cc |  1 +
 qt5/src/CMakeLists.txt		 |  2 +-
 qt5/src/Doxyfile		 |  2 +-
 qt5/src/Makefile.am		 |  2 +-
 qt5/src/poppler-ps-converter.cc |  1 +
 utils/pdftocairo.cc		 |  2 +-
 utils/pdftops.cc		 |  1 +
 25 files changed, 127 insertions(+), 45 deletions(-)

commit ec2f8bca9f48935d3180dab65ef2ca455a893afd
Author: Albert Astals Cid <aacid@kde.org>
Date:	Wed Mar 26 18:38:13 2014 +0100

    Fix overflow malloc

 poppler/Stream.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 322e416451b7b33cba8fb3d4702207693c3c7921
Author: Albert Astals Cid <aacid@kde.org>
Date:	Wed Mar 26 17:58:48 2014 +0100

    Fix error reported by ASAN in 1195.asan.0.293.pdf

    ==31060== ERROR: AddressSanitizer: heap-buffer-overflow on
    address 0x60040002a215 at pc 0x7f5614cd96c4 bp 0x7fff54a44050 sp
    0x7fff54a44048
    READ of size 1 at 0x60040002a215 thread T0
	#0 0x7f5614cd96c3 in JBIG2Stream::readGenericBitmap(bool,
	int, int, int, bool, bool, JBIG2Bitmap*, int*, int*, int)
	/home/tsdgeos/devel/poppler/poppler/JBIG2Stream.cc:3389
	#1 0x7f5614cce0e7 in JBIG2Stream::readSymbolDictSeg(unsigned
	int, unsigned int, unsigned int*, unsigned int)
	/home/tsdgeos/devel/poppler/poppler/JBIG2Stream.cc:1867
	#2 0x7f5614ccb8fe in JBIG2Stream::readSegments()
	/home/tsdgeos/devel/poppler/poppler/JBIG2Stream.cc:1408
	#3 0x7f5614cca72e in JBIG2Stream::reset()
	/home/tsdgeos/devel/poppler/poppler/JBIG2Stream.cc:1248
	#4 0x7f5614d1648b in ImageStream::reset()
	/home/tsdgeos/devel/poppler/poppler/Stream.cc:484
	#5 0x7f5614de6578 in SplashOutputDev::drawImage(GfxState*,
	Object*, Stream*, int, int, GfxImageColorMap*, bool, int*, bool)
	/home/tsdgeos/devel/poppler/poppler/SplashOutputDev.cc:3158
	#6 0x7f5614c41d64 in Gfx::doImage(Object*, Stream*, bool)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:4653
	#7 0x7f5614c3ede0 in Gfx::opXObject(Object*, int)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:4179
	#8 0x7f5614c1933a in Gfx::execOp(Object*, Object*, int)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:903
	#9 0x7f5614c1850f in Gfx::go(bool)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:762
	#10 0x7f5614c18163 in Gfx::display(Object*, bool)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:728
	#11 0x7f5614cfae27 in Page::displaySlice(OutputDev*, double,
	double, int, bool, bool, int, int, int, int, bool, bool
	(*)(void*), void*, bool (*)(Annot*, void*), void*, bool)
	/home/tsdgeos/devel/poppler/poppler/Page.cc:585
	#12 0x7f5614d02353 in PDFDoc::displayPageSlice(OutputDev*,
	int, double, double, int, bool, bool, bool, int, int, int, int,
	bool (*)(void*), void*, bool (*)(Annot*, void*), void*, bool)
	/home/tsdgeos/devel/poppler/poppler/PDFDoc.cc:503
	#13 0x40311e in savePageSlice(PDFDoc*, SplashOutputDev*,
	int, int, int, int, int, double, double, char*)
	/home/tsdgeos/devel/poppler/utils/pdftoppm.cc:222
	#14 0x404416 in main
	/home/tsdgeos/devel/poppler/utils/pdftoppm.cc:521
	#15 0x7f5614322ec4 (/lib/x86_64-linux-gnu/libc.so.6+0x21ec4)
	#16 0x401d58 in _start
	(/home/tsdgeos/devel/poppler/build-debug/utils/pdftoppm+0x401d58)

 poppler/JBIG2Stream.cc | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 225232f6f070d17d8570108ffe39ffd4350fc6e8
Author: Albert Astals Cid <aacid@kde.org>
Date:	Wed Mar 26 15:00:09 2014 +0100

    Fix error reported by ASAN in 6609.asan.0.8343.pdf

    ==8470== ERROR: AddressSanitizer: heap-buffer-overflow on
    address 0x7f3b12f7b5e1 at pc 0x7f3b0f915f5e bp 0x7fff47842de0 sp
    0x7fff47842dd8
    READ of size 1 at 0x7f3b12f7b5e1 thread T0
	#0 0x7f3b0f915f5d in JBIG2Stream::readGenericBitmap(bool,
	int, int, int, bool, bool, JBIG2Bitmap*, int*, int*, int)
	/home/tsdgeos/devel/poppler/poppler/JBIG2Stream.cc:3628
	#1 0x7f3b0f910558 in JBIG2Stream::readGenericRegionSeg(unsigned
	int, bool, bool, unsigned int)
	/home/tsdgeos/devel/poppler/poppler/JBIG2Stream.cc:2849
	#2 0x7f3b0f906b33 in JBIG2Stream::readSegments()
	/home/tsdgeos/devel/poppler/poppler/JBIG2Stream.cc:1443
	#3 0x7f3b0f90572e in JBIG2Stream::reset()
	/home/tsdgeos/devel/poppler/poppler/JBIG2Stream.cc:1248
	#4 0x7f3b0f951459 in ImageStream::reset()
	/home/tsdgeos/devel/poppler/poppler/Stream.cc:484
	#5 0x7f3b0fa21546 in SplashOutputDev::drawImage(GfxState*,
	Object*, Stream*, int, int, GfxImageColorMap*, bool, int*, bool)
	/home/tsdgeos/devel/poppler/poppler/SplashOutputDev.cc:3158
	#6 0x7f3b0f87cd64 in Gfx::doImage(Object*, Stream*, bool)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:4653
	#7 0x7f3b0f879de0 in Gfx::opXObject(Object*, int)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:4179
	#8 0x7f3b0f85433a in Gfx::execOp(Object*, Object*, int)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:903
	#9 0x7f3b0f85350f in Gfx::go(bool)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:762
	#10 0x7f3b0f853163 in Gfx::display(Object*, bool)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:728
	#11 0x7f3b0f935df5 in Page::displaySlice(OutputDev*, double,
	double, int, bool, bool, int, int, int, int, bool, bool
	(*)(void*), void*, bool (*)(Annot*, void*), void*, bool)
	/home/tsdgeos/devel/poppler/poppler/Page.cc:585
	#12 0x7f3b0f93d321 in PDFDoc::displayPageSlice(OutputDev*,
	int, double, double, int, bool, bool, bool, int, int, int, int,
	bool (*)(void*), void*, bool (*)(Annot*, void*), void*, bool)
	/home/tsdgeos/devel/poppler/poppler/PDFDoc.cc:503
	#13 0x40311e in savePageSlice(PDFDoc*, SplashOutputDev*,
	int, int, int, int, int, double, double, char*)
	/home/tsdgeos/devel/poppler/utils/pdftoppm.cc:222
	#14 0x404416 in main
	/home/tsdgeos/devel/poppler/utils/pdftoppm.cc:521
	#15 0x7f3b0ef5dec4 (/lib/x86_64-linux-gnu/libc.so.6+0x21ec4)
	#16 0x401d58 in _start
	(/home/tsdgeos/devel/poppler/build-debug/utils/pdftoppm+0x401d58)

 poppler/JBIG2Stream.cc | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 216890f1f147b25643e0d6e18e361d4d34b6c332
Author: Albert Astals Cid <aacid@kde.org>
Date:	Wed Mar 26 12:19:42 2014 +0100

    Fix error reported by ASAN in 6760.asan.0.8568.pdf

    ==26566== ERROR: AddressSanitizer: SEGV on unknown address
    0x7fffbc3e5ea8 (pc 0x7fe1fa858db1 sp 0x7fffc788eb30 bp 0x7fffc788eb40
    T0)
    AddressSanitizer can not provide additional info.
	#0 0x7fe1fa858db0 in PSStack::index(int)
	/home/tsdgeos/devel/poppler/poppler/Function.cc:1067
	#1 0x7fe1fa856fd6 in PostScriptFunction::exec(PSStack*, int)
	/home/tsdgeos/devel/poppler/poppler/Function.cc:1621
	#2 0x7fe1fa854c10 in PostScriptFunction::transform(double*,
	double*) /home/tsdgeos/devel/poppler/poppler/Function.cc:1266
	#3 0x7fe1fa854097 in
	PostScriptFunction::PostScriptFunction(Object*, Dict*)
	/home/tsdgeos/devel/poppler/poppler/Function.cc:1216
	#4 0x7fe1fa84a0c2 in Function::parse(Object*,
	std::set<int, std::less<int>, std::allocator<int> >*)
	/home/tsdgeos/devel/poppler/poppler/Function.cc:98
	#5 0x7fe1fa849e3c in Function::parse(Object*)
	/home/tsdgeos/devel/poppler/poppler/Function.cc:63
	#6 0x7fe1fa8c1d8c in GfxDeviceNColorSpace::parse(Array*,
	OutputDev*, GfxState*, int)
	/home/tsdgeos/devel/poppler/poppler/GfxState.cc:2978
	#7 0x7fe1fa8a6fb7 in GfxColorSpace::parse(Object*,
	OutputDev*, GfxState*, int)
	/home/tsdgeos/devel/poppler/poppler/GfxState.cc:328
	#8 0x7fe1fa88440f in Gfx::doImage(Object*, Stream*, bool)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:4403
	#9 0x7fe1fa882d6c in Gfx::opXObject(Object*, int)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:4179
	#10 0x7fe1fa85d2c6 in Gfx::execOp(Object*, Object*, int)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:903
	#11 0x7fe1fa85c49b in Gfx::go(bool)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:762
	#12 0x7fe1fa85c0ef in Gfx::display(Object*, bool)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:728
	#13 0x7fe1fa93ed81 in Page::displaySlice(OutputDev*, double,
	double, int, bool, bool, int, int, int, int, bool, bool
	(*)(void*), void*, bool (*)(Annot*, void*), void*, bool)
	/home/tsdgeos/devel/poppler/poppler/Page.cc:585
	#14 0x7fe1fa9462ad in PDFDoc::displayPageSlice(OutputDev*,
	int, double, double, int, bool, bool, bool, int, int, int, int,
	bool (*)(void*), void*, bool (*)(Annot*, void*), void*, bool)
	/home/tsdgeos/devel/poppler/poppler/PDFDoc.cc:503
	#15 0x40311e in savePageSlice(PDFDoc*, SplashOutputDev*,
	int, int, int, int, int, double, double, char*)
	/home/tsdgeos/devel/poppler/utils/pdftoppm.cc:222
	#16 0x404416 in main
	/home/tsdgeos/devel/poppler/utils/pdftoppm.cc:521
	#17 0x7fe1f9f66ec4 (/lib/x86_64-linux-gnu/libc.so.6+0x21ec4)
	#18 0x401d58 in _start
	(/home/tsdgeos/devel/poppler/build-debug/utils/pdftoppm+0x401d58)

 poppler/Function.cc | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit fb7d91435c71603697b652c70cfa76dd595ee200
Author: Albert Astals Cid <aacid@kde.org>
Date:	Wed Mar 26 12:08:52 2014 +0100

    Fix ASAN in 750.asan.0.9621.pdf

    ==25876== ERROR: AddressSanitizer: heap-buffer-overflow on
    address 0x60040002a10f at pc 0x7fc396c3c23e bp 0x7ffff1123d20 sp
    0x7ffff1123d18
    READ of size 1 at 0x60040002a10f thread T0
	#0 0x7fc396c3c23d in JBIG2Stream::readGenericBitmap(bool,
	int, int, int, bool, bool, JBIG2Bitmap*, int*, int*, int)
	/home/tsdgeos/devel/poppler/poppler/JBIG2Stream.cc:3504
	#1 0x7fc396c30073 in JBIG2Stream::readSymbolDictSeg(unsigned
	int, unsigned int, unsigned int*, unsigned int)
	/home/tsdgeos/devel/poppler/poppler/JBIG2Stream.cc:1867
	#2 0x7fc396c2d88a in JBIG2Stream::readSegments()
	/home/tsdgeos/devel/poppler/poppler/JBIG2Stream.cc:1408
	#3 0x7fc396c2c6ba in JBIG2Stream::reset()
	/home/tsdgeos/devel/poppler/poppler/JBIG2Stream.cc:1248
	#4 0x7fc396c783f7 in ImageStream::reset()
	/home/tsdgeos/devel/poppler/poppler/Stream.cc:484
	#5 0x7fc396d484e4 in SplashOutputDev::drawImage(GfxState*,
	Object*, Stream*, int, int, GfxImageColorMap*, bool, int*, bool)
	/home/tsdgeos/devel/poppler/poppler/SplashOutputDev.cc:3158
	#6 0x7fc396ba3cf0 in Gfx::doImage(Object*, Stream*, bool)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:4653
	#7 0x7fc396ba0d6c in Gfx::opXObject(Object*, int)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:4179
	#8 0x7fc396b7b2c6 in Gfx::execOp(Object*, Object*, int)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:903
	#9 0x7fc396b7a49b in Gfx::go(bool)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:762
	#10 0x7fc396b7a0ef in Gfx::display(Object*, bool)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:728
	#11 0x7fc396c5cd93 in Page::displaySlice(OutputDev*, double,
	double, int, bool, bool, int, int, int, int, bool, bool
	(*)(void*), void*, bool (*)(Annot*, void*), void*, bool)
	/home/tsdgeos/devel/poppler/poppler/Page.cc:585
	#12 0x7fc396c642bf in PDFDoc::displayPageSlice(OutputDev*,
	int, double, double, int, bool, bool, bool, int, int, int, int,
	bool (*)(void*), void*, bool (*)(Annot*, void*), void*, bool)
	/home/tsdgeos/devel/poppler/poppler/PDFDoc.cc:503
	#13 0x40311e in savePageSlice(PDFDoc*, SplashOutputDev*,
	int, int, int, int, int, double, double, char*)
	/home/tsdgeos/devel/poppler/utils/pdftoppm.cc:222
	#14 0x404416 in main
	/home/tsdgeos/devel/poppler/utils/pdftoppm.cc:521
	#15 0x7fc396284ec4 (/lib/x86_64-linux-gnu/libc.so.6+0x21ec4)
	#16 0x401d58 in _start
	(/home/tsdgeos/devel/poppler/build-debug/utils/pdftoppm+0x401d58)

 poppler/JBIG2Stream.cc | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 9002b3b7cbbbc5802abfa8383ded2093a29d1746
Author: Albert Astals Cid <aacid@kde.org>
Date:	Wed Mar 26 00:48:15 2014 +0100

    Fix ASAN in 784.asan.0.9671.pdf

    =================================================================
    ==24856== ERROR: AddressSanitizer: SEGV on unknown address
    0x603bfffe5804 (pc 0x7f7aa3310c6b sp 0x7fff0e656bd0 bp 0x7fff0e656e90
    T0)
    AddressSanitizer can not provide additional info.
	#0 0x7f7aa3310c6a in
	GfxIndexedColorSpace::mapColorToBase(GfxColor*, GfxColor*)
	/home/tsdgeos/devel/poppler/poppler/GfxState.cc:2509
	#1 0x7f7aa33110d2 in GfxIndexedColorSpace::getRGB(GfxColor*,
	GfxRGB*) /home/tsdgeos/devel/poppler/poppler/GfxState.cc:2529
	#2 0x7f7aa3466712 in convertGfxColor(unsigned
	char*, SplashColorMode, GfxColorSpace*, GfxColor*)
	/home/tsdgeos/devel/poppler/poppler/SplashOutputDev.cc:117
	#3 0x7f7aa34675a9 in SplashUnivariatePattern::getColor(int,
	int, unsigned char*)
	/home/tsdgeos/devel/poppler/poppler/SplashOutputDev.cc:215
	#4 0x7f7aa348d2a2 in Splash::pipeRun(SplashPipe*)
	/home/tsdgeos/devel/poppler/splash/Splash.cc:363
	#5 0x7f7aa34c9c29 in Splash::drawAALine(SplashPipe*,
	int, int, int, bool, unsigned char)
	/home/tsdgeos/devel/poppler/splash/Splash.cc:1537
	#6 0x7f7aa34c4787 in Splash::shadedFill(SplashPath*, bool,
	SplashPattern*) /home/tsdgeos/devel/poppler/splash/Splash.cc:6388
	#7 0x7f7aa348b65c in
	SplashOutputDev::univariateShadedFill(GfxState*,
	SplashUnivariatePattern*, double, double)
	/home/tsdgeos/devel/poppler/poppler/SplashOutputDev.cc:4408
	#8 0x7f7aa348b93d in SplashOutputDev::radialShadedFill(GfxState*,
	GfxRadialShading*, double, double)
	/home/tsdgeos/devel/poppler/poppler/SplashOutputDev.cc:4427
	#9 0x7f7aa32c7574 in Gfx::doRadialShFill(GfxRadialShading*)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:3058
	#10 0x7f7aa32c188f in Gfx::opShFill(Object*, int)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:2476
	#11 0x7f7aa32b12c6 in Gfx::execOp(Object*, Object*, int)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:903
	#12 0x7f7aa32b049b in Gfx::go(bool)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:762
	#13 0x7f7aa32b00ef in Gfx::display(Object*, bool)
	/home/tsdgeos/devel/poppler/poppler/Gfx.cc:728
	#14 0x7f7aa3392dc9 in Page::displaySlice(OutputDev*, double,
	double, int, bool, bool, int, int, int, int, bool, bool
	(*)(void*), void*, bool (*)(Annot*, void*), void*, bool)
	/home/tsdgeos/devel/poppler/poppler/Page.cc:585
	#15 0x7f7aa339a2f5 in PDFDoc::displayPageSlice(OutputDev*,
	int, double, double, int, bool, bool, bool, int, int, int, int,
	bool (*)(void*), void*, bool (*)(Annot*, void*), void*, bool)
	/home/tsdgeos/devel/poppler/poppler/PDFDoc.cc:503
	#16 0x40311e in savePageSlice(PDFDoc*, SplashOutputDev*,
	int, int, int, int, int, double, double, char*)
	/home/tsdgeos/devel/poppler/utils/pdftoppm.cc:222
	#17 0x404416 in main
	/home/tsdgeos/devel/poppler/utils/pdftoppm.cc:521
	#18 0x7f7aa29baec4 (/lib/x86_64-linux-gnu/libc.so.6+0x21ec4)
	#19 0x401d58 in _start
	(/home/tsdgeos/devel/poppler/build-debug/utils/pdftoppm+0x401d58)
    SUMMARY: AddressSanitizer: SEGV
    /home/tsdgeos/devel/poppler/poppler/GfxState.cc:2509
    GfxIndexedColorSpace::mapColorToBase(GfxColor*, GfxColor*)

 poppler/GfxState.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 8947c6bc1dcb768b9d9c03a7a5db1573abdc2e87
Author: Albert Astals Cid <aacid@kde.org>
Date:	Wed Mar 26 00:47:59 2014 +0100

    Forgot my (C) in the last commit

 poppler/TextOutputDev.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1d7095ab7bdf0f14c3bfe99d6d5985bce98abe16
Author: Albert Astals Cid <aacid@kde.org>
Date:	Tue Mar 25 22:29:07 2014 +0100

    Fix Heap-buffer-overflow in TextPage::updateFont

    Bug #76442

 poppler/TextOutputDev.cc | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 37ad83d69bd1d10da6ea1eb559c4bd320917ae25
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sat Mar 22 17:33:55 2014 +0100

    Reorder the if check condition

    I think the previous condition was correct anyway because of the
    extra -1 in the i check
    but it really makes more sense to have the i check first

    Bug #76478

 goo/gfile.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3535d658095ffa49ef8615d69843afa9c5ada061
Author: Albert Astals Cid <aacid@kde.org>
Date:	Sat Mar 22 17:29:46 2014 +0100

    Make the test rect go to xMax, yMax not xMax-1,yMax-1

    I don't understand why the -1 is there and removing
    it actually fixes bug #76387

 splash/Splash.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1e93c3f2d1c86edd40ca283ed422089f64886d04
Author: William Bader <williambader@hotmail.com>
Date:	Sat Mar 15 17:14:21 2014 +0100

    Fix regression when creating level1 PS

    Bug #75241

 poppler/PreScanOutputDev.cc | 16 ++++++++++++++--
 poppler/PreScanOutputDev.h  |	3 ++-
 2 files changed, 16 insertions(+), 3 deletions(-)

commit 1ea2eb412d12d97eaf49d1e51d7fda7abd8fbf9d
Author: Jason Crain <jason@aquaticape.us>
Date:	Wed Mar 12 00:34:13 2014 +0100

    Limit numeric parsing of character names

    Bug #38456

 poppler/GfxFont.cc	 | 139
 ++++++++++++++++++++++++++++++++++--------------
 poppler/GlobalParams.cc |   4 +-
 2 files changed, 102 insertions(+), 41 deletions(-)

commit e24cbeae22d6c8630e292897bd982a87e6290ca6
Author: Steven Lee <roc.sky@gmail.com>
Date:	Tue Mar 11 21:24:59 2014 +0100

    Fix TIFF writting in Windows

    Bug #75969

 goo/TiffWriter.cc | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit b984a3b5946ebcd736e0583a10eb614cede3388a
Author: Adrian Perez de Castro <aperez@igalia.com>
Date:	Wed Mar 5 11:19:48 2014 +0200

    glib: Use flags argument in poppler_structure_element_get_text()

    Instead of accepting a boolean argument to enable recursive text
    extraction,
    use a flags value. Text extraction may add features in the future (for
    example, allowing using alternate text as replacement for inline
    figures),
    and this will allow to extend the method without introducing ABI
    or API
    breakage.

    https://bugs.freedesktop.org/show_bug.cgi?id=75796

 glib/poppler-structure-element.cc   | 12 +++++++-----
 glib/poppler-structure-element.h    | 14 +++++++++++++-
 glib/reference/poppler-sections.txt |	3 +++
 3 files changed, 23 insertions(+), 6 deletions(-)

commit 94df09de1e07d442895ec1fb5cc23cacd9826552
Author: Adrian Perez de Castro <aperez@igalia.com>
Date:	Thu Mar 6 10:44:51 2014 +0200

    glib: Add missing underscore in method name

    The correct name is poppler_structure_element_get_form_state().

    https://bugs.freedesktop.org/show_bug.cgi?id=75827

 glib/poppler-structure-element.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7ddd03f9a00dcf505921821c55bebe6817aa3605
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Wed Mar 5 17:48:39 2014 +0100

    Rename getNumElements, getElement and appendElement as getNumChildren,
    getChild and appendChild

    It's more consistent with other internal API and less confusing.

 glib/poppler-structure-element.cc | 16 ++++++++--------
 poppler/StructElement.cc	   |  6 +++---
 poppler/StructElement.h	   |  8 ++++----
 poppler/StructTreeRoot.cc	   |  4 ++--
 poppler/StructTreeRoot.h	   |  8 ++++----
 5 files changed, 21 insertions(+), 21 deletions(-)

commit 7d6a5b65f8497537248d405177ae141f3765a419
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Wed Mar 5 17:40:14 2014 +0100

    glib: Update the documentation symbols after the PopplerStructureScope
    rename

 glib/reference/poppler-sections.txt | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9282b5a26e9ce81d81d42c0cbe449543c8366b7c
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	Wed Mar 5 17:37:38 2014 +0100

    glib: Rename PopplerStructureScope as PopplerStructureTableScope

    It's a table specific attribute

 glib/poppler-structure-element.cc | 14 +++++++-------
 glib/poppler-structure-element.h  | 12 ++++++------
 2 files changed, 13 insertions(+), 13 deletions(-)

commit 9888eb65c6fad0eabcf525a7e88941dec2a27e92
Author: Adrian Perez de Castro <aperez@igalia.com>
Date:	Thu Sep 26 19:36:12 2013 +0300

    glib: Implement accessors for element attributes

    Implement inspecting the standard attributes of
    PopplerStructureElement
    objects.

    https://bugs.freedesktop.org/show_bug.cgi?id=64821

 glib/poppler-structure-element.cc   | 1279
 ++++++++++++++++++++++++++++++++++-
 glib/poppler-structure-element.h    |	252 ++++++-
 glib/reference/poppler-sections.txt |	 84 +++
 3 files changed, 1597 insertions(+), 18 deletions(-)

commit b346df59ef0775f5bd74a9f7379b5f430ccd7b79
Author: Adam Reichold <adamreichold@myopera.com>
Date:	Tue Mar 4 23:40:59 2014 +0100

    Qt: Expose document-supplied text direction

 qt4/src/poppler-document.cc | 17 +++++++++++++++++
 qt4/src/poppler-qt4.h	     | 10 +++++++++-
 qt5/src/poppler-document.cc | 17 +++++++++++++++++
 qt5/src/poppler-qt5.h	     | 10 +++++++++-
 4 files changed, 52 insertions(+), 2 deletions(-)

commit 2fc38c1866243598e22be07f0177e7d9385542d5
Author: Adrian Perez de Castro <aperez@igalia.com>
Date:	Fri Feb 28 19:14:36 2014 +0200

    glib: Fixes in the API reference documentation

    - Remove the references to non-existent methods for
    PopplerStructureElement,
      and point to PopplerStructureElementIter instead to point out how to
      obtain the structure tree.
    - Remove a non-existent include in poppler-docs.sgml
    - Add POPPLER_TYPE_TEXT_SPAN to the list of private symbols.

    https://bugs.freedesktop.org/show_bug.cgi?id=75615

 glib/poppler-structure-element.cc   | 6 +++---
 glib/reference/poppler-docs.sgml    | 1 -
 glib/reference/poppler-sections.txt | 1 +
 3 files changed, 4 insertions(+), 4 deletions(-)

commit cfe47a655ec5e280168e000da85bbf13f5f5f8b8
Author: Adrian Perez de Castro <aperez@igalia.com>
Date:	Fri Feb 28 19:17:45 2014 +0200

    glib: Remove poppler_text_span_is_link() in header

    The method poppler_text_span_is_link() does not exist, and must
    be removed from the API header.

    https://bugs.freedesktop.org/show_bug.cgi?id=75613

 glib/poppler-structure-element.h | 1 -
 1 file changed, 1 deletion(-)

commit 7a2db63b5f7cae4bc215baa0859c4d4f8a660951
Author: Adrian Perez de Castro <aperez@igalia.com>
Date:	Wed Feb 26 20:16:29 2014 +0200

    glib: Remove unneeded POPPLER_STRUCTURE_ELEMENT_UNKNOWN

    The enum value POPPLER_STRUCTURE_ELEMENT_UNKNOWN because Poppler does
    not add invalid StructElements ("invalid" being nodes of type
    StructElement::Unknown) to the Tagged-PDF structure tree. That means
    that poppler-glib does not need to expose it in the API. An assertion
    is left to aid in finding issues when using debug builds.

    https://bugs.freedesktop.org/show_bug.cgi?id=75541

 glib/poppler-structure-element.cc | 12 +++++++-----
 glib/poppler-structure-element.h  |  1 -
 2 files changed, 7 insertions(+), 6 deletions(-)

commit db909c2a14f962234a813ba9853535b9692cfd5a
Author: Albert Astals Cid <aacid@kde.org>
Date:	Wed Feb 26 22:09:44 2014 +0100

    Try harder to open broken files

    Bug #75232

 poppler/PDFDoc.cc | 33 ++++++++++++++++++++++-----------
